2012-08-29  Jeff Johnston  <jjohnstn@redhat.com>

	Resolves: bug #381291
	* plugin.xml: Add other types of binary parsers for Autotools target since it can apply to
	non-ELF OSes. 
	
2012-08-29  Jeff Johnston  <jjohnstn@redhat.com>

	Resolves: bug #388354
	* plugin.properties: Fix statedir option help tip message.
	* src/org/eclipse/cdt/internal/autotools/core/configure/ConfigureMessages.properties: Ditto.
	 
2012-07-23  Jeff Johnston  <jjohnstn@redhat.com>

	* src/org/eclipse/cdt/autotools/core/AutotoolsOptionConstants.java: New file.
	* src/org/eclipse/cdt/internal/autotools/core/configure/IConfigureOption.java: Use IAutotoolsOption values for type constants.
	* src/org/eclipse/cdt/internal/autotools/core/configure/AutotoolsConfiguration.java: Use AutotoolsOptionConstants
	for names of configuration options.

2012-07-20  Jeff Johnston  <jjohnstn@redhat.com>

	* src/org/eclipse/cdt/autotools/core/AutotoolsPlugin.java (getAutotoolCfgOptions): New publicly accessible
	method for retrieving Autotool configuration options for a given build configuration.
	(updateAutotoolCfgOptions): New publicly accessible method for updating Autotool configuration options for
	a given build configuration.
	* src/org/eclipse/cdt/internal/autotools/core/configure/ConfigureMessages.properties: Add new messages for
	errors caused by user reading and updating configuration options.
	* src/org/eclipse/cdt/internal/autotools/core/configure/AutotoolsConfigurationManager.java: Add synchronization to
	all public methods. 
	(updateAutotoolCfgOptions): New method to allow external users to update configuration options.
	(getAutotoolsCfgOptions): New method to get configuration options for a given configuration id.

2012-04-20  Jeff Johnston  <jjohnstn@redhat.com>

	* META-INF/MANIFEST.MF: Bump up version to 1.1.0.
	* pom.xml: Ditto.

2012-04-11  Jeff Johnston  <jjohnstn@redhat.com>

	Bug #375007 fix from Anna Dushistova
	* src/org/eclipse.cdt/internal/autotools/core/AutotoolsNewMakeGenerator.java
	(getConfigurePath): If configure command is specified as absolute
	path, just use it.

2012-03-30  Jeff Johnston  <jjohnstn@redhat.com>

	Bug #371277
	* src/org/eclipse/cdt/internal/autotools/core/AutotoolsNewMakeGenerator.java
	(regenerateMakefiles): Fix setting of status on error.
	(runScript): Switch to use sh -c for all script execution.

2012-03-30  Jeff Johnston  <jjohnstn@redhat.com>

	Bug #372557
	* src/org/eclipse/cdt/internal/autotools/core/AutotoolsNewMakeGenerator.java
	(runScript): Fix index out of range exception when environment variable is
	unknown.
	
2012-03-29  Jeff Johnston  <jjohnstn@redhat.com>

	* src/org/eclipse/cdt/autotools/core/AutotoolsNewProjectNature.java: Fix old nature id to contain the .core specifier.

2012-01-03  Jeff Johnston  <jjohnstn@redhat.com>

	Refactor all packages to be org.eclipse.cdt.autotools.core.

2011-12-16  Jeff Johnston  <jjohnstn@redhat.com>

	* src/org/eclipse/linuxtools/internal/cdt/autotools/core/AutotoolsPropertyConstants.java (fACVersions): Add
	2.68.
	(fAMVersions): Add 1.11.1.

2011-10-19  Jeff Johnston  <jjohnstn@redhat.com>

	Bug #361461
	* src/org/eclipse/linuxtools/internal/cdt/autotools/core/AutotoolsNewMakeGenerator.java (regenerateMakefiles): Fix autogen.sh
	case whereby autogen.sh doesn't run or create configure script.

2011-10-03  Jeff Johnston  <jjohnstn@redhat.com>

	* src/org/eclipse/linuxtools/internal/cdt/autotools/core/configure/FlagConfigureOption.java (getParameter): Remote
	extraneous space at beginning of CFLAGS constructed string.
	* src/org/eclipse/linuxtools/internal/cdt/autotools/core/configure/ConfigureMessages.properties: Fix tips for
	various CFLAGS settings.

2011-10-03  Jeff Johnston  <jjohnstn@redhat.com>

	* src/org/eclipse/linuxtools/internal/cdt/autotools/core/configure/AbstractConfigurationOption.java (isFlag): New method.
	(isFlagValue): Ditto.
	* src/org/eclipse/linuxtools/internal/cdt/autotools/core/configure/AutotoolsConfigurationManager.java (getSavedConfigs): Add
	support for flags and flag values.
	(saveConfigs): Ditto.
	* src/org/eclipse/linuxtools/internal/cdt/autotools/core/configure/AutotoolsConfiguration.java (initConfigOptions): Ditto.
	(configOpts): New CFLAGS and value options.
	* src/org/eclipse/linuxtools/internal/cdt/autotools/core/configure/ConfigureMessages.java (getParameter): New method.
	* src/org/eclipse/linuxtools/internal/cdt/autotools/core/configure/ConfigureOptionCategory.java (isFlagValue): New method.
	(isFlag): Ditto.
	* src/org/eclipse/linuxtools/internal/cdt/autotools/core/configure/IConfigureOption.java (isFlag): New method.
	(isFlagValue): Ditto.
	* src/org/eclipse/linuxtools/internal/cdt/autotools/core/configure/ConfigureMessages.properties: Add new messages
	for CFLAGS settings.

2011-09-27  Jeff Johnston  <jjohnstn@redhat.com>

	* src/org/eclipse/linuxtools/internal/cdt/autotools/core/AutotoolsNewMakeGenerator.java (runScript): Add
	check for additionalEnvs not being null to prevent NPE.

2011-09-15  Jeff Johnston  <jjohnstn@redhat.com>

	Resolves bug#356278
	* src/org/eclipse/linuxtools/internal/cdt/autotools/core/AutotoolsNewMakeGenerator.java (stripEnvVarsFromOption): New
	method.
	(runScript): Strip env-vars from script options.  Also display any env-vars stripped from command and options.
	(stripEnvVars): Rewrite so quoted strings are checked first and then simplify the last type of specifier to
	just non-space value.
	* src/org/eclipse/linuxtools/cdt/autotools/core/Resources.properties: Add new
	message.

2011-08-24  Sami Wagiaalla  <swagiaal@redhat.com>

	* src/org/eclipse/linuxtools/internal/cdt/autotools/core/MarkerGenerator.java (addMarker):
	Add all attributes using the attribute map.
	* src/org/eclipse/linuxtools/internal/cdt/autotools/core/ErrorParser.java:
	Small cleanups.
	* src/org/eclipse/linuxtools/internal/cdt/autotools/core/AutotoolsProblemMarkerInfo.java:
	Use attribute setter and getter.
	(getProblemType): New.
	(getLibraryInfo): New.
	(mySetType): New.
	(mySetAttribute): New.
	(myGetAttribute): New.
	(myGetAttributes): New.
	* plugin.xml: Set AutoconfErrorParser name and id.

2011-08-16  Jeff Johnston  <jjohnstn@redhat.com>

	* META-INF/MANIFEST.MF: Bump version to 1.0.2.
	* pom.xml: Ditto.

2011-07-25  Jeff Johnston  <jjohnstn@redhat.com>

	Resolves: bug#351660
	* src/org/eclipse/linuxtools/internal/cdt/autotools/core/AutotoolsNewMakeGenerator.java (addMakeTargetsToManager):
	Fix to set MakeTargets to a single dummy target with invalid name to avoid MakeTargetManager from trying
	to send out extraneous change event. 

2011-07-20  Jeff Johnston  <jjohnstn@redhat.com>

	Resolves: bug#351660
	* src/org/eclipse/linuxtools/internal/cdt/autotools/core/AutotoolsNewMakeGenerator.java (addMakeTargetsToManager): 
	Fix to always create a new MakeTarget rather than finding an existing one so that
	modifications made do not result in events being sent to project/workspace.

2011-07-14  Sami Wagiaalla  <swagiaal@redhat.com>

	* src/org/eclipse/linuxtools/internal/cdt/autotools/core/MarkerGenerator.java (addMarker):
	Use argument problemMarkerInfo.
	* src/org/eclipse/linuxtools/internal/cdt/autotools/core/ErrorParserManager.java (addProblemMarker):
	New method.
	* src/org/eclipse/linuxtools/internal/cdt/autotools/core/ErrorParser.java:
	Implement IErrorParser.
	(ErrorParser): New no argument constructor.
	Remove epm instance variable.
	Add project instance variable.
	(processLine): New.
	(processLine): Use addProblemMarker.
	* src/org/eclipse/linuxtools/internal/cdt/autotools/core/AutotoolsProblemMarkerInfo.java:
	Extend org.eclipse.cdt.core.ProblemMarkerInfo.
	(AutotoolsProblemMarkerInfo): Call super().
	* plugin.xml: Added ErrorParser to org.eclipse.cdt.core.ErrorParser
	extension point.

2011-07-13  Sami Wagiaalla  <swagiaal@redhat.com>

	* src/org/eclipse/linuxtools/internal/cdt/autotools/core/MarkerGenerator.java (addMarker):
	Set the markers type attribute.
	* src/org/eclipse/linuxtools/internal/cdt/autotools/core/IAutotoolsMarker.java (MARKER_PROBLEM_TYPE):
	New global constant.
	* src/org/eclipse/linuxtools/internal/cdt/autotools/core/ErrorParserManager.java (generateExternalMarker):
	Take type argument.
	* src/org/eclipse/linuxtools/internal/cdt/autotools/core/ErrorParser.java (getCheckType):
	Return AutotoolsProblemMarkerInfo.Type object instead of String.
	(processLine): Pass Type to generateMarker().
	* src/org/eclipse/linuxtools/internal/cdt/autotools/core/AutotoolsProblemMarkerInfo.java:
	Added Type enum.
	(type): New instance variable.
	(AutotoolsProblemMarkerInfo): Constructors now takes type argument.

2011-07-13  Sami Wagiaalla  <swagiaal@redhat.com>

	* src/org/eclipse/linuxtools/internal/cdt/autotools/core/AutotoolsNewMakeGenerator.java (getBuildPath):
	New.
	(getSourcePath): New.
	* src/org/eclipse/linuxtools/internal/cdt/autotools/core/ErrorParser.java (getCheckType):
	Use source directory to find configure.
	(ErrorParser): Take sourceDir argument.

2011-07-13  Sami Wagiaalla  <swagiaal@redhat.com>
    
        * src/org/eclipse/linuxtools/internal/cdt/autotools/core/ErrorParser.java (processLine):
        Look for failed checks.
        (getCheckType): New.
        * src/org/eclipse/linuxtools/internal/cdt/autotools/core/AutotoolsNewMakeGenerator.java (getConfigurePath):
        New.
        (runCommand): Pass configure path when creating ErrorParser.
        (runScript): Ditto.

2011-06-22  Jeff Johnston  <jjohnstn@redhat.com>

	Resolves: #349881
	* plugin.xml: Add call-on-empty-delta behaviour for Autotools builder.

2011-06-16  Jeff Johnston  <jjohnstn@redhat.com>

	Resolves: #348432
	* src/org/eclipse/linuxtools/internal/cdt/autotools/core/VersionComparator.java: New file.
	* src/org/eclipse/linuxtools/internal/cdt/autotools/core/AutotoolsPropertyConstants.java: Add new
	constants for various Autoconf versions.

2011-05-26  Jeff Johnston  <jjohnstn@redhat.com>

	Resolves #343879
	* src/org/eclipse/linuxtools/internal/cdt/autotools/core/AutotoolsNewMakeGenerator.java (runScript): 
	For Windows/Mac targets, do not pass PWD environment variable forward.

2011-05-19  Jeff Johnston  <jjohnstn@redhat.com>

	* src/org/eclipse/linuxtools/internal/cdt/autotools/core/ErrorParserManager.java (outputLine): Fix
	to use IErrorMarkeredOutputStream interface rather than reflection.

2011-04-27  Jeff Johnston  <jjohnstn@redhat.com>

	Resolves #343875
	* src/org/eclipse/linuxtools/cdt/autotools/core/AutotoolsNewProjectNature.java (.run): Add
	code to turn on and off workspace autobuilding around our call to change the project
	description.
	* src/org/eclipse/linuxtools/internal/cdt/autotools/core/AutotoolsConfigurationBuilder.java (build): Add
	check for creating a CDT project in which case do not build yet.
	(isCdtProjectCreated): New method.
	(shouldBuild): Do not return true for autobuild, instead let the builder tell us.
	* plugin.xml: Make the Autotools builder configurable.

2011-04-26  Jeff Johnston  <jjohnstn@redhat.com>

	Resolves #343731
	* src/org/eclipse/linuxtools/internal/cdt/autotools/core/AutotoolsNewMakeGenerator.java (runScript): 
	Add support for running scripts on Windows and Mac.
	(regenerateMakefiles): Invoke autoreconf as a script instead of a command.

2010-12-08  Jeff Johnston  <jjohnstn@redhat.com>

	Resolves #331735
	* src/org/eclipse/linuxtools/internal/cdt/autotools/core/configure/AutotoolsConfigurationManager.java (cloneCfg): Add
	a check for getSavedConfigs returning null.

2010-12-03  Jeff Johnston  <jjohnstn@redhat.com>

	* META-INF/MANIFEST.MF: Bump up version to 1.0.1 for 0.7 release.

2010-11-10  Jeff Johnston  <jjohnstn@redhat.com>

	* src/org/eclipse/linuxtools/internal/cdt/autotools/core/MarkerResolutionGenerator.java (getResolutions): Return
	no resolutions at present until we have package kit interfaces to call.

2010-10-29  Jeff Johnston  <jjohnstn@redhat.com>

	* src/org/eclipse/linuxtools/internal/cdt/autotools/core/AutotoolsProblemMarkerInfo.java: New file.
	* src/org/eclipse/linuxtools/internal/cdt/autotools/core/ErrorParser.java: New file.
	* src/org/eclipse/linuxtools/internal/cdt/autotools/core/ErrorParserManager.java: New file.
	* src/org/eclipse/linuxtools/internal/cdt/autotools/core/IAutotoolsMarker.java: New file.
	* src/org/eclipse/linuxtools/internal/cdt/autotools/core/MarkerResolutionGenerator.java: New file.
	* src/org/eclipse/linuxtools/internal/cdt/autotools/core/PkgconfigErrorResolution.java: New file.
	* plugin.properties: Add new strings for new extensions added.
	* plugin.xml: Add a new marker for configuration errors.  Also add an error resolution
	generator for this new type of marker.
	* src/org/eclipse/linuxtools/cdt/autotools/core/Resources.properties: Add new messages. 
	* src/org/eclipse/linuxtools/internal/cdt/autotools/core/AutotoolsNewMakeGenerator.java (runCommand): Add
	ErrorParserManager to parse errors from configuration. 
	(runScript): Ditto.
	* src/org/eclipse/linuxtools/internal/cdt/autotools/core/MarkerGenerator.java: Rewritten to
	not extend IMarkerGenerator. 
	(addMarker): Accept an AutotoolsProblemMarkerInfo.
	(hasMarkers): New method.
	(removeAllMarkers): Remove Autotools markers rather than C/C++ ones.

2010-08-05  Andrew Overholt  <overholt@redhat.com>

	* plugin.properties: Change provider to Eclipse Linux Tools.

2010-06-03  Jeff Johnston  <jjohnstn@redhat.com>

	Bug #315652
	* src/org/eclipse/linuxtools/internal/cdt/autotools/core/AutotoolsConfigurationBuilder.java (shouldBuild): Always
	return true for automatic build.

2010-05-27  Andrew Overholt  <overholt@redhat.com>

	Bug #270326

	* src/org/eclipse/linuxtools/internal/cdt/autotools/core/AutotoolsNewMakeGenerator.java
	(initialize): Test fix for black-on-black configure console.

2010-05-27  Jeff Johnston  <jjohnstn@redhat.com>

	Resolves: #314587
	* src/org/eclipse/linuxtools/internal/cdt/autotools/core/AutotoolsNewMakeGenerator.java (getWinOSType): New method. 
	(getPathString): Modify to check for WinOSType if platform is WIN_32.

2010-05-26  Jeff Johnston  <jjohnstn@redhat.com>

	* src/org/eclipse/linuxtools/cdt/autotools/core/Resources.properties: Add new error message for setting options
	via template.
	* src/org/eclipse/linuxtools/internal/cdt/autotools/core/wizards/SetAutotoolsStringOptionValue.java: New file.
	* plugin.xml: Add new template process type. 

2010-05-26  Jeff Johnston  <jjohnstn@redhat.com>

	Resolves: #314122
	2010-05-26  Jon Beniston  <jon@beniston.com>
	* src/org/eclipse/linuxtools/internal/cdt/autotools/core/configure/AutotoolsConfigurationManager.java (saveConfigs): Convert
	any special characters in value before saving. 
	(xmlEscape): New method. 

2010-05-21  Jeff Johnston  <jjohnstn@redhat.com>

	Resolves: #313754
	* src/org/eclipse/linuxtools/internal/cdt/autotools/core/AutotoolsNewMakeGenerator.java (stripEnvVars): Add
	support to strip off environment variables that follow the command.

2010-05-07  Jeff Johnston  <jjohnstn@redhat.com>

	* src/org/eclipse/linuxtools/internal/cdt/autotools/core/configure/AutotoolsConfigurationManager.java
	(resourceChanged): Don't access resource delta if it is null.
	
2010-04-06  Jeff Johnston  <jjohnstn@redhat.com>

	Resolves #308261
	* src/org/eclipse/linuxtools/internal/cdt/autotools/core/configure/AutotoolsConfiguration.java (copy): Only set
	the isDirty flag to true if we are cloning a configuration to a new id.  A straight copy should not change the isDirty
	flag.

2010-03-18  Jeff Johnston  <jjohnstn@redhat.com>

	Resolves #306406
	* src/org/eclipse/linuxtools/cdt/autotools/core/AutotoolsNewProjectNature.java (addAutotoolsBuilder): Don't save
	project description unless builder list has been modified.  To save the project description, use a Job so it is
	done asynchronously. 

2010-03-15  Jeff Johnston  <jjohnstn@redhat.com>

	* src/org/eclipse/linuxtools/internal/cdt/autotools/core/AutotoolsNewMakeGenerator.java (regenerateMakefiles): Use the
	id of the IConfiguration not the name to fetch the IAConfiguration for it.
	* src/org/eclipse/linuxtools/internal/cdt/autotools/core/configure/AutotoolsOptionValueHandler.java (handleValue): Make
	sure ICConfigurationDescription exists before accessing it.

2010-03-12  Jeff Johnston  <jjohnstn@redhat.com>

	Resolves #304005
	* src/org/eclipse/linuxtools/internal/cdt/autotools/core/AutotoolsConfigurationBuilder.java (build): Add logic to
	check for dirty configuration.
	* src/org/eclipse/linuxtools/internal/cdt/autotools/core/AutotoolsNewMakeGenerator.java (runScript): Change to use getId
	instead of getName method for IAConfiguration.
	(runCommand): Ditto.
	(regenerateMakefiles): Add call to sync configurations. 
	* src/org/eclipse/linuxtools/internal/cdt/autotools/core/configure/AutotoolsConfiguration.java (getId): New
	method. 
	(copy): Changed to two separate methods, one which takes an id and the other which takes no parameter
	and expects the id to be copied.
	(AutotoolsConfiguration): Changed to accept an id rather than a name. 
	* src/org/eclipse/linuxtools/internal/cdt/autotools/core/configure/AutotoolsConfigurationManager.java: Change to keep
	track of temporary configuration list for a project.  This is needed when performing configuration settings and the
	user has not yet confirmed.  In addition, store all configurations by id and not name since the id does not change.
	(resourceChanged): Logic changed to rename both saved and temporary configuration lists which are now Map structures.
	(AutotoolsConfigurationManager): Add hash maps for saved and temporary configuration lists.
	(syncConfigurations): New method. 
	(applyConfigs): Ditto.
	(saveConfigs): Changed to take the project as parameter.  A second private
	version of the function also has been added which takes an array of Configuration
	Descriptions.  The option value "Name" for configure tool is resolved for saved configurations.
	(getConfigs): Renamed to getSavedConfigs.
	(getSavedConfigs): New method renamed from getConfigs.
	(getConfigurations): Renamed to getSavedConfigs.
	(isConfigurationAlreadySaved): Modified calls. 
	(setSyncing): New method.
	(createDefaultConfiguration): Pass id instead of name to constructor.
	(isSyncing): New method.
	(addConfiguration): No longer need to check for existence because we are adding to a Map.
	(replaceConfiguration): Removed.
	(saveAllConfigs): Ditto.
	(replaceProjectConfigurations): Split into two versions.  The new version takes an additional
	parameter which is an array of Configuration descriptions.
	(getTmpConfigs): New method.
	(syncNameField): New method.
	(clearTmpConfigurations): New method.
	(findCfg): Find by id and not name.
	(getTmpConfiguration): New method.
	(getConfiguration): Try and find configuration by id before creating default.
	(cloneCfg): New method taken out of AutotoolsConfigurationPropertyPage and added here to perform cloning of an Autotools configuration.
	Logic has been added to not perform cloning if the target configuration already has been saved and to return a boolean regarding this.
	* src/org/eclipse/linuxtools/internal/cdt/autotools/core/configure/AutotoolsOptionValueHandler.java (handleValue): Changed to
	call new cloneCfg interface in AutotoolsConfigurationManager.  Logic to check for an Autotools Clone listener is removed.  The return
	code of cloneCfg is checked to see if the configuration has already been saved.  If not saved and we are not doing a sync
	then it returns without resolving the Name option field.  The Name option field is now the Configuration Description id
	which does not change on a rename operation. 
	* src/org/eclipse/linuxtools/internal/cdt/autotools/core/configure/IAConfiguration.java: Add new getId method.  Remove name methods
	which are no longer used. 
	* src/org/eclipse/linuxtools/internal/cdt/autotools/core/wizards/NewAutotoolsProject.java (process): Modified call to
	saveConfigs. 
	(process): Ditto.

2010-02-25  Jeff Johnston  <jjohnstn@redhat.com>

	* src/org/eclipse/linuxtools/internal/cdt/autotools/core/AutotoolsNewMakeGenerator.java (getAutogenPath): Fix typo
	so we split tokens on white-space, not non-white-space. 
	* src/org/eclipse/linuxtools/internal/cdt/autotools/core/configure/AutotoolsConfigurationManager.java (saveConfigs): 
	Since we base ourselves on hashing by name, do not save multiple configurations with same name. 
	(getConfigs): Do not load multiple configurations with same name, just the first.

2010-02-24  Jeff Johnston  <jjohnstn@redhat.com>

	Resolves #303616
	* src/org/eclipse/linuxtools/internal/cdt/autotools/core/AutotoolsNewMakeGenerator.java (runScript): Use
	unresolved default if environment variable is uninitialized.
	(initializeBuildConfigDirs): Ditto. 
	(runCommand): Ditto.
	
2010-02-24  Jeff Johnston  <jjohnstn@redhat.com>

	Resolves #303613
	* src/org/eclipse/linuxtools/internal/cdt/autotools/core/configure/ConfigureMessages.properties: Fix tooltip
	for config tool directory.

2010-02-23  Jeff Johnston  <jjohnstn@redhat.com>

	Resolves #303616
	* src/org/eclipse/inuxtools/internal/cdt/autotools/core/AutotoolsNewMakeGenerator.java (getAutogenArgs):
	Add additional parameter of arguments found in the command itself. 
	(getConfigArgs): Ditto. 
	(getAutogenPath): Fix to split out additional arguments specified with the command.
	(getConfigurePath): Ditto. 
	(runScript): Fix to resolve build macros for arguments.
	(runCommand): Ditto. 
	(regenerateMakefiles): Fix references to functions above to pass additional parms.

2010-02-09  Jeff Johnston  <jjohnstn@redhat.com>

	* src/org/eclipse/linuxtools/internal/cdt/autotools/core/AutotoolsNewMakeGenerator.java (addMakeTargetsToManager): Add
	code to use reflection to look for new MakeTargetManager setTargets method which will set the entire list
	of MakeTargets at one time. 

2009-12-01  Jeff Johnston  <jjohnstn@redhat.com>

	Resolves #296616
	* src/org/eclipse/linuxtools/internal/cdt/autotools/core/MakeTarget.java: Removed.
	* src/org/eclipse/linuxtools/internal/cdt/autotools/core/MakeTargetManager.java: Removed.
	* src/org/eclipse/linuxtools/internal/cdt/autotools/core/ProjectTargets.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/core/AutotoolsNewProjectNature.java: 
	(removeOldAutotoolsNature): New Method.
	(addAutotoolsBuilder): Compensate for case where we are dealing with old Autotools project.

2009-11-16  Andrew Overholt  <overholt@redhat.com>

	* plugin.properties: Fix provider name.

2009-11-04  Jeff Johnston  <jjohnstn@redhat.com>

	* META-INF/MANIFEST.MF: Change dependencies to handle CDT 6.0.0 and up.

2009-11-02  Jeff Johnston  <jjohnstn@redhat.com>

	* plugin.xml: Make special source content types for configure and autogen.sh and have each tool
	reference their proper input scripts.  Add a discovery profile id for the inputs to each tool
	and have neither support managed build. Add the gcc and g++ compiler directly to the set of 
	tools for the GNU Autotools toolchain.
	* src/org/eclipse/linuxtools/cdt/autotools/core/Resources.properties: New message for running
	distclean in top-level directory. 
	* src/org/eclipse/linuxtools/internal/cdt/autotools/core/AutotoolsNewMakeGenerator.java (addMakeTargetsToManager):
	Try and find an old MakeTarget to use instead of always creating one from scratch. 
	(regenerateMakefiles): When a full configure is required and the top-level source directory has
	already been configured in, a make distclean to the top-level source directory is required before
	a configuration can be performed in an alternate directory.  Do this automatically, but let the
	user know what happened.  In addition, change the console for Autotools configuration so that
	the console is not cleared within one build.

2009-10-29  Jeff Johnston  <jjohnstn@redhat.com>

	* src/org/eclipse/linuxtools/internal/cdt/autotools/core/DefaultNoDependencyCalculator.java: New file.
	* plugin.properties: Add required messages.
	* plugin.xml: Add gcc and g++ tools to GNU toolchain.  Add content types for configure and autogen.sh
	scripts and make these the source content types for configure and autogen.sh respectively.
	* src/org/eclipse/linuxtools/internal/cdt/autotools/core/AutotoolsPropertyConstants.java: Add
	compat constants for use with older projects.

2009-10-27  Jeff Johnston  <jjohnstn@redhat.com>

	* src/org/eclipse/linuxtools/internal/cdt/autotools/core/wizards/NewAutotoolsProject.java: Clean
	up unused imports.
	* plugin.xml: Add gcc and g++ to toolchain.  Specify GCCStdMakePerFile discovery profile
	for toolchain and for configure tool inputs.

2009-10-20  Jeff Johnston  <jjohnstn@redhat.com>

	* src/org/eclipse/linuxtools/internal/cdt/autotools/core/wizards/NewAutotoolsProject.java (process): Add
	creation of default Autotools configuration.

2009-10-13  Jeff Johnston  <jjohnstn@redhat.com>

	* build.properties: Remove icons.
	* icons/ac16/acmacro_arg_obj.gif: Removed.
	* icons/ac16/acmacro_obj.gif: Removed.
	* icons/ac16/ammacro_obj.gif: Removed.
	* icons/ac16/case_obj.gif: Removed.
	* icons/ac16/condition_obj.gif: Removed.
	* icons/ac16/convert_normal.gif: Removed.
	* icons/ac16/elif_obj.gif: Removed.
	* icons/ac16/else_obj.gif: Removed.
	* icons/ac16/for_obj.gif: Removed.
	* icons/ac16/if_obj.gif: Removed.
	* icons/ac16/while_obj.gif: Removed.
	* icons/autoconf.gif: Removed.
	* icons/automake.gif: Removed.
	* icons/dlcl16/build_configs.gif: Removed.
	* icons/dlcl16/config_category.gif: Removed.
	* icons/dlcl16/config_tool.gif: Removed.
	* icons/dlcl16/newc_app.gif: Removed.
	* icons/dlcl16/newcc_app.gif: Removed.
	* icons/dlcl16/open_include.gif: Removed.
	* icons/dtool16/alphab_sort_co.gif: Removed.
	* icons/dtool16/build_menu.gif: Removed.
	* icons/dtool16/convert-normal.gif: Removed.
	* icons/dtool16/make.gif: Removed.
	* icons/dtool16/makefile.gif: Removed.
	* icons/dtool16/newc_app.gif: Removed.
	* icons/dtool16/newcc_app.gif: Removed.
	* icons/dtool16/segment_edit.gif: Removed.
	* icons/dtool16/target_add.gif: Removed.
	* icons/dtool16/target_build.gif: Removed.
	* icons/dtool16/target_delete.gif: Removed.
	* icons/dtool16/target_edit.gif: Removed.
	* icons/dtool16/update_old.gif: Removed.
	* icons/elcl16/build_configs.gif: Removed.
	* icons/elcl16/config_category.gif: Removed.
	* icons/elcl16/config_tool.gif: Removed.
	* icons/elcl16/newc_app.gif: Removed.
	* icons/elcl16/newcc_app.gif: Removed.
	* icons/elcl16/open_include.gif: Removed.
	* icons/etool16/alphab_sort_co.gif: Removed.
	* icons/etool16/build_menu.gif: Removed.
	* icons/etool16/convert_normal.gif: Removed.
	* icons/etool16/make.gif: Removed.
	* icons/etool16/makefile.gif: Removed.
	* icons/etool16/newc_app.gif: Removed.
	* icons/etool16/newcc_app.gif: Removed.
	* icons/etool16/segment_edit.gif: Removed.
	* icons/etool16/target_add.gif: Removed.
	* icons/etool16/target_build.gif: Removed.
	* icons/etool16/target_delete.gif: Removed.
	* icons/etool16/target_edit.gif: Removed.
	* icons/etool16/target_filter.gif: Removed.
	* icons/etool16/update_old.gif: Removed.
	* icons/obj16/acmacro_obj.gif: Removed.
	* icons/obj16/command_obj.gif: Removed.
	* icons/obj16/define_obj.gif: Removed.
	* icons/obj16/environment_obj.gif: Removed.
	* icons/obj16/envvar_obj.gif: Removed.
	* icons/obj16/error_obj.gif: Removed.
	* icons/obj16/fatalerror_obj.gif: Removed.
	* icons/obj16/hfolder_obj.gif: Removed.
	* icons/obj16/include_obj.gif: Removed.
	* icons/obj16/info_obj.gif: Removed.
	* icons/obj16/irule_obj.gif: Removed.
	* icons/obj16/lib_obj.gif: Removed.
	* icons/obj16/macro_obj.gif: Removed.
	* icons/obj16/relation_obj.gif: Removed.
	* icons/obj16/target_obj.gif: Removed.
	* icons/obj16/trule_obj.gif: Removed.
	* icons/obj16/warning_obj.gif: Removed.
	* icons/sample.gif: 

2009-10-09  Jeff Johnston  <jjohnstn@redhat.com>

	Refactoring of org.eclipse.linuxtools.cdt.autotools into org.eclipse.linuxtools.cdt.autotools.core
	and org.eclipse.linuxtools.cdt.autotools.ui.

	* .settings/org.eclipse.core.resources.prefs: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/actions/AbstractAutotoolsHandler.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/actions/AbstractTargetAction.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/actions/AclocalHandler.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/actions/AutoconfHandler.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/actions/AutoheaderHandler.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/actions/AutomakeHandler.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/actions/AutoreconfHandler.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/actions/InvokeAclocalAction.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/actions/InvokeAction.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/actions/InvokeAutoconfAction.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/actions/InvokeAutoheaderAction.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/actions/InvokeAutomakeAction.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/actions/InvokeAutoreconfAction.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/actions/InvokeLibtoolizeAction.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/actions/InvokeMessages.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/actions/InvokeMessages.properties: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/actions/LibtoolizeHandler.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/actions/ReconfigureAction.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/actions/ReconfigureHandler.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/actions/SingleInputDialog.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/actions/TwoInputDialog.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/AutotoolsBuilder.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/AutotoolsConfigurationBuilder.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/AutotoolsMakefileBuilder.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/AutotoolsMakeTargetManager.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/AutotoolsNewMakeGenerator.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/AutotoolsNewProjectNature.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/AutotoolsOptionValueHandler.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/AutotoolsPlugin.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/AutotoolsProjectNature.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/AutotoolsProjectPropertyTester.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/AutotoolsScannerInfo.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/AutotoolsScannerInfoProvider.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/editors/automake/AutoconfSubstRule.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/editors/automake/AutomakeCompletionProcessor.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/editors/automake/AutomakeConfigMacro.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/editors/automake/AutomakeDocumentProvider.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/editors/automake/AutomakeEditor.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/editors/automake/AutomakeEditorFactory.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/editors/automake/AutomakeErrorHandler.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/editors/automake/Automakefile.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/editors/automake/AutomakefileCodeScanner.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/editors/automake/AutomakefileContentOutlinePage.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/editors/automake/AutomakefileReconcilingStrategy.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/editors/automake/AutomakefileSourceConfiguration.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/editors/automake/AutomakefileUtil.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/editors/automake/AutomakeIfElse.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/editors/automake/AutomakeMacroDefinitionRule.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/editors/automake/AutomakeMacroReferenceRule.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/editors/automake/AutomakeTextHover.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/editors/automake/AutomakeWordDetector.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/configure/AbstractConfigurationOption.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/configure/AutotoolsConfiguration.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/configure/AutotoolsConfigurationManager.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/configure/BinConfigureOption.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/configure/ConfigureMessages.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/configure/ConfigureMessages.properties: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/configure/ConfigureOptionCategory.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/configure/ConfigureTool.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/configure/IAConfiguration.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/configure/IConfigureOption.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/configure/InternalConfigureOption.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/configure/MultiArgConfigureOption.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/configure/StringConfigureOption.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/editors/automake/AbstractElementListSelectionDialog.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/editors/automake/AbstractMakefile.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/editors/automake/AbstractMakefileCodeScanner.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/editors/automake/AddBuildTargetAction.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/editors/automake/ArchiveTarget.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/editors/automake/BadDirective.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/editors/automake/Command.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/editors/automake/Comment.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/editors/automake/CompletionProposalComparator.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/editors/automake/Conditional.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/editors/automake/DefaultRule.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/editors/automake/DefineVariable.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/editors/automake/DeleteOnErrorRule.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/editors/automake/Directive.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/editors/automake/EditorUtility.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/editors/automake/ElementListSelectionDialog.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/editors/automake/Else.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/editors/automake/EmptyLine.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/editors/automake/Endef.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/editors/automake/Endif.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/editors/automake/ExportAllVariablesRule.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/editors/automake/ExportVariable.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/editors/automake/ExternalEditorInput.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/editors/automake/ExternalEditorInputFactory.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/editors/automake/GNUAutomakefile.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/editors/automake/GNUMakefileConstants.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/editors/automake/GNUMakefileUtil.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/editors/automake/GNUTargetRule.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/editors/automake/GNUVariableDef.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/editors/automake/IAutomakeConditional.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/editors/automake/If.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/editors/automake/Ifdef.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/editors/automake/Ifeq.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/editors/automake/Ifndef.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/editors/automake/Ifneq.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/editors/automake/IgnoreRule.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/editors/automake/IMakefileDocumentProvider.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/editors/automake/IMakefileEditorActionDefinitionIds.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/editors/automake/Include.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/editors/automake/InferenceRule.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/editors/automake/IntermediateRule.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/editors/automake/IReconcilingParticipant.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/editors/automake/ISelectionValidator.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/editors/automake/ITranslationUnitEditorInput.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/editors/automake/LexicalSortingAction.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/editors/automake/LowResolutionTimeRule.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/editors/automake/MacroDefinition.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/editors/automake/MacroDefinitionRule.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/editors/automake/MacroReferenceRule.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/editors/automake/MakefileAnnotationHover.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/editors/automake/MakefileCodeScanner.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/editors/automake/MakefileCompletionProcessor.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/editors/automake/MakeFileConstants.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/editors/automake/MakefileContentOutlinePage.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/editors/automake/MakefileDocumentProvider.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/editors/automake/MakefileDocumentSetupParticipant.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/editors/automake/MakefileEditor.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/editors/automake/MakefileEditorActionContributor.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/editors/automake/MakefileEditorPreferenceConstants.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/editors/automake/MakefileEditorTogglePresentationAction.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/editors/automake/MakefileMessages.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/editors/automake/MakefilePartitionScanner.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/editors/automake/MakefileReader.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/editors/automake/MakefileReconcilingStrategy.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/editors/automake/MakeFileResources.properties: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/editors/automake/MakefileSourceConfiguration.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/editors/automake/MakefileStorageDocumentProvider.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/editors/automake/MakefileTextHover.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/editors/automake/MakefileWordDetector.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/editors/automake/MessageLine.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/editors/automake/NotParallelRule.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/editors/automake/NullMakefile.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/editors/automake/OpenDeclarationAction.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/editors/automake/OpenIncludeAction.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/editors/automake/OverrideDefine.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/editors/automake/OverrideVariable.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/editors/automake/Parent.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/editors/automake/PhonyRule.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/editors/automake/PosixMakefileUtil.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/editors/automake/PosixRule.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/editors/automake/PreciousRule.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/editors/automake/ProjectionMakefileUpdater.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/editors/automake/Rule.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/editors/automake/SccsGetRule.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/editors/automake/SecondaryRule.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/editors/automake/SelectionList.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/editors/automake/SelectionStatusDialog.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/editors/automake/SilentRule.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/editors/automake/SpecialRule.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/editors/automake/StaticTargetRule.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/editors/automake/StatusInfo.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/editors/automake/StatusTool.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/editors/automake/StringMatcher.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/editors/automake/SuffixesRule.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/editors/automake/Target.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/editors/automake/TargetRule.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/editors/automake/TargetVariable.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/editors/automake/Terminal.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/editors/automake/TwoArrayQuickSort.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/editors/automake/UnExport.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/editors/automake/Util.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/editors/automake/VariableDefinition.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/editors/automake/VPath.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/editors/automake/WordPartDetector.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/editors/automake/WorkingCopyManager.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/MakeMessages.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/MakeTarget.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/MakeTargetManager.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/MarkerGenerator.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/ProjectTargets.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/text/hover/AutoconfPrototype.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/text/hover/AutoconfTextHover.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/text/hover/HoverMessages.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/text/hover/HoverMessages.properties: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/ui/AbstractAutotoolsCPropertyTab.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/ui/AutotoolsConsole.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/ui/AutotoolsPluginImages.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/ui/CBuildStepsConsole.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/ui/CConfigureConsole.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/ui/Console.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/ui/ConsoleMessages.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/ui/ConsoleMessages.properties: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/ui/CWordFinder.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/ui/editors/autoconf/ProjectionFileUpdater.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/ui/ErrorParserBlock.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/ui/FileRelevance.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/ui/HTML2TextReader.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/ui/HTMLPrinter.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/ui/HTMLTextPresenter.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/ui/LineBreakingReader.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/ui/LocationAdapter.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/ui/MakeResources.properties: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/ui/MakeUIImages.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/ui/MakeUIMessages.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/ui/MessageLine.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/ui/OptionalMessageDialog.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/ui/preferences/AbstractEditorPreferencePage.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/ui/preferences/AutoconfEditorPreferencePage.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/ui/preferences/AutomakeEditorPreferencePage.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/ui/preferences/AutotoolsEditorPreferenceConstants.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/ui/preferences/AutotoolsPreferencePage.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/ui/preferences/AutotoolsPreferencesMessages.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/ui/preferences/AutotoolsPreferencesMessages.properties: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/ui/preferences/ColorEditor.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/ui/preferences/ColorManager.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/ui/preferences/OverlayPreferenceStore.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/ui/preferences/StatusInfo.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/ui/preferences/TabFolderLayout.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/ui/properties/AbstractConfigurePropertyOptionsPage.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/ui/properties/AutotoolsBuildPropertyPage.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/ui/properties/AutotoolsCategoryPropertyOptionPage.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/ui/properties/AutotoolsConfigurePrefStore.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/ui/properties/AutotoolsConfigurePropertyPage.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/ui/properties/AutotoolsConfigurePropertyTab.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/ui/properties/AutotoolsEditorPropertyTab.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/ui/properties/AutotoolsGeneralPropertyPage.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/ui/properties/AutotoolsHeadPropertyPage.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/ui/properties/AutotoolsPropertyConstants.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/ui/properties/AutotoolsPropertyManager.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/ui/properties/AutotoolsPropertyMessages.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/ui/properties/AutotoolsPropertyMessages.properties: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/ui/properties/AutotoolsToolPropertyOptionPage.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/ui/properties/AutotoolsToolsPropertyTab.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/ui/properties/IProjectPropertyListener.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/ui/properties/IPropertyChangeManager.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/ui/properties/ToolListContentProvider.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/ui/properties/ToolListElement.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/ui/properties/ToolListLabelProvider.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/ui/ResourceLookup.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/ui/ResourceLookupTree.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/ui/SingleCharReader.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/ui/SubstitutionTextReader.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/wizards/AutotoolsWizardMessages.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/wizards/AutotoolsWizardMessages.properties: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/wizards/ConfigurationContentProvider.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/wizards/ConfigurationLabelProvider.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/wizards/ManagedProjectOptionBlock.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/wizards/NewAutotoolsProject.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/MakeGenerator.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/popup/actions/GetDefinedSymbolsAction.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/popup/actions/GetIncludePathAction.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/Resources.properties: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/ui/editors/AutoconfAnnotationHover.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/ui/editors/AutoconfCodeScanner.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/ui/editors/AutoconfDocumentProvider.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/ui/editors/AutoconfDocumentSetupParticipant.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/ui/editors/AutoconfEditor.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/ui/editors/AutoconfEditorMacroValidator.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/ui/editors/AutoconfEditorMessages.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/ui/editors/AutoconfEditorMessages.properties: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/ui/editors/AutoconfErrorHandler.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/ui/editors/AutoconfIdentifierRule.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/ui/editors/AutoconfKeywordDetector.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/ui/editors/AutoconfM4WordDetector.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/ui/editors/AutoconfMacro.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/ui/editors/AutoconfMacroCodeScanner.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/ui/editors/AutoconfMacroContentAssistProcessor.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/ui/editors/AutoconfMacroDamagerRepairer.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/ui/editors/AutoconfMacroParameterListValidator.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/ui/editors/AutoconfMacroPartitionRule.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/ui/editors/AutoconfMacroProposalContextInformation.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/ui/editors/AutoconfMacroRule.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/ui/editors/AutoconfMacroWordDetector.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/ui/editors/AutoconfPartitioner.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/ui/editors/AutoconfPartitionScanner.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/ui/editors/AutoconfPKGWordDetector.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/ui/editors/AutoconfReconcilingStrategy.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/ui/editors/AutoconfSourceViewerConfiguration.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/ui/editors/AutoconfWhitespaceDetector.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/ui/editors/AutoconfWordDetector.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/ui/editors/IAutotoolEditorActionDefinitionIds.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/ui/editors/IAutotoolHelpContextIds.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/ui/editors/IAutotoolsEditor.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/ui/editors/InlineDataRule.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/ui/editors/MultilineRuleDamagerRepairer.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/ui/editors/outline/AutoconfContentOutlinePage.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/ui/editors/outline/AutoconfContentProvider.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/ui/editors/outline/AutoconfLabelProvider.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/ui/editors/ParseException.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/ui/editors/parser/AutoconfCaseConditionElement.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/ui/editors/parser/AutoconfCaseElement.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/ui/editors/parser/AutoconfElement.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/ui/editors/parser/AutoconfElifElement.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/ui/editors/parser/AutoconfElseElement.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/ui/editors/parser/AutoconfForElement.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/ui/editors/parser/AutoconfIfElement.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/ui/editors/parser/AutoconfMacroArgumentElement.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/ui/editors/parser/AutoconfMacroDetector.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/ui/editors/parser/AutoconfMacroElement.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/ui/editors/parser/AutoconfOutlineErrorHandler.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/ui/editors/parser/AutoconfParser.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/ui/editors/parser/AutoconfRootElement.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/ui/editors/parser/AutoconfSelectElement.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/ui/editors/parser/AutoconfTokenizer.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/ui/editors/parser/AutoconfUntilElement.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/ui/editors/parser/AutoconfWhileElement.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/ui/editors/parser/IAutoconfErrorHandler.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/ui/editors/parser/IAutoconfMacroDetector.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/ui/editors/parser/IAutoconfMacroValidator.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/ui/editors/parser/IMacroDetector.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/ui/editors/parser/ITokenConstants.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/ui/editors/parser/ParseException.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/ui/editors/parser/Token.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/ui/editors/RecursiveSingleLineRule.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/ui/editors/RestrictedEndOfLineRule.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/wizards/AutotoolsBuildWizard.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/wizards/AutotoolsNewCProjectWizardV2.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/wizards/ConvertToAutotoolsProjectWizard.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/wizards/ConvertToAutotoolsProjectWizardPage.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/wizards/CProjectPlatformPage.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/wizards/NewAutotoolsCCProjectWizard.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/wizards/NewAutotoolsCProjectWizard.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/wizards/NewAutotoolsProjectOptionPage.java: Removed.
	* templates/projecttemplates/EmptyProject/template.properties: Removed.
	* templates/projecttemplates/EmptyProject/template.xml: Removed.
	* templates/projecttemplates/HelloWorldCAutotoolsProject/src/AUTHORS: Removed.
	* templates/projecttemplates/HelloWorldCAutotoolsProject/src/Basename.c: Removed.
	* templates/projecttemplates/HelloWorldCAutotoolsProject/src/configure.ac.top: Removed.
	* templates/projecttemplates/HelloWorldCAutotoolsProject/src/COPYING: Removed.
	* templates/projecttemplates/HelloWorldCAutotoolsProject/src/Makefile.am.src: Removed.
	* templates/projecttemplates/HelloWorldCAutotoolsProject/src/Makefile.am.top: Removed.
	* templates/projecttemplates/HelloWorldCAutotoolsProject/src/NEWS: Removed.
	* templates/projecttemplates/HelloWorldCAutotoolsProject/src/README: Removed.
	* templates/projecttemplates/HelloWorldCAutotoolsProject/template.properties: Removed.
	* templates/projecttemplates/HelloWorldCAutotoolsProject/template.xml: Removed.
	* templates/projecttemplates/HelloWorldCPPAutotoolsProject/src/AUTHORS: Removed.
	* templates/projecttemplates/HelloWorldCPPAutotoolsProject/src/Basename.cpp: Removed.
	* templates/projecttemplates/HelloWorldCPPAutotoolsProject/src/configure.ac.top: Removed.
	* templates/projecttemplates/HelloWorldCPPAutotoolsProject/src/COPYING: Removed.
	* templates/projecttemplates/HelloWorldCPPAutotoolsProject/src/Makefile.am.src: Removed.
	* templates/projecttemplates/HelloWorldCPPAutotoolsProject/src/Makefile.am.top: Removed.
	* templates/projecttemplates/HelloWorldCPPAutotoolsProject/src/NEWS: Removed.
	* templates/projecttemplates/HelloWorldCPPAutotoolsProject/src/README: Removed.
	* templates/projecttemplates/HelloWorldCPPAutotoolsProject/template.properties: Removed.
	* templates/projecttemplates/HelloWorldCPPAutotoolsProject/template.xml: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/core/AutotoolsNewProjectNature.java: New file.
	* src/org/eclipse/linuxtools/cdt/autotools/core/AutotoolsPlugin.java: New file.
	* src/org/eclipse/linuxtools/cdt/autotools/core/Resources.properties: New file.
	* src/org/eclipse/linuxtools/internal/cdt/autotools/core/AutotoolsConfigurationBuilder.java: New file.
	* src/org/eclipse/linuxtools/internal/cdt/autotools/core/AutotoolsNewMakeGenerator.java: New file.
	* src/org/eclipse/linuxtools/internal/cdt/autotools/core/AutotoolsPropertyConstants.java: New file.
	* src/org/eclipse/linuxtools/internal/cdt/autotools/core/configure/AutotoolsOptionValueHandler.java: New file.
	* src/org/eclipse/linuxtools/internal/cdt/autotools/core/IConfigurationCloneListener.java: New file.
	* src/org/eclipse/linuxtools/internal/cdt/autotools/core/MakeMessages.java: New file.
	* src/org/eclipse/linuxtools/internal/cdt/autotools/core/MakeTarget.java: New file.
	* src/org/eclipse/linuxtools/internal/cdt/autotools/core/MakeTargetManager.java: New file.
	* src/org/eclipse/linuxtools/internal/cdt/autotools/core/MarkerGenerator.java: New file.
	* src/org/eclipse/linuxtools/internal/cdt/autotools/core/ProjectTargets.java: New file.
	* src/org/eclipse/linuxtools/internal/cdt/autotools/core/wizards/NewAutotoolsProject.java: New file.
	* src/org/eclipse/linuxtools/internal/cdt/autotools/ui: New file.
	* src/org/eclipse/linuxtools/internal/cdt/autotools/core/configure/AbstractConfigurationOption.java: New file. 
	* src/org/eclipse/linuxtools/internal/cdt/autotools/core/configure/AutotoolsConfiguration.java: New file.
	* src/org/eclipse/linuxtools/internal/cdt/autotools/core/configure/AutotoolsConfigurationManager.java: New file.
	* src/org/eclipse/linuxtools/internal/cdt/autotools/core/configure/BinConfigureOption.java: New file.
	* src/org/eclipse/linuxtools/internal/cdt/autotools/core/configure/ConfigureMessages.java: New file.
	* src/org/eclipse/linuxtools/internal/cdt/autotools/core/configure/ConfigureOptionCategory.java: New file.
	* src/org/eclipse/linuxtools/internal/cdt/autotools/core/configure/ConfigureTool.java: New file.
	* src/org/eclipse/linuxtools/internal/cdt/autotools/core/configure/IAConfiguration.java: New file.
	* src/org/eclipse/linuxtools/internal/cdt/autotools/core/configure/IConfigureOption.java: New file.
	* src/org/eclipse/linuxtools/internal/cdt/autotools/core/configure/InternalConfigureOption.java: New file.
	* src/org/eclipse/linuxtools/internal/cdt/autotools/core/configure/MultiArgConfigureOption.java: New file.
	* src/org/eclipse/linuxtools/internal/cdt/autotools/core/configure/StringConfigureOption.java: New file.
	* .project: Changed due to refactoring.
	* META-INF/MANIFEST.MF: Refactored.
	* plugin.xml: Refactored.  Moving UI elements to org.eclipse.linuxtools.cdt.autotools.ui plug-in.

2009-10-06  Jeff Johnston  <jjohnstn@redhat.com>

	* src/org/eclipse/linuxtools/cdt/autotools/internal/configure/AutotoolsConfigurationManager.java (saveConfigs): Store
	configuration data into .autotools file stored in project rather than using project working location. 
	(getConfigs): Get configs from .autotools file stored in the project rather than using project working
	location.

2009-10-05  Jeff Johnston  <jjohnstn@redhat.com>

	* plugin.xml: Fix category for Autotools C++ wizard.
	* src/org/eclipse/linuxtools/cdt/autotools/AutotoolsOptionValueHandler.java (fixName): New method.
	(handleValue): Add support to generate build directory if property option is on or defaulted.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/ui/properties/AutotoolsBuildPropertyPage.java (createControls): 
	Add support for automatic build name generation option.
	(initialize): Ditto.
	(performDefaults): Ditto.
	(performOK): Ditto.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/ui/properties/AutotoolsPropertyConstants.java: 
	Add support for auto build-name generation option.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/ui/properties/AutotoolsPropertyMessages.properties: Add
	messages for new property for automatically naming the build directory. 

2009-09-29  Jeff Johnston  <jjohnstn@redhat.com>

	* src/org/eclipse/linuxtools/cdt/autotools/internal/ui/properties/AutotoolsEditorPropertyPage.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/ui/properties/AutotoolsPropertyPage.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/ui/properties/AutotoolsToolsPropertyPage.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/ui/properties/AutotoolsConfigurePropertyTab.java: New file.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/ui/properties/AutotoolsEditorPropertyTab.java: New file.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/ui/properties/AutotoolsGeneralPropertyPage.java: New file.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/ui/properties/AutotoolsHeadPropertyPage.java: New file.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/ui/properties/AutotoolsToolsPropertyTab.java: New file.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/wizards/NewAutotoolsProject.java: New file.
	* src/org/eclipse/linuxtools/cdt/autotools/wizards/AutotoolsBuildWizard.java: New file.
	* templates/projecttemplates/EmptyProject/template.properties: New file.
	* templates/projecttemplates/EmptyProject/template.xml: New file.
	* templates/projecttemplates/HelloWorldCAutotoolsProject/src: New file.
	* templates/projecttemplates/HelloWorldCAutotoolsProject/src/AUTHORS: New file.
	* templates/projecttemplates/HelloWorldCAutotoolsProject/src/Basename.c: New file.
	* templates/projecttemplates/HelloWorldCAutotoolsProject/src/configure.ac.top: New file.
	* templates/projecttemplates/HelloWorldCAutotoolsProject/src/COPYING: New file.
	* templates/projecttemplates/HelloWorldCAutotoolsProject/src/Makefile.am.src: New file.
	* templates/projecttemplates/HelloWorldCAutotoolsProject/src/Makefile.am.top: New file.
	* templates/projecttemplates/HelloWorldCAutotoolsProject/src/NEWS: New file.
	* templates/projecttemplates/HelloWorldCAutotoolsProject/src/README: New file. 	
	* templates/projecttemplates/HelloWorldCAutotoolsProject/template.properties: New file.
	* templates/projecttemplates/HelloWorldCAutotoolsProject/template.xml: New file.
	* templates/projecttemplates/HelloWorldCPPAutotoolsProject/src: New file.
	* templates/projecttemplates/HelloWorldCPPAutotoolsProject/src/AUTHORS: New file.
	* templates/projecttemplates/HelloWorldCPPAutotoolsProject/src/Basename.cpp: New file.
	* templates/projecttemplates/HelloWorldCPPAutotoolsProject/src/configure.ac.top: New file.
	* templates/projecttemplates/HelloWorldCPPAutotoolsProject/src/COPYING: New file.
	* templates/projecttemplates/HelloWorldCPPAutotoolsProject/src/Makefile.am.src: New file.
	* templates/projecttemplates/HelloWorldCPPAutotoolsProject/src/Makefile.am.top: New file.
	* templates/projecttemplates/HelloWorldCPPAutotoolsProject/src/NEWS: New file.
	* templates/projecttemplates/HelloWorldCPPAutotoolsProject/src/README: New file. 	
	* templates/projecttemplates/HelloWorldCPPAutotoolsProject/template.properties: New file.
	* templates/projecttemplates/HelloWorldCPPAutotoolsProject/template.xml: New file.
	* plugin.properties: Add strings to support additions to plugin.xml.
	* plugin.xml: Add a new template process for creating an Autotools project.  Add templates for
	an empty project, a helloworld C project, and a helloworld C++ project.  Add a CDT wizard for
	creating a new Autotools project.  Remove project type name from Autotools project type so that
	it does not get added by MBSWizard and instead is added as part of the new AutotoolsBuildWizard.
	* src/org/eclipse/linuxtools/cdt/autotools/AutotoolsNewMakeGenerator.java (regenerateMakefiles): When forced to
	autoreconf missing files, do not restart the console for the subsequent configuration.
	* src/org/eclipse/linuxtools/cdt/autotools/AutotoolsOptionValueHandler.java (handleValue): Handle class rename.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/configure/AutotoolsConfiguration.java (setDefaultOptions): New
	method. 
	* src/org/eclipse/linuxtools/cdt/autotools/internal/configure/IAConfiguration.java: Add setDefaultOptions method.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/ui/properties/AutotoolsCategoryPropertyOptionPage.java (updateFields): Add
	call to set the values. 
	* src/org/eclipse/linuxtools/cdt/autotools/internal/ui/properties/AutotoolsConfigurePropertyPage.java: 
	(performSave): Deal with AutotoolsPropertyPage being renamed AutotoolsConfigurePropertyPage.
	(isSingle): Add override to specify this is a single page.
	(AutotoolsConfigurePropertyPage): New.

2009-09-21  Jeff Johnston  <jjohnstn@redhat.com>

	* plugin.xml: Make configure source tool directory use our shared applicability calculator.
	* src/org/eclipse/linuxtools/cdt/autotools/AutotoolsNewMakeGenerator.java (createDirectory): 
	Change to return boolean and to use Java File logic.
	(regenerateMakefiles): Fail if createDirectory fails for build directory.  Change over to not
	use Root or Workspace for file management.  Use Java File instead.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/ui/properties/ToolListLabelProvider.java: 
	Remove compiler warning.
	* src/org/eclipse/linuxtools/cdt/autotools/Resources.properties: Add new failure message if the
	build directory cannot be created.

2009-09-18  Jeff Johnston  <jjohnstn@redhat.com>

	* src/org/eclipse/linuxtools/cdt/autotools/AutotoolsDefaultBuildDirHandler.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/AutotoolsNewMakefileBuilder.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/ui/AbstractAutotoolsPage.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/AutotoolsOptionValueHandler.java: New file.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/configure/IAConfiguration.java: New file.
	* plugin.properties: Add configure name string.
	* plugin.xml: Add configure name to configure options for build definition and set its option value handler and
	calculator to be AutotoolsOptionValueHandler.  Add back a builder for toolchain to prevent errror when displaying
	toolChain editor property page.  Add new AutotoolsNatureV2.
	* src/org/eclipse/linuxtools/cdt/autotools/AutotoolsConfigurationBuilder.java (performMakefileGeneration): Add
	multiconfiguration support. 
	(clean): Ditto.
	* src/org/eclipse/linuxtools/cdt/autotools/AutotoolsNewMakeGenerator.java (addMakeTargetsToManager): 
	(createDirectory): Use Java File interface to perform mkdirs.
	(regenerateMakefiles): Add configuration parameter to support multiconfiguration.
	(initializeBuildConfigDirs): Use build location from ManagedBuild.
	(generateMakefiles): Call new regenerateMakefile interface.
	(reconfigure): Use new regenerateMakefiles interface.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/configure/AutotoolsConfiguration.java (setConfigToolDirectory): 
	(setActive): Remove.
	(isActive): Remove.
	(configOpts): Remove builddir.
	(copy): Change output to be IAConfiguration.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/configure/AutotoolsConfigurationManager.java: Remove active
	configuration tracking.
	(resourceChanged): Remove active configuration logic.
	(saveConfigs): Fix bug with adding header information in loop.
	(replaceConfiguration): Use IAConfiguration interface.
	(getConfigs): Remove active configuration logic.
	(configurationAlreadyExists): Use IAConfiguration interface.
	(getConfigurations): Don't add a configuration to project automatically.
	(AutotoolsConfigurationManager): Remove active configuration management set up.
	(createDefaultConfiguration): Do not default configuration name now that we are syncing up with build configurations.
	(addConfiguration): Use IAConfiguration interface.  Remove active configuration management.
	(replaceProjectConfigurations): New method.
	(findCfg): New method.
	(getConfiguration): New method.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/ui/AbstractAutotoolsCPropertyTab.java: Extend AbstractCBuildPropertyTab.
	(isIndexerAffected): New method. 
	* src/org/eclipse/linuxtools/cdt/autotools/internal/ui/properties/AutotoolsCategoryPropertyOptionPage.java (AutotoolsCategoryPropertyOptionPage):
	Use IAConfiguration interface. 
	* src/org/eclipse/linuxtools/cdt/autotools/internal/ui/properties/AutotoolsConfigurePrefStore.java (setSelection): Ditto.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/ui/properties/AutotoolsConfigurePropertyPage.java: Remove configuration
	tracking.  Let AutotoolsPropertyPage do it.
	(handleOptionSelection): Use AbstractPage cast.
	(setValues): Disable for multiconfiguration.  Get current configuration using getAutotoolsCfg method.
	(createControls): Don't bother getting current Autotools configuration.  Don't call setValues().
	(canBeVisible): Check for project.
	(updateData): Get ManagedBuild configuration from input to use later to find syncing AutotoolsConfiguration with
	same name.
	(getAutotoolsCfg): New Method.
	(performCancel): Do nothing.
	(displayPageForElement): Set selection based on current Autotools configuration from getAutotoolsCfg().
	(performDefaults): Do nothing.
	(performOK): Replace Autotools configurations for project.
	(createSelectionArea): Use a temporary AutotoolsConfiguration for a tree label provider.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/ui/properties/AutotoolsEditorPropertyPage.java (createControls): 
	* src/org/eclipse/linuxtools/cdt/autotools/internal/ui/properties/AutotoolsPropertyPage.java: Rewritten to extend
	AbstractPage and to replace content with AbstractPage.java as well since the majority of methods in AbstractPage
	are private and manipulate private data.  Add AutotoolsConfiguration tracking and a call-back mechanism for registering
	cloned configurations from AutotoolsOptionValueHandler.  When needed, call the super methods so they may access
	private methods.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/ui/properties/AutotoolsToolPropertyOptionPage.java (AutotoolsToolPropertyOptionPage):
	Use IAConfiguration interface. 
	* src/org/eclipse/linuxtools/cdt/autotools/internal/ui/properties/ToolListLabelProvider.java (ToolListLabelProvider): Ditto. 
	(getCfg): Ditto.
	(setCfg): Ditto.
	* src/org/eclipse/linuxtools/cdt/autotools/wizards/AutotoolsNewCProjectWizardV2.java (doRun): Remove AutotoolsConfiguration
	logic and defer to when needed.

2009-09-09  Jeff Johnston  <jjohnstn@redhat.com>

	Switching to use CommonBuilder.
	
	* src/org/eclipse/linuxtools/cdt/autotools/AutotoolsConfigurationBuilder.java: New file.
	* META-INF/MANIFEST.MF: Update dependencies.
	* plugin.xml: Change build configuration to non-managed-build.  Add AutotoolsConfigurationBuilder
	as separate builder and remove AutotoolsNewMakeGenerator as Managed Build Makefile generator.  Make
	Autotools Nature require Managed Build Nature.
	* src/org/eclipse/linuxtools/cdt/autotools/AutotoolsNewMakeGenerator.java (addMakeTargetsToManager): 
	Specify CDT common builder as target builder and also specify build directory as container.
	(regenerateMakefiles): Add build directory to console messages.  Make full configure default to false.
	* src/org/eclipse/linuxtools/cdt/autotools/AutotoolsNewProjectNature.java (addAutotoolsBuilder): Change
	to put new Configuration builder ahead of Common Builder.
	(configure): Remove Std Make bits.
	* src/org/eclipse/linuxtools/cdt/autotools/Resources.properties: Add new messages and add build directory
	specification to Makefile generator messages. 
	* src/org/eclipse/linuxtools/cdt/autotools/wizards/AutotoolsNewCProjectWizardV2.java (addNature): Refer
	to Managed Nature rather than Make Nature.  

2009-08-17  Jeff Johnston  <jjohnstn@redhat.com>

	* src/org/eclipse/linuxtools/cdt/autotools/AutotoolsNewMakeGenerator.java (getPathString): New
	method.
	(runScript): Call getPathString method on command path.  Use CCorePlugin to get
	environment variable manager instead of ManagedBuildManager.
	(runCommand): Ditto.
	(initializeBuildConfigDirs): Remove code to set build location in builder.
	(initialize): Get the C Configuration description for the active configuration.

2009-07-29  Jeff Johnston  <jjohnstn@redhat.com>

	* src/org/eclipse/linuxtools/cdt/autotools/internal/ui/AutotoolsConsole.java: New file.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/ui/Console.java: New file.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/ui/CBuildStepsConsole.java: New file.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/ui/CConfigureConsole.java: Inherit from
	Console class.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/ui/MakeResources.properties: ADd newline
	at end of file.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/ui/ConsoleMessages.properties: Add console
	names.
	* plugin.xml: Add CBuildConsole extensions for Autotools console and BuildSteps console.
	* src/org/eclipse/linuxtools/cdt/autotools/actions/InvokeAction.java: 
	(executeConsoleCommand): New method to execute commands in a special console.
	* src/org/eclipse/linuxtools/cdt/autotools/actions/InvokeAclocalAction.java: (run): Use 
	new executeConsoleCommand method from InvokeAction which this class now inherits from. 
	* src/org/eclipse/linuxtools/cdt/autotools/actions/InvokeAutoconfAction.java (run): Ditto.
	* src/org/eclipse/linuxtools/cdt/autotools/actions/InvokeAutoheaderAction.java (run): Ditto.
	* src/org/eclipse/linuxtools/cdt/autotools/actions/InvokeAutomakeAction.java (run): Ditto.
	* src/org/eclipse/linuxtools/cdt/autotools/actions/InvokeAutoreconfAction.java (run): Ditto.
	* src/org/eclipse/linuxtools/cdt/autotools/actions/InvokeLibtoolizeAction.java (run): Ditto.
	* src/org/eclipse/linuxtools/cdt/autotools/actions/InvokeMessages.properties: Add CWD message.
	* src/org/eclipse/linuxtools/cdt/autotools/AutotoolsNewMakeGenerator.java (stripEnvVars): Make
	public static.
	
2009-07-29  Jeff Johnston  <jjohnstn@redhat.com>

	* src/org/eclipse/linuxtools/cdt/autotools/actions/ReconfigureAction.java: New file.
	* src/org/eclipse/linuxtools/cdt/autotools/actions/ReconfigureHandler.java: New file.
	* plugin.properties: Add strings for Reconfigure menu item.
	* plugin.xml: Add Reconfigure project menu item.
	* src/org/eclipse/linuxtools/cdt/autotools/AutotoolsNewMakeGenerator.java (regenerateMakefiles): 
	(reconfigure): New method.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/configure/AutotoolsConfigurationManager.java (resourceChanged):
	Now that plugin working area is used, no need to manage the files there for project deletion or
	renaming. 
	(addConfiguration): If this is first configuration for project, call setActiveConfiguration. 
	(replaceConfiguration): Ditto.
	(saveConfigs): Use plugin working area for project.
	(getConfigs): New method which gets configs for single project.
	(loadConfigs): Removed. 
	(getActiveConfiguration): Call getConfigurations internally.
	(getConfigurations): Call getconfigs method and create default configuration if needed. 
	(setActiveConfiguration): 
	(getInstance): Remove loadConfigs call.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/configure/ConfigureMessages.properties: Add save
	config error message. 

2009-07-13  Jeff Johnston  <jjohnstn@redhat.com>

	* src/org/eclipse/linuxtools/cdt/autotools/internal/configure/AutotoolsConfiguration.java (getToolArgs): Add
	support for caching parameters. 
	(getToolParameters): Clean up warnings.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/configure/BinConfigureOption.java (setValue): Set configuration
	dirty on value change. 
	* src/org/eclipse/linuxtools/cdt/autotools/internal/text/hover/AutoconfPrototype.java: Clean
	up compiler warnings. 
	* src/org/eclipse/linuxtools/cdt/autotools/internal/text/hover/AutoconfTextHover.java: Ditto. 
	* src/org/eclipse/linuxtools/cdt/autotools/internal/ui/AbstractAutotoolsPage.java: Ditto. 
	* src/org/eclipse/linuxtools/cdt/autotools/internal/ui/properties/AutotoolsConfigurePropertyPage.java: Ditto. 
	* src/org/eclipse/linuxtools/cdt/autotools/internal/ui/properties/AutotoolsEditorPropertyPage.java: Ditto.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/ui/properties/AutotoolsToolsPropertyPage.java: Ditto.

2009-07-10  Jeff Johnston  <jjohnstn@redhat.com>

	* icons/obj16/fatalerror_obj.gif: New file.
	* icons/obj16/info_obj.gif: New file.
	* icons/obj16/warning_obj.gif: New file.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/ui/AbstractAutotoolsCPropertyTab.java: New file.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/ui/AbstractAutotoolsPage.java: New file.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/ui/FileRelevance.java: New file.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/ui/LocationAdapter.java: New file.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/ui/OptionalMessageDialog.java: New file.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/ui/ResourceLookup.java: New file.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/ui/ResourceLookupTree.java: New file.
	* plugin.xml: Fix new MakefileGenerator id and nature references.
	* src/org/eclipse/linuxtools/cdt/autotools/AutotoolsNewMakefileBuilder.java (clean): New override method.
	(getTargets): New override method.
	(removeBuildDir): New method.
	(build): Minor format change.
	(AutotoolsNewMakefileBuilder): 
	(makeArray): New method.
	* src/org/eclipse/linuxtools/cdt/autotools/AutotoolsNewMakeGenerator.java (getAutogenPath): New method
	that calls stripEnvVars. 
	(runScript): Add additional enviornment variables specified on command line.
	(stripEnvVars): New method to strip env vars from a command string.
	(getConfigurePath): Changed to use stripEnvVars.
	(regenerateMakefiles): Fix deletion logic to not delete build directory.
	(makeArray): New method.
	* src/org/eclipse/linuxtools/cdt/autotools/AutotoolsNewProjectNature.java: Change id. 
	* src/org/eclipse/linuxtools/cdt/autotools/internal/configure/AbstractConfigurationOption.java (getParameters): 
	* src/org/eclipse/linuxtools/cdt/autotools/internal/configure/AutotoolsConfiguration.java (Option): Add
	defaultValue field. 
	(Option.getDefaultValue): New method.
	(Option.Option): Added constructor.
	(initConfigOptions): Fix autogen to not have id with dot in name.
	(configOpts): Add default value processing.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/configure/ConfigureMessages.properties: Change name of autogen
	tool name message. 
	* src/org/eclipse/linuxtools/cdt/autotools/internal/ui/MakeResources.properties: Added messages.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/ui/MakeUIImages.java: Add new image. 
	* src/org/eclipse/linuxtools/cdt/autotools/internal/ui/properties/AutotoolsConfigurePropertyPage.java (handleOptionSelection):
	Change cast. 
	(cfgChanged): Add comment.
	(getProject): Changed to get project from page.
	(createControls): Remove configuration combo which is no longer used.
	(updateData): Update comment. 
	* src/org/eclipse/linuxtools/cdt/autotools/internal/ui/properties/AutotoolsEditorPropertyPage.java (updateButtons): 
	Update comment.
	(cfgChanged): Added comment.
	(getProject): Changed to get project from page.
	(updateData): Update comment.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/ui/properties/AutotoolsPropertyMessages.java: Added messages. 
	* src/org/eclipse/linuxtools/cdt/autotools/internal/ui/properties/AutotoolsPropertyPage.java: Changed to inherit from
	AbstractAutotoolsPage.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/ui/properties/AutotoolsToolPropertyOptionPage.java (createFieldEditors): 
	* src/org/eclipse/linuxtools/cdt/autotools/internal/ui/properties/AutotoolsToolsPropertyPage.java (updateButtons): 
	Update comment.
	(cfgChanged): Added comment.
	(getProject): Changed to get project from page.
	(updateData): Update comment.

2009-06-26  Jeff Johnston  <jjohnstn@redhat.com>

	Resolves #280509
	* src/org/eclipse/linuxtools/cdt/autotools/AutotoolsNewMakeGenerator.java (regenerateMakefiles): Add
	logic to use autoreconf if no configure script and no autogen.sh. 
	* src/org/eclipse/linuxtools/cdt/autotools/Resources.properties: Add messages. 

2009-06-26  Jeff Johnston  <jjohnstn@redhat.com>

	Resolves #280696, #280504, #280505, #280506
	
	* src/org/eclipse/linuxtools/cdt/autotools/actions/InvokeAction.java (showSuccess):
	Changed to issue a information dialog that does not have a cancel button. 
	(executeCommand): Changed to create a ProgressMonitorDialog that is issued
	until the command completes successfully or with failure.
	(ExecuteProgressDialog): New private internal class that implements IRunnableWithProgress
	which is used to run the command for a ProgressMonitorDialog.
	(simpleParseOptions): New method to parse options and account for quoted strings.
	* src/org/eclipse/linuxtools/cdt/autotools/actions/AutoheaderHandler.java: New file.
	* src/org/eclipse/linuxtools/cdt/autotools/actions/AutoreconfHandler.java: New file.
	* src/org/eclipse/linuxtools/cdt/autotools/actions/InvokeAutoheaderAction.java: New file.
	* src/org/eclipse/linuxtools/cdt/autotools/actions/InvokeAutoreconfAction.java: New file.
	* src/org/eclipse/linuxtools/cdt/autotools/actions/InvokeLibtoolizeAction.java: New file.
	* src/org/eclipse/linuxtools/cdt/autotools/actions/LibtoolizeHandler.java: New file.
	* src/org/eclipse/linuxtools/cdt/autotools/actions/SingleInputDialog.java: New file.
	* plugin.properties: Add new messages for additional tools/commands added.
	* plugin.xml: Change invoking autotools to be a single menu item in Project menu which
	expands to show all tools available, including aclocal, autoconf, autoheader, automake,
	autoreconf, and libtoolize.
	* src/org/eclipse/linuxtools/cdt/autotools/actions/InvokeMessages.properties: Add support
	for autoheader, autoreconf, and libtoolize. 
	* src/org/eclipse/linuxtools/cdt/autotools/internal/ui/properties/AutotoolsPropertyConstants.java: Ditto. 
	* src/org/eclipse/linuxtools/cdt/autotools/internal/ui/properties/AutotoolsPropertyMessages.properties: Ditto.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/ui/properties/AutotoolsToolsPropertyPage.java 
	(createControls): Ditto. 
	(initialize): Ditto. 
	(performDefaults): Ditto.
	(performOK): Ditto.

2009-06-26  Jeff Johnston  <jjohnstn@redhat.com>

	* src/org/eclipse/linuxtools/cdt/autotools/AutotoolsNewMakeGenerator.java (toolsCfg):
	New AutotoolsConfiguration acquired from AutotoolsConfigurationManager.
	(runScript): Use new toolsCfg instead of cfg. 
	(getConfigArgs): Ditto.
	(initializeBuildConfigDirs): Ditto. 
	(autogenExists): Ditto.
	(runCommand): Ditto.
	(getAutogenArgs): Ditto.
	(configureExists): Ditto.
	(regenerateMakefiles): Ditto.
	(getConfigurePath): Ditto.
	(getMakefileName): Ditto.
	(initialize): Initialize toolsCfg to active Autotools configuration for project.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/configure/AbstractConfigurationOption.java (getParameters):
	New method. 
	* src/org/eclipse/linuxtools/cdt/autotools/internal/configure/AutotoolsConfiguration.java (getToolArgs): New
	method. 
	(getConfigArgs): Removed. 
	(configOpts): Add autogen.sh support.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/configure/ConfigureMessages.properties: Add autogen.sh
	stuff. 
	* src/org/eclipse/linuxtools/cdt/autotools/internal/configure/ConfigureOptionCategory.java (getParameters): New
	method. 
	* src/org/eclipse/linuxtools/cdt/autotools/internal/configure/ConfigureTool.java (getParameters): Ditto. 
	* src/org/eclipse/linuxtools/cdt/autotools/internal/configure/IConfigureOption.java (getParameters): Ditto.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/configure/MultiArgConfigureOption.java (getParameters): Fix
	to properly separate options of all kinds and not just for configure.
	 
2009-06-26  Jeff Johnston  <jjohnstn@redhat.com>

	Resolves #281582, #281583
	* src/org/eclipse/linuxtools/cdt/autotools/AutotoolsMakefileBuilder.java (clean): Do not
	use ManagedBuildManager to get a Makefile generator.  Just create a new Autotools Makefile
	generator. 
	(removeBuildDir): Ditto. 
	(build): Ditto.
	* src/org/eclipse/linuxtools/cdt/autotools/AutotoolsScannerInfo.java (getCompilationString):
	Fix to support g++, top-level building, and compilation strings that span multiple lines. 

2009-06-15  Jeff Johnston  <jjohnstn@redhat.com>

	Resolves #280117
	* src/org/eclipse/linuxtools/cdt/autotools/AutotoolsScannerInfo.java (buildFile): Fix so we don't
	leave loop early before finding build directory.

2009-06-11  Jeff Johnston  <jjohnstn@redhat.com>

	* icons/ac16/convert-normal.gif: Removed.
	* icons/etool16/convert-normal.gif: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/ui/properties/AutotoolsBuildPropertyPage.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/ui/properties/AutotoolsEditorPropertyPage.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/ui/properties/AutotoolsPropertyConstants.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/ui/properties/AutotoolsPropertyManager.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/ui/properties/AutotoolsPropertyMessages.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/ui/properties/AutotoolsPropertyMessages.properties: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/ui/properties/AutotoolsPropertyPage.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/ui/properties/AutotoolsToolsPropertyPage.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/ui/properties/IProjectPropertyListener.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/ui/properties/IPropertyChangeManager.java: Removed.
	* icons/ac16/convert_normal.gif: New file.
	* icons/dlcl16/config_category.gif: New file.
	* icons/dlcl16/config_tool.gif: New file.
	* icons/elcl16/config_category.gif: New file.
	* icons/elcl16/config_tool.gif: New file.
	* icons/etool16/convert_normal.gif: New file.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/configure/ConfigureTool.java: New file.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/configure/InternalConfigureOption.java: New file.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/configure/MultiArgConfigureOption.java: New file.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/ui/properties/AbstractConfigurePropertyOptionsPage.java: New file.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/ui/properties/AutotoolsCategoryPropertyOptionPage.java: New file.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/ui/properties/AutotoolsConfigurePrefStore.java: New file.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/ui/properties/AutotoolsConfigurePropertyPage.java: New file.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/ui/properties/AutotoolsToolPropertyOptionPage.java: New file.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/ui/properties/ToolListContentProvider.java: New file.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/ui/properties/ToolListElement.java: New file.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/ui/properties/ToolListLabelProvider.java: New file.
	* plugin.properties: Change messages. 
	* plugin.xml: Remove warnings.
	* src/org/eclipse/linuxtools/cdt/autotools/actions/InvokeAclocalAction.java: Changed due to refactoring. 
	* src/org/eclipse/linuxtools/cdt/autotools/actions/InvokeAutoconfAction.java: Ditto.
	* src/org/eclipse/linuxtools/cdt/autotools/actions/InvokeAutomakeAction.java: Ditto.
	* src/org/eclipse/linuxtools/cdt/autotools/AutotoolsBuilder.java: Ditto.
	* src/org/eclipse/linuxtools/cdt/autotools/AutotoolsMakefileBuilder.java: Ditto. 
	* src/org/eclipse/linuxtools/cdt/autotools/AutotoolsNewMakeGenerator.java: Ditto.
	* src/org/eclipse/linuxtools/cdt/autotools/AutotoolsScannerInfo.java: Ditto.
	* src/org/eclipse/linuxtools/cdt/autotools/AutotoolsScannerInfoProvider.java: Ditto. 
	* src/org/eclipse/linuxtools/cdt/autotools/internal/configure/AbstractConfigurationOption.java (isMultiArg): 
	* src/org/eclipse/linuxtools/cdt/autotools/internal/configure/AutotoolsConfiguration.java (getConfigToolDirectory):
	Rewritten to use option. 
	(setConfigToolDirectory): Ditto. 
	(setDirty): Rewritten.
	(Option): Add public methods to get name, description, type, and tooltip.
	(setBuildDirectory): Rewritten to use option. 
	(getConfigArgs): New method.
	(initConfigOptions): Set options for everything including tools.
	(getOption): New method.
	(getOptionList): Ditto.
	(AutotoolsConfiguration): Keep track of parms dirty vs config dirty. 
	(getChildOptions): Add support for both categories and tools.
	(setOption): Alter dirty flag.
	(getToolParameters): New method.
	(getTools): Ditto.
	(configOpts): New internal map.
	(getBuildDirectory): Rewrite to use simple option.
	(copy): Copy using option copy methods and add internal variables as well.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/configure/AutotoolsConfigurationManager.java (ConfigureFileFilter):
	New class to make it easy to find configuration data for project.  
	(resourceChanged): Added internal map changes as well.
	(addConfigurationHeader): New method.
	(saveConfigs): Changed to use IFile.
	(replaceConfiguration): New method. 
	(setActiveConfiguration): Ditto.
	(getConfigurations): If default configuration created, mark it active.
	(AutotoolsConfigurationManager): Create active configs map.
	(getInstance): Fixed to only load configs the one time.
	(loadConfigs): Fixed to properly load configuration files and use xml parsing.
	(getActiveConfiguration): New method. 
	* src/org/eclipse/linuxtools/cdt/autotools/internal/configure/BinConfigureOption.java (getType): 
	(copy): New method.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/configure/ConfigureMessages.java: 
	* src/org/eclipse/linuxtools/cdt/autotools/internal/configure/ConfigureMessages.properties: 
	* src/org/eclipse/linuxtools/cdt/autotools/internal/configure/ConfigureOptionCategory.java (getValue): 
	(getType): New method.
	(isMultiArg): Ditto.
	(copy): Ditto.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/configure/IConfigureOption.java: 
	* src/org/eclipse/linuxtools/cdt/autotools/internal/configure/StringConfigureOption.java (getType): 
	(copy): New method.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/text/hover/AutoconfTextHover.java: Changed due to
	refactoring of properties. 
	* src/org/eclipse/linuxtools/cdt/autotools/internal/ui/AutotoolsPluginImages.java: Add new images for
	Autotools configuration property page.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/ui/properties/AutotoolsBuildPropertyPage.java: Changed due to
	refactoring of properties. 
	* src/org/eclipse/linuxtools/cdt/autotools/internal/ui/properties/AutotoolsEditorPropertyPage.java: Ditto. 
	* src/org/eclipse/linuxtools/cdt/autotools/internal/ui/properties/AutotoolsPropertyConstants.java: Ditto.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/ui/properties/AutotoolsPropertyManager.java: Ditto.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/ui/properties/AutotoolsPropertyMessages.java: Ditto.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/ui/properties/AutotoolsPropertyMessages.properties: Ditto.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/ui/properties/AutotoolsPropertyPage.java: Ditto.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/ui/properties/AutotoolsToolsPropertyPage.java: Ditto.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/ui/properties/IProjectPropertyListener.java: Ditto.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/ui/properties/IPropertyChangeManager.java: Ditto.
	* src/org/eclipse/linuxtools/cdt/autotools/MakeGenerator.java: Ditto.
	* src/org/eclipse/linuxtools/cdt/autotools/ui/editors/AutoconfEditor.java: Ditto.
	* src/org/eclipse/linuxtools/cdt/autotools/wizards/AutotoolsNewCProjectWizardV2.java: Ditto. 
	* src/org/eclipse/linuxtools/cdt/autotools/wizards/ConvertToAutotoolsProjectWizardPage.java: Ditto. 
	* src/org/eclipse/linuxtools/cdt/autotools/wizards/NewAutotoolsCCProjectWizard.java: Ditto.
	* src/org/eclipse/linuxtools/cdt/autotools/wizards/NewAutotoolsCProjectWizard.java: Ditto.

2009-05-29  Jeff Johnston  <jjohnstn@redhat.com>

	* src/org/eclipse/linuxtools/cdt/autotools/internal/configure/AbstractConfigurationOption.java: New file.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/configure/AutotoolsConfiguration.java: New file.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/configure/AutotoolsConfigurationManager.java: New file.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/configure/BinConfigureOption.java: New file.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/configure/ConfigureMessages.java: New file.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/configure/ConfigureMessages.properties: New file.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/configure/ConfigureOptionCategory.java: New file.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/configure/IConfigureOption.java: New file.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/configure/StringConfigureOption.java: New file.
	* .classpath: Checking in.
	* plugin.xml: Fix compiler warnings.
	* src/org/eclipse/linuxtools/cdt/autotools/actions/InvokeAclocalAction.java (run): Ditto.
	* src/org/eclipse/linuxtools/cdt/autotools/actions/InvokeAction.java (separateTargets): Ditto. 
	(separateOptions): Ditto.
	(executeCommand): Ditto.
	* src/org/eclipse/linuxtools/cdt/autotools/actions/InvokeAutoconfAction.java (run): Ditto. 
	* src/org/eclipse/linuxtools/cdt/autotools/actions/InvokeAutomakeAction.java (run): Ditto.
	* src/org/eclipse/linuxtools/cdt/autotools/actions/TwoInputDialog.java: Ditto.
	* src/org/eclipse/linuxtools/cdt/autotools/AutotoolsBuilder.java: Ditto.
	* src/org/eclipse/linuxtools/cdt/autotools/AutotoolsDefaultBuildDirHandler.java (handleValue): Ditto.
	* src/org/eclipse/linuxtools/cdt/autotools/AutotoolsMakefileBuilder.java (clean): Ditto.
	(build): Ditto.
	* src/org/eclipse/linuxtools/cdt/autotools/AutotoolsNewMakefileBuilder.java (performMakefileGeneration): Ditto.
	(build): Ditto.
	(AutotoolsNewMakefileBuilder): Ditto. 
	* src/org/eclipse/linuxtools/cdt/autotools/AutotoolsNewMakeGenerator.java (runScript): Ditto. 
	(saveTargets): Ditto.
	(runCommand): Ditto.
	* src/org/eclipse/linuxtools/cdt/autotools/AutotoolsNewProjectNature.java (configure): Ditto. 
	* src/org/eclipse/linuxtools/cdt/autotools/AutotoolsPlugin.java: Ditto.
	* src/org/eclipse/linuxtools/cdt/autotools/AutotoolsProjectNature.java (removeNature): Ditto. 
	(addAutotoolsBuilder): Ditto.
	* src/org/eclipse/linuxtools/cdt/autotools/AutotoolsScannerInfo.java (buildFile): Ditto. 
	(getDefinedSymbols): Ditto.
	(getIncludePaths): Ditto.
	(definedSymbols): Ditto.
	* src/org/eclipse/linuxtools/cdt/autotools/AutotoolsScannerInfoProvider.java (setDirty): Ditto. 
	(getScannerInformation): Ditto.
	* src/org/eclipse/linuxtools/cdt/autotools/editors/automake/AutoconfSubstRule.java (DecreasingCharArrayLengthComparator): Ditto. 
	* src/org/eclipse/linuxtools/cdt/autotools/editors/automake/AutomakeCompletionProcessor.java (DirectiveComparator): Ditto.
	(computeContextInformation): Ditto.
	(computeCompletionProposals): Ditto.
	* src/org/eclipse/linuxtools/cdt/autotools/editors/automake/AutomakeDocumentProvider.java (connect): Ditto. 
	(shutdown): Ditto.
	* src/org/eclipse/linuxtools/cdt/autotools/editors/automake/AutomakeEditor.java (getAdapter): Ditto. 
	* src/org/eclipse/linuxtools/cdt/autotools/editors/automake/AutomakeErrorHandler.java (AutomakeMarker): Ditto. 
	(checkChildren): Ditto.
	(AutomakeMarker.setAttributes): Ditto. 
	(AutomakeMarker.getAttributes): Ditto.
	(createMarker): Ditto.
	(AutomakeMarker.AutomakeMarker): Ditto. 
	(AutomakeMarker.getAdapter): Ditto.
	* src/org/eclipse/linuxtools/cdt/autotools/editors/automake/AutomakefileCodeScanner.java (createRules): Ditto. 
	* src/org/eclipse/linuxtools/cdt/autotools/editors/automake/AutomakefileContentOutlinePage.java (AutomakefileContentProvider.getElements): Ditto. 
	* src/org/eclipse/linuxtools/cdt/autotools/internal/editors/automake/AbstractElementListSelectionDialog.java (setSelectionListElements): Ditto.
	(getWidgetSelection): Ditto.
	(verifyCurrentSelection): Ditto.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/editors/automake/AbstractMakefile.java (getMacroDefinitions): Ditto. 
	(getBuiltinInferenceRules): Ditto.
	(getRules): Ditto.
	(getInferenceRules): Ditto. 
	(getTargetRules): Ditto.
	(getBuiltinMacroDefinitions): Ditto. 
	* src/org/eclipse/linuxtools/cdt/autotools/internal/editors/automake/AddBuildTargetAction.java (getTargetRules): Ditto. 
	* src/org/eclipse/linuxtools/cdt/autotools/internal/editors/automake/CompletionProposalComparator.java (compare): Ditto.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/editors/automake/EditorUtility.java (getWorkspaceFileAtLocation): Ditto.
	(isLinked): Ditto.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/editors/automake/ElementListSelectionDialog.java (open): Ditto. 
	(setElements): Ditto.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/editors/automake/ExternalEditorInput.java (getAdapter): Ditto. 
	* src/org/eclipse/linuxtools/cdt/autotools/internal/editors/automake/GNUAutomakefile.java (getBuiltins): Ditto.
	(addDirective): Ditto.
	(parseVPath): Ditto.
	(getDirectives): Ditto.
	(parse): Ditto.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/editors/automake/LexicalSortingAction.java (LexicalCSorter.isSorterProperty): Ditto. 
	* src/org/eclipse/linuxtools/cdt/autotools/internal/editors/automake/MakefileCompletionProcessor.java (DirectiveComparator): Ditto.
	(computeContextInformation): Ditto.
	(computeCompletionProposals): Ditto.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/editors/automake/MakefileContentOutlinePage.java (MakefileContentProvider.getElements): Ditto. 
	* src/org/eclipse/linuxtools/cdt/autotools/internal/editors/automake/MakefileDocumentProvider.java (shutdown): Ditto.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/editors/automake/MakefileEditor.java (getAdapter): Ditto. 
	* src/org/eclipse/linuxtools/cdt/autotools/internal/editors/automake/MakefileMessages.java (getFormattedString): Ditto. 
	* src/org/eclipse/linuxtools/cdt/autotools/internal/editors/automake/MakefilePartitionScanner.java (MakefilePartitionScanner): Ditto. 
	* src/org/eclipse/linuxtools/cdt/autotools/internal/editors/automake/NullMakefile.java: Ditto.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/editors/automake/OpenIncludeAction.java (resolveIncludeLink): Ditto. 
	(findFile): Ditto.
	(getIncludeStatement): Ditto. 
	(chooseFile): Ditto.
	(run): Ditto.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/editors/automake/Parent.java: Ditto. 
	* src/org/eclipse/linuxtools/cdt/autotools/internal/editors/automake/PosixMakefileUtil.java (findTargets): Ditto. 
	* src/org/eclipse/linuxtools/cdt/autotools/internal/editors/automake/ProjectionMakefileUpdater.java (createAnnotationMap): Ditto. 
	(fCollapseConditional): Ditto.
	(fCollapseRule): Ditto.
	(fCollapseMacroDef): Ditto.
	(match): Ditto.
	(processReconcile): Ditto. 
	(computeAdditions): Ditto.
	(initialize): Ditto. 
	* src/org/eclipse/linuxtools/cdt/autotools/internal/editors/automake/Rule.java (getCommands): Ditto. 
	* src/org/eclipse/linuxtools/cdt/autotools/internal/editors/automake/SelectionList.java (getSelection): Ditto. 
	(setElements): Ditto.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/editors/automake/SelectionStatusDialog.java (setInitialSelection): Ditto. 
	(getPrimaryInitialSelection): Ditto.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/editors/automake/StringMatcher.java (parseWildCards): Ditto. 
	* src/org/eclipse/linuxtools/cdt/autotools/internal/editors/automake/WorkingCopyManager.java (setWorkingCopy): Ditto.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/MakeTarget.java (getAdapter): Ditto.
	(getEnvironment): Ditto.
	(setEnvironment): Ditto.
	(build): Ditto.
	(getExpandedEnvironment): Ditto. 
	(getAttributeMap): Ditto.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/MakeTargetManager.java (initializeBuilders): Ditto. 
	(getTargetBuilders): Ditto.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/ProjectTargets.java (findTarget): Ditto. 
	(remove): Ditto.
	(get): Ditto.
	(getAsXML): Ditto. 
	(contains): Ditto.
	(add): Ditto.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/ui/editors/autoconf/ProjectionFileUpdater.java (createAnnotationMap): Ditto. 
	(match): Ditto.
	(processReconcile): Ditto. 
	(computeAdditions): Ditto.
	(initialize): Ditto.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/ui/ErrorParserBlock.java: Ditto. 
	* src/org/eclipse/linuxtools/cdt/autotools/internal/ui/HTML2TextReader.java (static initializer): Ditto. 
	* src/org/eclipse/linuxtools/cdt/autotools/internal/ui/HTMLTextPresenter.java (updatePresentation): Ditto.
	(adaptTextPresentation): Ditto.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/ui/preferences/AutoconfEditorPreferencePage.java (ColorListContentProvider.getElements): Ditto. 
	(addTextKeyToCover): Ditto.
	(createSyntaxPage): Ditto.
	(createOverlayStore): Ditto.
	(HighlightingColorListItem): Ditto. 
	* src/org/eclipse/linuxtools/cdt/autotools/internal/ui/preferences/AutomakeEditorPreferencePage.java (ColorListContentProvider.getElements): Ditto. 
	(addTextKeyToCover): Ditto.
	(createSyntaxPage): Ditto.
	(createOverlayStore): Ditto.
	(HighlightingColorListItem): Ditto. 
	* src/org/eclipse/linuxtools/cdt/autotools/internal/ui/preferences/ColorManager.java (dispose): Ditto. 
	* src/org/eclipse/linuxtools/cdt/autotools/internal/ui/preferences/StatusInfo.java: Ditto.
	* src/org/eclipse/linuxtools/cdt/autotools/MakeGenerator.java (addMakeTargetsToManager): Ditto.
	(runScript): Ditto.
	(regenerateMakefiles): Ditto. 
	(runCommand): Ditto.
	* src/org/eclipse/linuxtools/cdt/autotools/Resources.properties: Ditto. 
	* src/org/eclipse/linuxtools/cdt/autotools/ui/editors/AutoconfAnnotationHover.java (getMarkersForLine): Ditto. 
	(select): Ditto.
	(getHoverInfo): Ditto.
	(formatMultipleMessages): Ditto. 
	(.createInformationControl): Ditto.
	* src/org/eclipse/linuxtools/cdt/autotools/ui/editors/AutoconfCodeScanner.java (AutoconfCodeScanner): Ditto. 
	* src/org/eclipse/linuxtools/cdt/autotools/ui/editors/AutoconfDocumentProvider.java: Ditto.
	* src/org/eclipse/linuxtools/cdt/autotools/ui/editors/AutoconfEditor.java: Ditto.
	* src/org/eclipse/linuxtools/cdt/autotools/ui/editors/AutoconfErrorHandler.java: Ditto.
	* src/org/eclipse/linuxtools/cdt/autotools/ui/editors/AutoconfIdentifierRule.java: Ditto.
	* src/org/eclipse/linuxtools/cdt/autotools/ui/editors/AutoconfMacro.java: Ditto.
	* src/org/eclipse/linuxtools/cdt/autotools/ui/editors/AutoconfMacroCodeScanner.java (AutoconfMacroCodeScanner): Ditto. 
	* src/org/eclipse/linuxtools/cdt/autotools/ui/editors/AutoconfMacroContentAssistProcessor.java (computeCompletionProposals): Ditto. 
	* src/org/eclipse/linuxtools/cdt/autotools/ui/editors/AutoconfMacroDamagerRepairer.java: Ditto.
	* src/org/eclipse/linuxtools/cdt/autotools/ui/editors/AutoconfMacroParameterListValidator.java: Ditto. 
	* src/org/eclipse/linuxtools/cdt/autotools/ui/editors/AutoconfPartitionScanner.java (AutoconfPartitionScanner): Ditto. 
	* src/org/eclipse/linuxtools/cdt/autotools/ui/editors/IAutotoolsEditor.java: Ditto.
	* src/org/eclipse/linuxtools/cdt/autotools/ui/editors/InlineDataRule.java: Ditto.
	* src/org/eclipse/linuxtools/cdt/autotools/ui/editors/outline/AutoconfContentOutlinePage.java (updateSelection): Ditto. 
	* src/org/eclipse/linuxtools/cdt/autotools/ui/editors/parser/AutoconfElement.java (AutoconfElement): Ditto. 
	(toString): Ditto. 
	* src/org/eclipse/linuxtools/cdt/autotools/ui/editors/parser/AutoconfOutlineErrorHandler.java: Ditto. 
	* src/org/eclipse/linuxtools/cdt/autotools/ui/editors/parser/AutoconfParser.java (ExprEndCondition): Ditto.
	(ExprEndCondition.serialVersionUID): Ditto.
	(BlockEndCondition): Ditto.
	(checkBlockValidity): Ditto.
	(BlockEndCondition.serialVersionUID): Ditto. 
	* src/org/eclipse/linuxtools/cdt/autotools/ui/editors/RecursiveSingleLineRule.java: Ditto. 
	* src/org/eclipse/linuxtools/cdt/autotools/ui/editors/RestrictedEndOfLineRule.java: Ditto.
	* src/org/eclipse/linuxtools/cdt/autotools/ui/properties/AutotoolsPropertyManager.java (AutotoolsPropertyManager): Ditto.
	* src/org/eclipse/linuxtools/cdt/autotools/ui/properties/AutotoolsToolsPropertyPage.java (performOK): Ditto.
	* src/org/eclipse/linuxtools/cdt/autotools/wizards/AutotoolsNewCProjectWizardV2.java (doRun): Ditto.
	* src/org/eclipse/linuxtools/cdt/autotools/wizards/ConvertToAutotoolsProjectWizardPage.java: Ditto.
	* src/org/eclipse/linuxtools/cdt/autotools/wizards/CProjectPlatformPage.java (handleConfigurationSelectionChange): Ditto. 
	(CProjectPlatformPage): Ditto.
	(filterSupportedConfigurations): Ditto. 
	* src/org/eclipse/linuxtools/cdt/autotools/wizards/NewAutotoolsCCProjectWizard.java (doRun): Ditto. 
	* src/org/eclipse/linuxtools/cdt/autotools/wizards/NewAutotoolsCProjectWizard.java (doRun): Ditto.
	* src/org/eclipse/linuxtools/cdt/autotools/wizards/NewAutotoolsProjectOptionPage.java (ManagedWizardOptionBlock.setupHelpContextIds): Ditto. 

2009-05-01  Jeff Johnston  <jjohnstn@redhat.com>

	* plugin.xml: Add new Autotools nature for time-being.  Specify new builder which is based
	on MakefileBuilder and specify new project wizard.
	* src/org/eclipse/linuxtools/cdt/autotools/AutotoolsMakefileBuilder: Move hastTargetBuilder
	to AutotoolsPlugin.
	* src/org/eclipse/linuxtools/cdt/autotools/AutotoolsMakeTargetManager: Use AutotoolsPlugin
	hasTargetBuilder method.
	* src/org/eclipse/linuxtools/cdt/autotools/ui/properties/AutotoolsBuildPropertyPage: Ditto.	
	* src/org/eclipse.linuxtools/cdt/autotools/AutotoolsProjectPropertyTester.java: Ditto.
	* src/org/eclipse/linuxtools/cdt/autotools/AutotoolsScannerInfoProvider.java: Ditto.
	* src/org/eclipse/linuxtools/cdt/autotools/AutotoolsNewMakefileBuilder: New file.
	* src/org/eclipse/linuxtools/cdt/autotools/AutotoolsNewMakeGenerator: New file.
	* src/org/eclipse/linuxtools/cdt/autotools/AutotoolsNewProjectNature: New file.
	* src/org/eclipse/linuxtools/cdt/autotools/AutotoolsPlugin.java: Move hasTargetBuilder
	method here.
	* src/org/eclipse/linuxtools/cdt/autotools/MakeGenerator.java: Apply fix for stopping
	build on failure to generate Makefile.
	* src/org/eclipse/linuxtools/cdt/autotools/Resources.properties: Change message for no
	makefile generated.
	* src/org/eclipse/linuxtools/cdt/autotools/wizards/AutotoolsNewCProjectWizardV2.java: New file.

2009-04-30  Jeff Johnston  <jjohnstn@redhat.com>

	Resolves #249199
	* src/org/eclipse/linuxtools/cdt/autotools/actions/AbstractAutotoolsHandler.java: New file.
	* src/org/eclipse/linuxtools/cdt/autotools/actions/AutoconfHandler.java: New file.
	* src/org/eclipse/linuxtools/cdt/autotools/actions/AutomakeHandler.java: New file.
	* plugin.properties: Add messages for invoking autotools.
	* plugin.xml: Change invoke autotools actions from Actions in an ActionSet to instead
	use org.eclipse.ui.menus, org.eclipse.ui.commands, and org.eclipse.ui.handlers and
	do not add these actions to project menu if not an Autotools project.
	* src/org/eclipse/linuxtools/cdt/autotools/actions/AclocalHandler.java (execute): Implemented. 
	* src/org/eclipse/linuxtools/cdt/autotools/actions/InvokeAclocalAction.java (run): Add check
	for null container.
	* src/org/eclipse/linuxtools/cdt/autotools/actions/InvokeAutoconfAction.java (run): Ditto. 
	* src/org/eclipse/linuxtools/cdt/autotools/actions/InvokeAutomakeAction.java (run): Ditto.
	
2009-04-21  Jeff Johnston  <jjohnstn@redhat.com>
2009-05-01  Jeff Johnston  <jjohnstn@redhat.com>

	* plugin.xml: Add new Autotools nature for time-being.  Specify new builder which is based
	on MakefileBuilder and specify new project wizard.
	* src/org/eclipse/linuxtools/cdt/autotools/AutotoolsMakefileBuilder: Move hastTargetBuilder
	to AutotoolsPlugin.
	* src/org/eclipse/linuxtools/cdt/autotools/AutotoolsMakeTargetManager: Use AutotoolsPlugin
	hasTargetBuilder method.
	* src/org/eclipse/linuxtools/cdt/autotools/ui/properties/AutotoolsBuildPropertyPage: Ditto.	
	* src/org/eclipse.linuxtools/cdt/autotools/AutotoolsProjectPropertyTester.java: Ditto.
	* src/org/eclipse/linuxtools/cdt/autotools/AutotoolsScannerInfoProvider.java: Ditto.
	* src/org/eclipse/linuxtools/cdt/autotools/AutotoolsNewMakefileBuilder: New file.
	* src/org/eclipse/linuxtools/cdt/autotools/AutotoolsNewMakeGenerator: New file.
	* src/org/eclipse/linuxtools/cdt/autotools/AutotoolsNewProjectNature: New file.
	* src/org/eclipse/linuxtools/cdt/autotools/AutotoolsPlugin.java: Move hasTargetBuilder
	method here.
	* src/org/eclipse/linuxtools/cdt/autotools/MakeGenerator.java: Apply fix for stopping
	build on failure to generate Makefile.
	* src/org/eclipse/linuxtools/cdt/autotools/Resources.properties: Change message for no
	makefile generated.
	* src/org/eclipse/linuxtools/cdt/autotools/wizards/AutotoolsNewCProjectWizardV2.java: New file.

	* src/org/eclipse/linuxtools/cdt/autotools/internal/editors/automake/OpenIncludeAction.java
	(run): Fix compiler warnings.
	(getIncludeStatement): Ditto.
	(chooseFile): Ditto.
	(.visit): Ditto.
	(findFile): Ditto.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/editors/automake/MakefileMessages.java
	(getFormattedString): Fix compiler warnings.
	* src/org/eclipse/linuxtools/cdt/autotools/MakeGenerator.java
	(getAutogenArgs): Fix compiler warnings.
	(runScript): Ditto.
	(getConfigArgs): Ditto.
	(MakeTargetComparator): Ditto.
	(makeArray): Ditto.
	(runCommand): Ditto.
	(addMakeTargetsToManager): Ditto plus do not start/stop MakeTargetManager
	anymore.
	(saveTargets): New method.
	(translateDocumenttoCDTProject): Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/actions/InvokeMessages.java
	(getFormattedString): Cast 2nd argument for message fomatting to avoid compile
	warnings.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/wizards/AutotoolsWizardMessages.java
	(getFormattedString): Cast 2nd argument for message formatting to avoid compiler
	warnings.
	(getFormattedString): Ditto.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/ui/AutotoolsPluginImages.java
	(makeIconFileURL): Fix static member reference to avoid compiler warning.
	2009-05-01  Jeff Johnston  <jjohnstn@redhat.com>

	* plugin.xml: Add new Autotools nature for time-being.  Specify new builder which is based
	on MakefileBuilder and specify new project wizard.
	* src/org/eclipse/linuxtools/cdt/autotools/AutotoolsMakefileBuilder: Move hastTargetBuilder
	to AutotoolsPlugin.
	* src/org/eclipse/linuxtools/cdt/autotools/AutotoolsMakeTargetManager: Use AutotoolsPlugin
	hasTargetBuilder method.
	* src/org/eclipse/linuxtools/cdt/autotools/ui/properties/AutotoolsBuildPropertyPage: Ditto.	
	* src/org/eclipse.linuxtools/cdt/autotools/AutotoolsProjectPropertyTester.java: Ditto.
	* src/org/eclipse/linuxtools/cdt/autotools/AutotoolsScannerInfoProvider.java: Ditto.
	* src/org/eclipse/linuxtools/cdt/autotools/AutotoolsNewMakefileBuilder: New file.
	* src/org/eclipse/linuxtools/cdt/autotools/AutotoolsNewMakeGenerator: New file.
	* src/org/eclipse/linuxtools/cdt/autotools/AutotoolsNewProjectNature: New file.
	* src/org/eclipse/linuxtools/cdt/autotools/AutotoolsPlugin.java: Move hasTargetBuilder
	method here.
	* src/org/eclipse/linuxtools/cdt/autotools/MakeGenerator.java: Apply fix for stopping
	build on failure to generate Makefile.
	* src/org/eclipse/linuxtools/cdt/autotools/Resources.properties: Change message for no
	makefile generated.
	* src/org/eclipse/linuxtools/cdt/autotools/wizards/AutotoolsNewCProjectWizardV2.java: New file.
	(static initializer): Ditto.
	* src/org/eclipse/linuxtools/cdt/autotools/AutotoolsPlugin.java
	(getFormattedString): Cast 2nd argument to avoid compiler warning.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/ui/preferences/AbstractEditorPreferencePage.java
	(validatePositiveNumber): Properly template containers.
	(getTextFields): Ditto.
	(initializeFields): Ditto.
	(updateStatus): Ditto.
	(getCheckBoxes): Ditto.
	(getNumberFields): Ditto.
	* src/org/eclipse/linuxtools/cdt/autotools/editors/automake/AutomakefileCodeScanner.java
	(createRules): Use templated List.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/editors/automake/MakefileCodeScanner.java
	(createRules): Ditto.
	* src/org/eclipse/linuxtools/cdt/autotools/internal/editors/automake/AbstractMakefileCodeScanner.java
	(createTextAttribute): Correctly access static member function.
	(initializeRules): Use templated List.
	
2009-04-17  Jeff Johnston  <jjohnstn@redhat.com>

	* META-INF/MANIFEST.MF: Allow org.eclipse.cdt.make.core and org.eclipse.cdt.make.ui version numbers
	to start pre-6.0.0 and exclude 6.1.0.

2009-04-16  Jeff Johnston  <jjohnstn@redhat.com>

	* META-INF/MANIFEST.MF: Update dependencies to not put upper sealing for version numbers as 6.0.0.
	
2009-03-31  Jeff Johnston  <jjohnstn@redhat.com>

	* plugin.xml: Set expected value to true for Autotools property page enablement.

2009-02-19  Jeff Johnston  <jjohnstn@redhat.com>

	* .settings/org.eclipse.jdt.core.prefs: Specify Java 1.5.
	* src/org/eclipse/linuxtools/cdt/autotools/AutotoolsBuilder.java: Inherit from Builder. 
	(AutotoolsBuilder): Change to take ToolChain parameter and call super constructor.
	* src/org/eclipse/linuxtools/cdt/autotools/AutotoolsMakefileBuilder.java (clean): Change
	to set the Builder for the ToolChain and call different super.build method that does not
	take new private MyBoolean argument.
	(build): Ditto.
	(getTargets): Fix Java 1.5 warnings.
	(makeArrayList): Ditto.

2009-01-20  Jeff Johnston  <jjohnstn@redhat.com>

	Resolves #261717
	
	* src/org/eclipse/linuxtools/cdt/autotools/internal/text/hover/AutoconfTextHover.java (getMacroList): 
	Don't bother processing macros if the macro document turns out to be null.

2009-01-15  Jeff Johnston  <jjohnstn@redhat.com>

	Resolves #261257
	
	* META-INF/MANIFEST.MF: Update plug-in to add .qualifier to id and update
	to 1.0.2.qualifier.
	* plugin.xml: Update invoke autotools action set to set visible to true.

2009-01-06  Jeff Johnston  <jjohnstn@redhat.com>

	* src/org/eclipse/linuxtools/cdt/autotools/MakeGenerator.java (getConfigArgs): If there
	are no -- args in the user arguments, still pass them on to configure.

2008-11-26  Jeff Johnston  <jjohnstn@redhat.com>

	Resolves #472731
	
	* src/org/eclipse/linuxtools/cdt/autotools/AutotoolsMakefileBuilder.java (hasTargetBuilder): 
	Add check for ManagedProject being null which is apparently possible.

2008-11-25  Jeff Johnston  <jjohnstn@redhat.com>

	* src/org/eclipse/linuxtools/cdt/autotools/editors/automake/AutomakeDocumentProvider.java: Change
	Copyright to make Red Hat a contributor to the copyright of the original file modified to make
	this new class.
	* src/org/eclipse/linuxtools/cdt/autotools/editors/automake/AutomakeEditor.java: Ditto. 
	* src/org/eclipse/linuxtools/cdt/autotools/editors/automake/Automakefile.java: Ditto.
	* src/org/eclipse/linuxtools/cdt/autotools/editors/automake/AutomakefileCodeScanner.java: Ditto. 
	* src/org/eclipse/linuxtools/cdt/autotools/editors/automake/AutomakefileContentOutlinePage.java: Ditto. 
	* src/org/eclipse/linuxtools/cdt/autotools/editors/automake/AutomakefileReconcilingStrategy.java: Ditto.
	* src/org/eclipse/linuxtools/cdt/autotools/editors/automake/AutomakefileSourceConfiguration.java: Ditto.
	* src/org/eclipse/linuxtools/cdt/autotools/editors/automake/AutomakeMacroDefinitionRule.java: Ditto.

2008-11-03  Andrew Overholt  <overholt@redhat.com>

	* build.properties: Remove libhoverdocs/.

2008-10-31  Andrew Overholt  <overholt@redhat.com>

	* META-INF/MANIFEST.MF: Use plugin.properties for provider.
	* plugin.properties: Add "(Incubation)" to Bundle-Name.

2008-10-28  Andrew Overholt  <overholt@redhat.com>

	* META-INF/MANIFEST.MF: Update BREE to J2SE-1.5.

2008-10-14  Jeff Johnston  <jjohnstn@redhat.com>

	* META-INF/MANIFEST.MF: Bump up release to 1.0.1.

2008-10-10  Jeff Johnston  <jjohnstn@redhat.com>

	* src/org/eclipse/linuxtools/cdt/autotools/AutotoolsMakefileBuilder.java (build): Add check for default
	configuration coming back null from buildinfo.
	* src/org/eclipse/linuxtools/cdt/autotools/ui/properties/AutotoolsBuildPropertyPage.java (performDefaults):
	Set make -w default to be true.
	* src/org/eclipse/linuxtools/cdt/autotools/wizards/ConvertToAutotoolsProjectWizardPage.java (convertProject):
	Set make -w project property to true and don't turn off indexer.
	* src/org/eclipse/linuxtools/cdt/autotools/wizards/NewAutotoolsCCProjectWizard.java (doRun): Ditto.
	* src/org/eclipse/linuxtools/cdt/autotools/wizards/NewAutotoolsCProjectWizard.java (doRun): Ditto.

2008-10-10  Jeff Johnston  <jjohnstn@redhat.com>

	Fix for #249416

	* src/org/eclipse/linuxtools/cdt/autotools/MakeGenerator.java: Fix addition of MakeTargets to run faster.
	(addMakeTargetsToManager): Rewritten to not use MakeTargetManager addTarget or removeTarget methods which
	cause a rewrite of the .cproject file each time.
	(isValidTarget): Remove checking MakeTargetManager existing target.
	(translateDocumentToCDTProject): New method which outputs the MakeTargets to the .cproject file.
	(MakeTargetComparator): New Comparator for sorting MakeTargets.
	(createTargetElement): New method.
	* src/org/eclipse/linuxtools/cdt/autotools/Resources.properties: Add subtask message for refreshing Make Targets
	which might take some time.

2008-10-07  Jeff Johnston  <jjohnstn@redhat.com>

	Fix for #249231

	* src/org/eclipse/linuxtools/cdt/autotools/MakeGenerator.java (getAutogenArgs): Add
	support to resolve build macros.
	(getConfigArgs): Ditto.
	(initializeBuildConfigDirs): Ditto.

2008-10-03  Jeff Johnston  <jjohnstn@redhat.com>

	Fix for #249644.

	* plugin.xml: Change visible to true for invoke autotools action set.  Also add
	new popupmenus for running autoconf directly on configure.ac or configure.in.
	* src/org/eclipse/linuxtools/cdt/autotools/actions/InvokeAclocalAction.java (run): Use
	getCWD to get the relative current working directory and pass a string to the new
	TwoInputDialog constructor.
	* src/org/eclipse/linuxtools/cdt/autotools/actions/InvokeAutomakeAction.java (run): Ditto.
	* src/org/eclipse/linuxtools/cdt/autotools/actions/InvokeAction.java (getCWD): New method
	to get the relative CWD for an autotools action.
	* src/org/eclipse/linuxtools/cdt/autotools/actions/TwoInputDialog.java (createDialogArea):
	Use CLabel instead of Label for first label (the CWD).
	(TwoInputDialog): Change to accept a String for the first message instead of an IPath.
	* src/org/eclipse/linuxtools/cdt/autotools/MakeGenerator.java (addMakeTargetsToManager):
	Temporarily disable.

2008-10-01  Jeff Johnston  <jjohnstn@redhat.com>

	* src/org/eclipse/linuxtools/cdt/autotools/AutotoolsScannerInfo.java (getIncludePaths): Fix bug that
	was properly resolving relative paths.  Also add support for parsing -isystem specifiers and putting
	the paths on the include path list.

2008-09-19  Jeff Johnston  <jjohnstn@redhat.com>

	* META-INF/MANIFEST.MF: Change Eclipse-AutoStart over to Bundle-ActivationPolicy.
	* src/org/eclipse/linuxtools/cdt/autotools/ui/LibHover.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/ui/LibHoverMessages.java: Removed.
	* src/org/eclipse/linuxtools/cdt/autotools/ui/LibHoverMessages.properties: Removed.
	* plugin.xml: Remove CHelpProvider library hover extension as this functionality
	has been moved into its own plugin.

2008-09-18  Jeff Johnston  <jjohnstn@redhat.com>

	* src/org/eclipse/linuxtools/cdt/autotools/editors/automake/AutomakefileCodeScanner.java (createRules):
	Specify Token.UNDEFINED for WordRules default token.  Otherwise, just getting the first possible
	character of a word detector will result in default token being returned and no further parsing.
	* src/org/eclipse/linuxtools/cdt/autotools/ui/editors/AutoconfCodeScanner.java (AutoconfCodeScanner):
	Ditto.

2008-09-17  Jeff Johnston  <jjohnstn@redhat.com>

	* src/org/eclipse/linuxtools/cdt/autotools/AutotoolsScannerInfoProvider.java (getScannerInformation):
	Return null if project is not an Autotools project.
	(unsubscribe): Check scanner info for null before accessing.

2008-09-17  Jeff Johnston  <jjohnstn@redhat.com>

	Refactored from com.redhat.eclipse.cdt.autotools to org.eclipse.linuxtools.cdt.autotools

	* src/org/eclipse/linuxtools/cdt/autotools/internal/text/hover/AutoconfTextHover.java:
	(AUTOCONF_MACROS_DOC_NAME): Change to use default URL pointing to sourceware.org.
	(AUTOMAKE_MACROS_DOC_NAME): Ditto.
	(getHoverDoc): Remove unused variable.
	(getAMDoc): Modify to handle either a file or URL.
	(getACDoc): Ditto.
	(.createInformationControl): Switch to use non-deprecated constructor.
	* src/org/eclipse/linuxtools/cdt/autotools/ui/LibHover.java (getLibHoverDocs): Modify to handle
	either an external file name or URL.
	(getLibHoverDocName): New method that returns default URL pointing to sourceware.org.
	(HelpResource.getHref): Change to return URL.
	(getFunctionInfo): Remove unread variable.

2008-09-09  Jeff Johnston  <jjohnstn@redhat.com>

	* src/com/redhat/eclipse/cdt/autotools/AutotoolsMakefileBuilder(hasTargetBuilder): Change logic
	to look for ProjectType id rather than looking at builder id of configuration since ManagedProject
	might have had configuration removed.  Resolves #461647.
	* plugin.xml: Fix typo in referenced nature of autoolsNature.  Resolves #461201.

2008-08-08  Jeff Johnston  <jjohnstn@redhat.com>

	* META-INF/MANIFEST.MF: Update version number to 1.0.0 and specify minimum/maximum versions
	for all dependencies now that CDT 5.0 and Eclipse 3.4 must be used.

2008-07-04  Jeff Johnston  <jjohnstn@redhat.com>

	* icons/ac16/acmacro_arg_obj.gif: New File.
	* src/com/redhat/eclipse/cdt/autotools/ui/properties/AutotoolsEditorPropertyPage.java:
	(getproject): Remove.
	* META-INF/MANIFEST.MF: Add org.eclipse.core.filesystem as dependency.
	* src/com/redhat/eclipse/cdt/autotools/MakeGenerator.java: Update imports.
	* src/com/redhat/eclipse/cdt/autotools/ui/editors/outline/AutoconfLabelProvider.java (getImage):
	Use special image for acmacro argument.
	* src/com/redhat/eclipse/cdt/autotools/internal/ui/preferences/AutoconfEditorPreferencePage.java:
	Update imports.
	* src/com/redhat/eclipse/cdt/autotools/internal/ui/AutotoolsPluginImages.java: Add image for
	acmacro argument.
	* src/com/redhat/eclipse/cdt/autotools/internal/text/hover/AutoconfTextHover.java: Update imports.
	* src/com/redhat/eclipse/cdt/autotools/editors/automake/AutomakeEditor.java: Ditto.
	* src/com/redhat/eclipse/cdt/autotools/editors/automake/AutomakefileReconcilingStrategy.java (reconcile):
	* src/com/redhat/eclipse/cdt/autotools/editors/automake/AutomakeDocumentProvider.java: Update imports.
	* src/com/redhat/eclipse/cdt/autotools/internal/editors/automake/MakefileReconcilingStrategy.java (reconcile):
	Call new form of parse method.
	* src/com/redhat/eclipse/cdt/autotools/internal/editors/automake/Directive.java:
	(getMakefile): New required method.
	* src/com/redhat/eclipse/cdt/autotools/internal/editors/automake/GNUAutomakefile.java:
	(parse): New required method.
	* src/com/redhat/eclipse/cdt/autotools/internal/editors/automake/AbstractMakefile.java:
	(getFileURI): New required method.
	(getMakefile): Ditto.
	(setFileURI): Ditto.
	(getMakefileReaderProvider): Ditto.
	(parse): Ditto.
	* src/com/redhat/eclipse/cdt/autotools/internal/editors/automake/OpenDeclarationAction.java:
	(openInEditor): Use URI instead of File.
	* src/com/redhat/eclipse/cdt/autotools/internal/editors/automake/NullMakefile.java:
	(parse): New required method to implement.
	* src/com/redhat/eclipse/cdt/autotools/internal/editors/automake/MakefileDocumentProvider.java (createMakefile):
	Add throws modifier.
	* src/com/redhat/eclipse/cdt/autotools/ui/editors/AutoconfMacroCodeScanner.java: Update imports.
	* src/com/redhat/eclipse/cdt/autotools/ui/editors/AutoconfMacroContentAssistProcessor.java: Ditto.
	* src/com/redhat/eclipse/cdt/autotools/ui/editors/AutoconfDocumentProvider.java: Ditto.
	* src/com/redhat/eclipse/cdt/autotools/ui/editors/AutoconfMacroDamagerRepairer.java: Ditto.

2008-07-04  Jeff Johnston  <jjohnstn@redhat.com>

	* META-INF/MANIFEST.MF: Bump release to 0.9.7.

2008-04-17 14:12  Ed Swartz <ed.swartz@nokia.com>

	* src/com/redhat/eclipse/cdt/autotools/:
	  internal/ui/editors/autoconf/ProjectionFileUpdater.java,
	  ui/editors/AutoconfCodeScanner.java,
	  ui/editors/AutoconfPKGWordDetector.java,
	  ui/editors/outline/AutoconfLabelProvider.java: Collapse and
	  decorate long macro arguments, and notice PKG_ macros

2008-04-17 13:13  Ed Swartz <ed.swartz@nokia.com>

	* src/com/redhat/eclipse/cdt/autotools/:
	  internal/ui/editors/autoconf/ProjectionFileUpdater.java,
	  ui/editors/AutoconfEditorMacroValidator.java,
	  ui/editors/parser/AutoconfElement.java,
	  ui/editors/parser/AutoconfParser.java: Fix editor collapsing and
	  remove line number metadata from AutoconfElement, since the "end
	  line" is only meaningful in the context of the client.

2008-04-17 10:43  Ed Swartz <ed.swartz@nokia.com>

	* src/com/redhat/eclipse/cdt/autotools/ui/editors/:
	  AutoconfEditorMessages.properties,
	  outline/AutoconfContentOutlinePage.java,
	  parser/AutoconfCaseConditionElement.java,
	  parser/AutoconfCaseElement.java, parser/AutoconfElement.java,
	  parser/AutoconfElifElement.java, parser/AutoconfElseElement.java,
	  parser/AutoconfForElement.java, parser/AutoconfIfElement.java,
	  parser/AutoconfMacroDetector.java,
	  parser/AutoconfMacroElement.java,
	  parser/AutoconfOutlineErrorHandler.java,
	  parser/AutoconfParser.java, parser/AutoconfRootElement.java,
	  parser/AutoconfTokenizer.java, parser/AutoconfWhileElement.java,
	  parser/OldAutoconfParser.java, parser/Token.java: More autoconf
	  parser work.	Remove old parser and standardize AST node
	  constructors.  Add more tests and fix some bugs.

2008-04-10 15:40  Ed Swartz <ed.swartz@nokia.com>

	* src/com/redhat/eclipse/cdt/autotools/:
	  internal/ui/editors/autoconf/ProjectionFileUpdater.java,
	  ui/editors/AutoconfEditor.java,
	  ui/editors/AutoconfEditorMacroValidator.java,
	  ui/editors/AutoconfEditorMessages.properties,
	  ui/editors/AutoconfErrorHandler.java,
	  ui/editors/AutoconfReconcilingStrategy.java,
	  ui/editors/outline/AutoconfLabelProvider.java,
	  ui/editors/parser/AutoconfElement.java,
	  ui/editors/parser/AutoconfMacroArgumentElement.java,
	  ui/editors/parser/AutoconfMacroElement.java,
	  ui/editors/parser/AutoconfParser.java,
	  ui/editors/parser/AutoconfParser2.java,
	  ui/editors/parser/AutoconfSelectElement.java,
	  ui/editors/parser/AutoconfTokenizer.java,
	  ui/editors/parser/AutoconfUntilElement.java,
	  ui/editors/parser/AutoconfWhileElement.java,
	  ui/editors/parser/ITokenConstants.java,
	  ui/editors/parser/OldAutoconfParser.java,
	  ui/editors/parser/ParseException.java: More autoconf parser work.

2008-04-09 14:38  Ed Swartz <ed.swartz@nokia.com>

	* src/com/redhat/eclipse/cdt/autotools/ui/editors/:
	  AutoconfEditorMacroValidator.java,
	  AutoconfEditorMessages.properties, AutoconfErrorHandler.java,
	  parser/AutoconfCaseConditionElement.java,
	  parser/AutoconfElement.java,
	  parser/AutoconfMacroArgumentElement.java,
	  parser/AutoconfMacroDetector.java, parser/AutoconfParser.java,
	  parser/AutoconfParser2.java, parser/AutoconfTokenizer.java,
	  parser/IAutoconfErrorHandler.java,
	  parser/IAutoconfMacroDetector.java, parser/IMacroDetector.java,
	  parser/ITokenConstants.java, parser/Token.java: New autoconf
	  parser work in progress

2008-04-07 14:06  Ed Swartz <ed.swartz@nokia.com>

	* META-INF/MANIFEST.MF,
	  src/com/redhat/eclipse/cdt/autotools/ui/editors/AutoconfEditor.java,
	  src/com/redhat/eclipse/cdt/autotools/ui/editors/AutoconfEditorMacroValidator.java,
	  src/com/redhat/eclipse/cdt/autotools/ui/editors/AutoconfErrorHandler.java,
	  src/com/redhat/eclipse/cdt/autotools/ui/editors/AutoconfMacroPartitionRule.java,
	  src/com/redhat/eclipse/cdt/autotools/ui/editors/AutoconfMacroWordDetector.java,
	  src/com/redhat/eclipse/cdt/autotools/ui/editors/AutoconfReconcilingStrategy.java,
	  src/com/redhat/eclipse/cdt/autotools/ui/editors/ParseException.java,
	  src/com/redhat/eclipse/cdt/autotools/ui/editors/outline/AutoconfLabelProvider.java,
	  src/com/redhat/eclipse/cdt/autotools/ui/editors/parser/AutoconfElement.java,
	  src/com/redhat/eclipse/cdt/autotools/ui/editors/parser/AutoconfMacroArgumentElement.java,
	  src/com/redhat/eclipse/cdt/autotools/ui/editors/parser/AutoconfMacroElement.java,
	  src/com/redhat/eclipse/cdt/autotools/ui/editors/parser/AutoconfOutlineErrorHandler.java,
	  src/com/redhat/eclipse/cdt/autotools/ui/editors/parser/AutoconfParser.java,
	  src/com/redhat/eclipse/cdt/autotools/ui/editors/parser/IAutoconfErrorHandler.java,
	  src/com/redhat/eclipse/cdt/autotools/ui/editors/parser/IAutoconfMacroValidator.java,
	  src/com/redhat/eclipse/cdt/autotools/ui/editors/parser/ParseException.java:
	  Initial checkpoint for autotools parser changes


2008-01-28  Jeff Johnston  <jjohnstn@redhat.com>

	* src/com/redhat/eclipse/cdt/autotools/actions/AclocalHandler.java: New file for
	future menu support.
	* src/com/redhat/eclipse/cdt/autotools/AutotoolsProjectNature.java: New file.
	* META-INF/MANIFEST.MF: Release updated.
	* plugin.properties: Add some new messages for autotools tool invocation.
	* plugin.xml: Update release to 0.9.6.  Add autotools project nature.  Make
	autotools commands enablement dependent on autotools project nature.
	Specify enablesFor 1 for all autotools tool actions.
	* src/com/redhat/eclipse/cdt/autotools/actions/AbstractTargetAction.java (setSelectedContainer): New
	method for future menu support.
	* src/com/redhat/eclipse/cdt/autotools/AutotoolsMakefileBuilder.java (hasTargetBuilder): Use
	AutotoolsProjectNature static addAutotoolsBuilder method.
	(addAutotoolsBuilder): Moved to AutotoolsProjectNature.
	* src/com/redhat/eclipse/cdt/autotools/MakeGenerator.java (runScript): New method to
	run scripts.
	(regenerateMakefiles): Use runScript method to run configuration scripts. Use
	runCommand for executables like "make".
	(runCommand): Added comments.
	* src/com/redhat/eclipse/cdt/autotools/wizards/ConvertToAutotoolsProjectWizardPage.java (convertProject):
	Add new autotools project nature.
	* src/com/redhat/eclipse/cdt/autotools/wizards/NewAutotoolsCCProjectWizard.java (addNature):
	Ditto plus set up autotools builder.
	(doRun): Don't set up autotools builder since it is done in addNature.
	* src/com/redhat/eclipse/cdt/autotools/wizards/NewAutotoolsCProjectWizard.java (addNature):
	Add new autotools project nature and set up autotools builder.
	(doRun): Don't set up autotools builder since it is done in addNature.

2007-12-05  Jeff Johnston  <jjohnstn@redhat.com>

	* plugin.xml: Update release to 0.9.5.3.

2007-12-05  Jeff Johnston  <jjohnstn@redhat.com>

	Resolves Bugzilla #412651, #412661
	* src/com/redhat/eclipse/cdt/autotools/MakeGenerator.java (getConfigurePath): Fetch tool command
	name instead of hard-wiring to "configure".
	(autogenExists): Fetch command name from autogen.sh options.
	* src/com/redhat/eclipse/cdt/autotools/AutotoolsMakefileBuilder.java: (removeBuildDir): New method.
	(clean): If user has specified remove build directory, then use removeBuildDir method.
	* src/com/redhat/eclipse/cdt/autotools/Resources.properties: New messages for supporting
	build directory removal operation.

2007-11-28  Jeff Johnston  <jjohnstn@redhat.com>

	* src/com/redhat/eclipse/cdt/autotools/ui/LibHoverMessages.java: New File.
	* src/com/redhat/eclipse/cdt/autotools/ui/LibHoverMessages.properties: New File.
	* src/com/redhat/eclipse/cdt/autotools/ui/LibHover.java: Add references to
	LibHoverMessages instead of hard-coded strings.
	* libhoverdocs/glibc-2.7-2.xml: Regenerated.

2007-11-27  Jeff Johnston  <jjohnstn@redhat.com>

	* src/com/redhat/eclipse/cdt/autotools/ui/LibHover.java
	(HelpResource.getHref): Use latest glibc doc version.
	(getLibHoverDocs): Ditto.
	* libhoverdocs/glibc-2.7-2.xml: New C library docs based on glibc-2.7-2 manual.
	* libhoverdocs/glibc.xml: Old glibc docs removed.

2007-11-19  Jeff Johnston  <jjohnstn@redhat.com>

	* plugin.xml: Update release to 0.9.5.2.  Also clear all OS lists for build definitions to
	default to "all" OSes.

2007-11-15  Jeff Johnston  <jjohnstn@redhat.com>

	Resolves Bugzilla #385991
	* src/com/redhat/eclipse/cdt/autotools/ui/LibHover.java (getMatchingFunctions): New method.
	(FunctionSummary.compareTo): New method to support Comparable interface.
	(FunctionSummary.getIncludes): Fix to avoid type cast exception/
	(getFunctionInfo): Revised to call getFunctionSummaryFromNode method.
	(FunctionSummary): Add Comparable interface.
	(getFunctionSummaryFromNode): New method.
	(FunctionSummary.FunctionPrototypeSummary.getPrototypeString): Add NLS
	comments.


2007-11-01  Jeff Johnston  <jjohnstn@redhat.com>

	* src/com/redhat/eclipse/cdt/autotools/ui/properties/AutotoolsToolsPropertyPage.java: New File for
	setting tool paths for the various autotools.
	* src/com/redhat/eclipse/cdt/autotools/actions/InvokeAclocalAction.java (run): Use the
	project properties setting to determine what tools to use.
	* src/com/redhat/eclipse/cdt/autotools/actions/InvokeAutoconfAction.java (run): Ditto.
	* src/com/redhat/eclipse/cdt/autotools/actions/InvokeAutomakeAction.java (run): Ditto.

	* src/com/redhat/eclipse/cdt/autotools/ui/properties/AutotoolsPropertyMessages.properties: New
	messages.
	* src/com/redhat/eclipse/cdt/autotools/ui/properties/AutotoolsPropertyConstants.java: Add new
	constants for setting the tool paths for aclocal, automake, and autoconf.
	* plugin.xml: Add tools settings property page for Autotools.
	* plugin.properties: New message for added property page.

2007-10-30  Jeff Johnston  <jjohnstn@redhat.com>

	Resolves Bugzilla #359311, #359301, #359321
	* src/com/redhat/eclipse/cdt/autotools/ui/editors/AutoconfMacro.java: New File.
	* src/com/redhat/eclipse/cdt/autotools/ui/properties/AutotoolsPropertyManager.java: New File.
	* src/com/redhat/eclipse/cdt/autotools/ui/properties/IProjectPropertyListener.java: New File.
	* src/com/redhat/eclipse/cdt/autotools/AutotoolsProjectPropertyTester.java: New File.
	* src/com/redhat/eclipse/cdt/autotools/ui/properties/IPropertyChangeManager.java: New File.
	* src/com/redhat/eclipse/cdt/autotools/internal/text/hover/AutoconfTextHover.java:
	(getAMDoc): New method.
	(fBindingService):
	(getAutomakeMacrosDocName): Modified to take a version parameter.
	(getAutoconfMacrosDocName): Ditto.
	(getPrototype): Changed to take an editor input.
	(getAutoconfMacrosDocName): Ditto.
	(AutotoolsHoverDoc): New internal class.
	(getMacroList): New method to merge AC and AM macros together based on version
	properties.
	(getACDoc): New method.
	(getIndexedInfo): Changed to take editor input.
	(getHoverDoc): New metohd.
	(getIndexedInfoFromDocument): New method that will parse the given document.
	(getDefaultAutoconfMacrosDocName): New method to get the default preference
	Autoconf macros doc name.
	(getHoverRegion): Modified to get editor from elsewhere.
	(getDefaultAutomakeMacrosDocName): New method to get the default preference
	Autoconf AM macros doc name.
	(getHoverInfo): Changed to take an editor input.

	* src/com/redhat/eclipse/cdt/autotools/ui/editors/AutoconfMacroParser.java: Removed.

	* src/com/redhat/eclipse/cdt/autotools/internal/ui/editors/autoconf/ProjectionFileUpdater.java (initialize):
	(processReconcile): Use stored editor.
	(install): Change input parameter to AutoconfEditor.

	* src/com/redhat/eclipse/cdt/autotools/ui/editors/parser/AutoconfParser.java (parseMacro):
	(parse): Modified to take IEditorInput argument and pass that on to AutoconfErrorHandler.
	(AutoconfParser): Modified to take an editor parameter.

	* src/com/redhat/eclipse/cdt/autotools/AutotoolsDefaultBuildDirHandler.java: Updated
	copyright to just Red Hat Inc.
	* plugin.properties: New messages.
	* plugin.xml: Add ICPropertyTab extension for editor properties.  Add properties
	page for Autotools properties.
	* src/com/redhat/eclipse/cdt/autotools/ui/properties/AutotoolsEditorPropertyPage.java: New file.

	* src/com/redhat/eclipse/cdt/autotools/ui/properties/AutotoolsPropertyPage.java: Rewritten.
	* src/com/redhat/eclipse/cdt/autotools/ui/properties/AutotoolsBuildPropertyPage.java:
	* src/com/redhat/eclipse/cdt/autotools/ui/properties/AutotoolsPropertyConstants.java:
	* src/com/redhat/eclipse/cdt/autotools/ui/editors/AutoconfErrorHandler.java (AutoconfErrorHandler):
	* src/com/redhat/eclipse/cdt/autotools/ui/editors/AutoconfSourceViewerConfiguration.java
	(AutoconfSourceViewerConfiguration): Take editor as parameter.
	(getPresentationReconciler): Pass along or use editor passed in.
	(getContentAssistant): Ditto.
	(getReconciler): Ditto.
	(getTextHover): Ditto.

	* src/com/redhat/eclipse/cdt/autotools/ui/editors/AutoconfDocumentProvider.java (connect):
	* src/com/redhat/eclipse/cdt/autotools/ui/editors/AutoconfMacroDamagerRepairer.java:
	* src/com/redhat/eclipse/cdt/autotools/ui/editors/AutoconfMacroContentAssistProcessor.java (computeCompletionProposals):
	(AutoconfMacroContentAssistProcessor): Take editor input.
	(computeMacroStart): Use editor.

	* src/com/redhat/eclipse/cdt/autotools/ui/editors/AutoconfReconcilingStrategy.java (reconcile):
	* src/com/redhat/eclipse/cdt/autotools/ui/editors/AutoconfEditor.java: Make this implement
	IProjectPropertyListener
	(handlePreferenceStoreChanged): Modified to call handleVersionChange method if a
	autoconf or automake macro version preference change has occurred.
	(doSetInput): Deregister editor as property listener if editor was for a project
	file previously and register editor as property listener if editor is now for a
	project.
	(getAutoconfDocumentProvider): Make static.
	(getAutoconfCodeScanner): Pass this to constructor.
	(handleVersionChange): New method.
	(handleProjectPropertyChanged): New IProjectPropertyListener method.
	(initializeEditor): Pass this to source viewer configuration constructor.
	(getAutoconfParser): Pass this to constructor.
	(dispose): Deregister editor as property listener for a project if applicable.
	(getAutoconfMacroCodeScanner): Pass this to constructor.

2007-10-23  Jeff Johnston  <jjohnstn@redhat.com>

	* src/com/redhat/eclipse/cdt/autotools/ui/editors/AutoconfMacroCodeScanner.java: New File.
	* src/com/redhat/eclipse/cdt/autotools/ui/editors/RestrictedEndOfLineRule.java: New File.
	* src/com/redhat/eclipse/cdt/autotools/ui/editors/AutoconfPartitionScanner.java (AutoconfPartitionScanner):
	Move macro partitioning ahead of comments.
	* src/com/redhat/eclipse/cdt/autotools/ui/editors/AutoconfSourceViewerConfiguration.java (getPresentationReconciler):
	Use AutoconfMacroCodeScanner for macro damager repairer.
	(getContentAssistant): Use AutoconfMacroCodeScanner for macro content assist.
	* src/com/redhat/eclipse/cdt/autotools/ui/editors/AutoconfCodeScanner.java (nextToken):
	New method that simply defaults to super.nextToken to be used for debugging purposes.

	* src/com/redhat/eclipse/cdt/autotools/ui/editors/AutoconfEditor.java (getAutoconfMacroCodeScanner):

	* plugin.xml: Update to release 0.9.5.1.

2007-10-23  Jeff Johnston  <jjohnstn@redhat.com>

	Resolves Bugzilla #330701
	* src/com/redhat/eclipse/cdt/autotools/ui/properties/AutotoolsBuildPropertyPage.java: New File to
	add property settings for how to clean an Autotools project and whether or not to use the
	current Autotools info scanner.
	* src/com/redhat/eclipse/cdt/autotools/ui/properties/AutotoolsPropertyMessages.java: New File.
	* src/com/redhat/eclipse/cdt/autotools/ui/properties/AutotoolsPropertyConstants.java: New File.
	* src/com/redhat/eclipse/cdt/autotools/ui/properties/AutotoolsPropertyMessages.properties: New File.
	* src/com/redhat/eclipse/cdt/autotools/ui/editors/parser/AutoconfParser.java (parseLines):
	Process macros ahead of stripping out comments as this prevents removing quotes inside the
	macro which have precedence over # (e.g. used to specify #include and not meaning a
	comment to end of line).
	(parseWhile): Change comment typo.
	(parseFor): Ditto.
	* plugin.properties: Add new messages regarding property pages.
	* plugin.xml: Add Autotools build IcPropertyTab (AutotoolsBuildPropertyPage).  Also
	specify that AutotoolsDefaultBuildDirHandler is also an option applicability tester.
	* src/com/redhat/eclipse/cdt/autotools/internal/ui/preferences/AutotoolsPreferencesMessages.properties:
	Change the message for autoconf and automake versions to include the word "Default".

	* src/com/redhat/eclipse/cdt/autotools/ui/editors/AutoconfPartitioner.java (computePartitioning):
	Add override method as way to print out partitions.  Cannot compute and print out partitions at
	connect time as in 4.0.1 we initially are given an empty document that is later filled.
	(printPartitions): Change argument to be an array of partition regions.

	* src/com/redhat/eclipse/cdt/autotools/AutotoolsMakefileBuilder.java (build):
	(clean): New method.  Pay attention to user clean method preference.
	(getTargets): Pay attention to user clean target preference.

	* src/com/redhat/eclipse/cdt/autotools/AutotoolsScannerInfo.java (getCompilationString):
	Pay attention to user preference on scanner info retrieval and disable if need be.
	(createIncludeChain): Use AutotoolsPropertyConstants to get property names to use.
	(followIncludeChain): Ditto.
	(getMakefile): Add nls comments.
	(AutotoolsScannerInfo): Ditto.
	(getDefinedSymbols): Ditto.
	(buildFile): Ditto.

	* src/com/redhat/eclipse/cdt/autotools/MakeGenerator.java (regenerateMakefiles): Don't
	call AutotoolsScannerInfoProvider.setDirty method anymore.  Instead, set a project property
	to indicate the scanner info is dirty.
	(addMakeTargetsToManager): Add a try/catch statement to prevent duplicate entries from
	stopping loop that adds make targets.
	(initializeBuildConfigDirs): Formatting change.

	* src/com/redhat/eclipse/cdt/autotools/AutotoolsScannerInfoProvider.java (getScannerInformation):
	Add a check for project property indicating the scanner info is dirty in which case call
	setDirty method.
	(setDirty): Make private.

	* src/com/redhat/eclipse/cdt/autotools/AutotoolsDefaultBuildDirHandler.java: Now implements
	IOptionApplicability.
	(isOptionEnabled): New interface method to implement.
	(isOptionVisible): Ditto.
	(isOptionUsedInCommandLine): Ditto (set to false).

	* src/com/redhat/eclipse/cdt/autotools/AutotoolsBuilder.java (getProject): New method.
	(AutotoolsBuilder): Add project argument.
	(getCleanBuildTarget): Implemented using new Autotools CLEAN_MAKE_TARGET property.

	* src/com/redhat/eclipse/cdt/autotools/Resources.properties: Add new message.

2007-10-09  Jeff Johnston  <jjohnstn@redhat.com>

	Resolves Bugzilla #323641
	* src/com/redhat/eclipse/cdt/autotools/AutotoolsScannerInfo.java (getDefinedSymbols): Use
	the patch provided by Jose Fonseca to provide a proper regular expression for parsing
	the defined symbols from the make output.

2007-10-05  Jeff Johnston  <jjohnstn@redhat.com>

	* plugin.xml: Ensure the ids for InvokeAutoconf and InvokeAutomake actions are unique.

2007-10-04  Jeff Johnston  <jjohnstn@redhat.com>

	* src/com/redhat/eclipse/cdt/autotools/AutotoolsDefaultBuildDirHandler.java (handleValue):
	Add some place holders for supporting the user manually setting the build directory.
	* src/com/redhat/eclipse/cdt/autotools/Resources.properties: Add some dialog messages for
	future usage.
	* plugin.xml: Update version to 0.9.5.

2007-10-02  Jeff Johnston  <jjohnstn@redhat.com>

	Resolves Bugzilla #315811
	* src/com/redhat/eclipse/cdt/autotools/AutotoolsDefaultBuildDirHandler.java: New File.
	* plugin.xml: Change build definition to version 4.0.0.  Remove unused project converter
	extension.  For build directory, specify an option handler which is implemented by
	AutotoolsDefaultBuildDirHandler.

2007-09-24  Andrew Overholt  <overholt@redhat.com>

	* plugin.xml: Update version to 0.9.4.

2007-09-21  Jeff Johnston  <jjohnstn@redhat.com>

	* src/com/redhat/eclipse/cdt/autotools/actions/InvokeAutoconfAction.java (run):
	Fix array indexing.

2007-09-18  Jeff Johnston  <jjohnstn@redhat.com>

	* plugin.xml: Add ELF and GNU_ELF binary parsers as default for an Autotools project.

2007-09-05  Jeff Johnston  <jjohnstn@redhat.com>

	Resolves Bugzilla #274551
	* src/com/redhat/eclipse/cdt/autotools/AutotoolsScannerInfo.java (getCompilationString): Support
	the case where the file isn't part of the build and there is no scanner info to gather.
	(buildFile): Minor cosmetic changes.

	* META-INF/MANIFEST.MF: Update release.

2007-09-04  Jeff Johnston  <jjohnstn@redhat.com>

	* src/com/redhat/eclipse/cdt/autotools/MakeGenerator.java (regenerateMakefiles): Add a
	clause to check for the case whereby there was no way to generate the Makefile and one
	didn't already exist.
	* src/com/redhat/eclipse/cdt/autotools/Resources.properties (Makegenerator.didnt.generate):
	New message.

2007-08-24  Jeff Johnston  <jjohnstn@redhat.com>

	Resolves Bugzilla #254248
	* src/com/redhat/eclipse/cdt/autotools/ui/editors/outline/AutoconfContentOutlinePage.java (selectionChanged):
	Make call to editor.selectAndReveal method to focus editor page on selected outline item.

2007-08-24  Jeff Johnston  <jjohnstn@redhat.com>

	Resolves Bugzilla #254246
	* src/com/redhat/eclipse/cdt/autotools/internal/ui/CWordFinder.java (findWord): Fix
	to handle being in the first word of the file.

2007-08-17  Jeff Johnston  <jjohnstn@redhat.com>

	Resolves Bugzilla #253331
	* src/com/redhat/eclipse/cdt/autotools/AutotoolsMakefileBuilder.java (build): Enable
	autobuilding.
	* src/com/redhat/eclipse/cdt/autotools/MakeGenerator.java (regenerateMakefiles):  If
	the configuration options change, clean the previous build directory so a full rebuild
	will occur.

2007-08-15  Jeff Johnston  <jjohnstn@redhat.com>

	* META-INF/MANIFEST.MF: Change release to 0.9.2 and specify minimum java runtime as
	1.4.

2007-08-15 Jeff Johnston  <jjohnstn@redhat.com>

	Resolves Bugzilla #251412
	* src/com/redhat/eclipse/cdt/autotools/AutotoolsMakefileBuilder.java (addAutotoolsBuilder):
	When calling IProject.setDescription(), pass a NullProgressMonitor instead of
	null, despite what the function API says because an isCancelled() call may occur
	and will result in an exception thrown.  Also, use a try/catch block to handle any
	of the legitimate exceptions that might occur in this operation.

2007-08-15 Jeff Johnston  <jjohnstn@redhat.com>

	* src/com/redhat/eclipse/cdt/autotools/Resources.properties: Add new messages
	for new C and C++ project wizards.
	* src/com/redhat/eclipse/cdt/autotools/wizards/NewAutotoolsProjectWizard.java: Renamed...
	* src/com/redhat/eclipse/cdt/autotools/wizards/NewAutotoolsCProjectWizard.java: ..to this.
	(doRun): Rewritten based on conversion wizard to properly set up project.
	(getProjectType): New method.
	* src/com/redhat/eclipse/cdt/autotools/wizards/NewAutotoolsCCProjectWizard.java:  New file
	copied from NewAutotoolsCProjectWizard but inherits from NewCCProjectWizard.

	* icons/dlcl16/newc_app.gif: New gif.
	* icons/dlcl16/newcc_app.gif: Ditto.
	* icons/elcl16/newc_app.gif: Ditto.
	* icons/elcl16/newcc_app.gif: Ditto.

	* plugin.properties: Add new strings for new C and C++ project wizards.
	* plugin.xml: Add new C and C++ project wizards.

2007-08-09  Jeff Johnston  <jjohnstn@redhat.com>

	Resolves Bugzilla #251604
	* src/com/redhat/eclipse/cdt/autotools/MakeGenerator.java (getAutogenArgs): New method.
	(regenerateMakefiles): Pass user-specified autogen.sh options when invoking autogen.sh.
	* plugin.xml: Add autogen.sh tool support with user options.
	* plugin.properties: Add new autogen tool message strings.

2007-07-24  Jeff Johnston  <jjohnstn@redhat.com>

	* src/com/redhat/eclipse/cdt/autotools/ui/editors/AutoconfEditor.java
	(handlePreferenceStoreChanged): Add support for changing automake macros version.
	* src/com/redhat/eclipse/cdt/autotools/internal/text/hover/AutoconfTextHover.java
	(getAutomakeMacrosDocument):
	New method.
	(getIndexInfo, getPrototype): Create private versions of these that take a document
	as an input parameter.  Change the public static methods to call the private
	versions with the autoconf macro document and the automake macro document, if
	the macro isn't found yet.
	(init): Set up the autoconf macro document and automake macro document.
	(reinit): Reset both the autoconf and automake macro documents.

	* src/com/redhat/eclipse/cdt/autotools/internal/ui/preferences/AutoconfEditorPreferencePage.java
	(LATEST_VERSION): Replace with LATEST_AC_VERSION and LATEST_AM_VERSION.
	(createOverlayStore): Add automake version setting.
	(initializeVersion): Replace with initializeACVersion and initializeAMVersion.
	(initialize): Call the two replacements of initializeVersion.
	(createVersionTabContent): Add automake version support.
	* src/com/redhat/eclipse/cdt/autotools/internal/ui/preferences/AutotoolsEditorPreferenceConstants.java
	Add automake version support.
	* src/com/redhat/eclipse/cdt/autotools/internal/ui/preferences/AutotoolsPreferencesMessages.properties:
	Add messages used in automake version preference.

	* libhoverdocs/ammacros-1.4-p6.xml: New automake macro docs for 1.4-p6.
	* libhoverdocs/ammacros-1.9.5.xml: New automake macro docs for 1.9.5.
	* libhoverdocs/ammacros-1.9.6.xml: New automake macro docs for 1.9.6.

2007-07-17  Jeff Johnston  <jjohnstn@redhat.com>

	* MANIFEST.MF: Bump up release to 0.9.1.

2007-07-16  Jeff Johnston  <jjohnstn@redhat.com>

	* src/com/redhat/eclipse/cdt/autotools/internal/editors/automake/GNUAutomakefile.java
	(parse): Fix Automake if/else constructs to be child/parent directives as appropriate.
	(bypassIf, bypassElse, isTrue): Removed.
	(parseIf): Add rules parameter.
	(addDirective): Remove caveat when dealing with automake if/else.
	* src/com/redhat/eclipse/cdt/autotools/internal/editors/automake/IAutomakeConditional.java
	(getRules, setRules): New methods for the interface.
	* src/com/redhat/eclipse/cdt/autotools/internal/editors/automake/Else.java: Add ICommand
	interface and implement required methods including new ones add to IAutomakeConditional.
	* src/com/redhat/eclipse/cdt/autotools/internal/editors/automake/If.java: Ditto.

	* src/com/redhat/eclipse/cdt/autotools/editors/automake/AutomakeErrorHandler.java
	(update): Change to call checkChildren for makefile.
	(checkChildren): New recursive method to check for bad directives.
	* src/com/redhat/eclipse/cdt/autotools/editors/automake/AutomakefileContentOutlinePage.java
	(AutomakefileLabelProvider.getImage): Add support for IAutomakeConditional elements and
	remove reference to AutomakeIfElse class.
	* src/com/redhat/eclipse/cdt/autotools/editors/automake/AutomakeMacroDefinitionRule.java
	(isValidCharacter): Add support for "+-$()@" chars.

2007-07-11  Jeff Johnston  <jjohnstn@redhat.com>

	* src/com/redhat/eclipse/cdt/autotools/internal/editors/automake/GNUAutomakefile.java
	(parseIf): Add @if support.
	(isTrue): Default to true for if conditions.
	* src/com/redhat/eclipse/cdt/autotools/internal/editors/automake/GNUMakefileConstants.java:
	Add @if and @endif macros.
	* src/com/redhat/eclipse/cdt/autotools/internal/editors/automake/GNUMakefileUtil.java
	(isIf): Add @if support.
	(isEndif): Add @endif support.

	* src/com/redhat/eclipse/cdt/autotools/editors/automake/AutomakefileCodeScanner.java:
	Add support for @if and @endif keywords.
	(createRules): Add support for whitespace and simple identifiers.

2007-07-09  Jeff Johnston  <jjohnstn@redhat.com>

	Resolves Bugzilla #247518
	* src/com/redhat/eclipse/cdt/autotools/editors/automake/AutomakefileCodeScanner.java
	(createRules): Use new AutoconfSubstRule class for identifying autoconf substituitions.
	* src/com/redhat/eclipse/cdt/autotools/editors/automake/AutomakefileUtil.java (isConfigMacro):
	Refine so that macro must start and end with @ and contain at least one valid char.
	* src/com/redhat/eclipse/cdt/autotools/editors/automake/AutoconfSubstRule.java: New file.

2007-07-06  Jeff Johnston  <jjohnstn@redhat.com>

	Resolves Bugzilla #246153
	* src/com/redhat/eclipse/cdt/autotools/editors/automake/AutomakeDocumentProvider.java (createFileInfo):
	Rewrite to handle workspace files as well as external ones.
	(createMakefile): Change to accept a file name rather than an IFile.
	* src/com/redhat/eclipse/cdt/autotools/editors/automake/AutomakeEditor
	(getDefault): New method.
	(doSetInput): Ditto.
	(initializeEditor): Add a few lines that would have been performed by
	base class initializeEditor.
	* src/com/redhat/eclipse/cdt/autotools/editors/automake/AutomakeErrorHandler
	(AutomakeMarker): New internal class for error marking.
	(update): Switch to using internal markers and directly updating the
	Annotation model.
	(removeExistingMarkers): Directly reference the annotation model.
	(AutomakeErrorHandler): Fetch and store the annotation model for the input.
	Change prototype.
	* src/com/redhat/eclipse/cdt/autotools/editors/automake/AutomakefileReconcilingStrategy.java
	(AutomakefileReconcilingStrategy): Change to store an IEditorInput.  Use new
	AutomakeErrorHandler interface.
	* src/com/redhat/eclipse/cdt/autotools/internal/editors/automake/MakefileEditor.java
	(initializeEditor): Remove fixme comment.

2007-07-04  Jeff Johnston  <jjohnstn@redhat.com>

	Resolves Bugzilla #246783
	* src/com/redhat/eclipse/cdt/autotools/editors/automake/AutomakeEditor.java:
	(initializeEditor): Call AutotoolsEditorPreferenceConstants.initializeDefaultValues
	to ensure the editor default values are set.

2007-06-29  Jeff Johnston  <jjohnstn@redhat.com>

	Resolves Bugzilla #246154
	* src/com/redhat/eclipse/cdt/autotools/AutotoolsBuilder.java: New proxy
	class to wrap an existing IBuilder and override build path functionality.
	* src/com/redhat/eclipse/cdt/autotools/AutotoolsMakefileBuilder.java:
	(build): Wrap the builder using the new AutotoolsBuilder class so the
	build path will work properly.

2007-06-28  Jeff Johnston  <jjohnstn@redhat.com>

	Resolves Bugzilla #246134
	* src/com/redhat/eclipse/cdt/autotools/ui/editors/AutoconfErrorHandler.java:
	(AutoconfErrorHandler): Change constructor to just take IDocument input.
	(AutoconfMarker): New private class for marking autoconf document.
	(createMarker): New private method to create AutoconfMarker in document.
	(handleError): Create a marker and add it to annotation model durectly
	instead of using MarkerUtilities.
	(removeAllMarkers): Remove directly from annotation model instead of using file.
	(removeExistingMarkers): Ditto.
	(getDocument): New method.
	* src/com/redhat/eclipse/cdt/autotools/ui/editors/AutoconfDocumentProvider.java:
	(connect): Change constructor call to AutoconfErrorHandler.
	* src/com/redhat/eclipse/cdt/autotools/ui/editors/AutoconfEditor.java:
	(getViewer): New method to return the source viewer for the editor.
	* src/com/redhat/eclipse/cdt/autotools/ui/editors/AutoconfMacroParser.java:
	(AutoconfMacroParser): Change constructor call to AutoconfErrorHandler.
	* src/com/redhat/eclipse/cdt/autotools/ui/editors/parser/AutoconfParser.java:
	Change all uses of AutoconfOutlineErrorHandler to AutoconfErrorHandler.

2007-06-26  Jeff Johnston  <jjohnstn@redhat.com>

	Resolves Bugzilla #245820
	* src/com/redhat/eclipse/cdt/autotools/editors/automake/AutomakefileUtil.java (isAutomakeCommand):
	New method.
	* src/com/redhat/eclipse/cdt/autotools/internal/editors/automake/Conditional.java (isIf): New
	method.
	* src/com/redhat/eclipse/cdt/autotools/internal/editors/automake/IAutomakeConditional.java:
	New interface.
	* src/com/redhat/eclipse/cdt/autotools/internal/editors/automake/Else.java: Changed to
	implement new IAutomakeConditional interface.
	* src/com/redhat/eclipse/cdt/autotools/internal/editors/automake/If.java: New file.
	* src/com/redhat/eclipse/cdt/autotools/internal/editors/automake/GNUAutomakefile.java
	(parse): Add Automake if/else parsing and support for Makefile.in processed if/else blocks.
	(bypassIf, bypassElse, parseIf): New private methods.
	(addDirective): Don't add directives to an Automake if or else construct.
	* src/com/redhat/eclipse/cdt/autotools/internal/editors/automake/GNUMakefileConstants.java:
	Add CONDITIONAL_IF constant.
	* src/com/redhat/eclipse/cdt/autotools/internal/editors/automake/GNUMakefileUtil.java
	(isIf): New method.

2007-06-25  Jeff Johnston  <jjohnstn@redhat.com>

	* src/com/redhat/eclipse/cdt/autotools/internal/editors/automake/MakefileEditorTogglePresentationAction.java:
	New file.
	* src/com/redhat/eclipse/cdt/autotools/internal/editors/automake/MakefileEditorActionContributor.java: Ditto.

	* icons/etool16/alphab_sort_co.gif: New icon.
	* icons/etool16/build_menu.gif: Ditto.
	* icons/etool16/convert_normal.gif: Ditto.
	* icons/etool16/make.gif: Ditto.
	* icons/etool16/makefile.gif: Ditto.
	* icons/etool16/newc_app.gif: Ditto.
	* icons/etool16/newcc_app.gif: Ditto.
	* icons/etool16/segment_edit.gif: Ditto.
	* icons/etool16/target_add.gif: Ditto.
	* icons/etool16/target_build.gif: Ditto.
	* icons/etool16/target_delete.gif: Ditto.
	* icons/etool16/target_edit.gif: Ditto.
	* icons/etool16/target_filter.gif: Ditto.
	* icons/etool16/update_old.gif: Ditto.

	* plugin.xml: Change Automake editor to use new internal MakefileEditorActionContributor
	class rather than point to the internal one in internal CDT make.

	* src/com/redhat/eclipse/cdt/autotools/ui/editors/AutoconfDocumentSetupParticipant.java:
	(setup): Don't bother registering this as document listener.
	(documentAboutToBeChanged): Remove body of method as this is no longer needed.

2007-06-25  Jeff Johnston  <jjohnstn@redhat.com>

	Resolves Bugzilla #245611
	* src/com/redhat/eclipse/cdt/autotools/ui/editors/AutoconfMacroContentAssistProcessor.java
	(getMacroList): Change to call AutoconfTextHover to get the name of the macros
	document since it will depend on current preferences.
	* src/com/redhat/eclipse/cdt/autotools/internal/text/hover/AutoconfTextHover.java
	(getAutoconfMacrosDocName): New static method.

2007-06-19  Jeff Johnston  <jjohnstn@redhat.com>

	* libhoverdocs/acmacros-2.59.xml: New autoconf hover text and syntax info
	for autoconf 2.59.
	* src/com/redhat/eclipse/cdt/autotools/internal/ui/preferences/AutoconfEditorPreferencePage.java:
	Add 2.59 support.

2007-06-18  Jeff Johnston  <jjohnstn@redhat.com>

	* libhoverdocs/acmacros-2.13.xml: New autoconf hover text and syntax info
	for autoconf 2.13.
	* libhoverdocs/acmacros-2.61.xml: New autoconf hover text and syntax info
	for autoconf 2.61.
	* libhoverdocs/acmacros.xml: Replaced with files above.

	* src/com/redhat/eclipse/cdt/autotools/internal/text/hover (init): Change document
	to be dependent on autoconf version preference.
	(reinit): New method to force reinitialization of help document.
	(getPrototype): Fix to allow for earlier versions which specify multiple
	prototypes in one using "[,", for example.

	* src/com/redhat/eclipse/cdt/autotools/internal/ui/preferences/AutoconfEditorPreferencePage.java:
	Add version preference support.
	(createOverlayStore): Add version support.
	(createContents): Add version tab.
	(initializeVersion): New method.
	(createVersionTabContents): Ditto.
	* src/com/redhat/eclipse/cdt/autotools/internal/ui/preferences/AutotoolsEditorPreferenceConstants.java:
	Add AUTOCONF_VERSION and initialize the default autoconf version value to be the
	highest possible.
	* src/com/redhat/eclipse/cdt/autotools/internal/ui/preferences/AutotoolsPreferencesMessages.properties:
	Add new messages pertaining to autoconf version.
	* src/com/redhat/eclipse/cdt/autotools/ui/editors/AutoconfEditor.java (handlePreferenceStoreChanged):
	If the autoconf version is changed, invalidate the document and force a reparse.
	* src/com/redhat/eclipse/cdt/autotools/ui/editors/AutoconfEditorMessages.java (getFormattedString):
	Add new method which takes 3 replacement strings.
	* src/com/redhat/eclipse/cdt/autotools/ui/editors/AutoconfEditorMessages.properties:
	Change macro error messages to take the autoconf version as a parameter.
	* src/com/redhat/eclipse/cdt/autotools/ui/editors/parser/AutoconfParser.java: Fix
	typo for too many args message id.
	(parseMacro): For wrong number of argument messages, get the current autoconf version preference
	and pass it in to the message.

2007-06-07  Jeff Johnston  <jjohnstn@redhat.com>

	* src/com/redhat/eclipse/cdt/autotools/editors/automake/Automakefile.java: Rebase on
	GNUAutomakefile class.  Remove all parsing methods.
	* src/com/redhat/eclipse/cdt/autotools/editors/automake/AutomakeDocumentProvider.java: Fix
	comments to refer to internal Autotools classes as appropriate.

	* src/com/redhat/eclipse/cdt/autotools/internal/editors/automake/Conditional.java: New file.
	* src/com/redhat/eclipse/cdt/autotools/internal/editors/automake/DefineVariable.java: Ditto.
	* src/com/redhat/eclipse/cdt/autotools/internal/editors/automake/DeleteOnErrorRule.java: Ditto.
	* src/com/redhat/eclipse/cdt/autotools/internal/editors/automake/Else.java: Ditto.
	* src/com/redhat/eclipse/cdt/autotools/internal/editors/automake/Endef.java: Ditto.
	* src/com/redhat/eclipse/cdt/autotools/internal/editors/automake/Endif.java: Ditto.
	* src/com/redhat/eclipse/cdt/autotools/internal/editors/automake/ExportAllVariablesRule.java: Ditto.
	* src/com/redhat/eclipse/cdt/autotools/internal/editors/automake/ExternalEditorInput.java: Ditto.
	* src/com/redhat/eclipse/cdt/autotools/internal/editors/automake/GNUAutomakefile.java: Ditto.
	* src/com/redhat/eclipse/cdt/autotools/internal/editors/automake/GNUTargetRule.java: Ditto.
	* src/com/redhat/eclipse/cdt/autotools/internal/editors/automake/GNUVariableDef.java: Ditto.
	* src/com/redhat/eclipse/cdt/autotools/internal/editors/automake/Ifdef.java: Ditto.
	* src/com/redhat/eclipse/cdt/autotools/internal/editors/automake/Ifeq.java: Ditto.
	* src/com/redhat/eclipse/cdt/autotools/internal/editors/automake/Ifndef.java: Ditto.
	* src/com/redhat/eclipse/cdt/autotools/internal/editors/automake/Ifneq.java: Ditto.
	* src/com/redhat/eclipse/cdt/autotools/internal/editors/automake/Include.java: Ditto.
	* src/com/redhat/eclipse/cdt/autotools/internal/editors/automake/IntermediateRule.java: Ditto.
	* src/com/redhat/eclipse/cdt/autotools/internal/editors/automake/LowResolutionTimeRule.java: Ditto.
	* src/com/redhat/eclipse/cdt/autotools/internal/editors/automake/NotParallelRule.java: Ditto.
	* src/com/redhat/eclipse/cdt/autotools/internal/editors/automake/OverrideDefine.java: Ditto.
	* src/com/redhat/eclipse/cdt/autotools/internal/editors/automake/OverrideVariable.java: Ditto.
	* src/com/redhat/eclipse/cdt/autotools/internal/editors/automake/PhonyRule.java: Ditto.
	* src/com/redhat/eclipse/cdt/autotools/internal/editors/automake/SecondaryRule.java: Ditto.
	* src/com/redhat/eclipse/cdt/autotools/internal/editors/automake/StaticTargetRule.java: Ditto.
	* src/com/redhat/eclipse/cdt/autotools/internal/editors/automake/TargetVariable.java: Ditto.
	* src/com/redhat/eclipse/cdt/autotools/internal/editors/automake/Terminal.java: Ditto.
	* src/com/redhat/eclipse/cdt/autotools/internal/editors/automake/UnExport.java: Ditto.
	* src/com/redhat/eclipse/cdt/autotools/internal/editors/automake/VPath.java: Ditto.

	* src/com/redhat/eclipse/cdt/autotools/internal/editors/ExternalEditorInput.java: Update comments
	that should refer to internal Autotools classes.
	* src/com/redhat/eclipse/cdt/autotools/internal/editors/MakefileDocumentProvider.java: Ditto.
	* src/com/redhat/eclipse/cdt/autotools/internal/editors/ProjectionMakefileUpdater.java: Ditto.
	* src/com/redhat/eclipse/cdt/autotools/internal/editors/WorkingCopyManager.java: Ditto.
	* src/com/redhat/eclipse/cdt/autotools/internal/ui/editors/autoconf/ProjectionFileUpdater.java: Ditto.
	* src/com/redhat/eclipse/cdt/autotools/internal/ui/preferences/AutoconfEditorPreferencePage.java: Ditto.
	* src/com/redhat/eclipse/cdt/autotools/internal/ui/preferences/AutomakeEditorPreferencePage.java: Ditto.
	* src/com/redhat/eclipse/cdt/autotools/ui/editors/AutoconfDocumentProvider.java: Ditto.

2007-06-07  Jeff Johnston  <jjohnstn@redhat.com>

	Resolves Bugzilla #243184
	* src/com/redhat/eclipse/cdt/autotools/editors/automake/AutomakeConfigMacro.java: New file.
	* src/com/redhat/eclipse/cdt/autotools/editors/automake/Automakefile.java (parse): Add
	support for autoconf macros.
	(parseConfigMacro): New method.
	* src/com/redhat/eclipse/cdt/autotools/editors/automake/AutomakefileCodeScanner.java
	(createRules): Add rule for configure macros.
	* src/com/redhat/eclipse/cdt/autotools/editors/automake/AutomakefileContentOutlinePage.java
	(getImage): Add support for AutomakeConfigMacro.
	(getText): Ditto.
	* src/com/redhat/eclipse/cdt/autotools/editors/automake/AutomakefileUtil.java (isConfigMacro):
	New method.

	* src/com/redhat/eclipse/cdt/autotools/internal/ui/MakeUIImages.java: Add acmacro_obj image.
	* icons/obj16/acmacro_obj.gif: New icon.

2007-06-05  Jeff Johnston  <jjohnstn@redhat.com>

	* src/com/redhat/eclipse/cdt/autotools/actions/BuildSpecial.java: Removed.  No
	longer used now that MakeTargets work.
	* src/com/redhat/eclipse/cdt/autotools/actions/CheckboxTablePart.java: Ditto.
	* src/com/redhat/eclipse/cdt/autotools/actions/MakeContentProvider.java: Ditto.
	* src/com/redhat/eclipse/cdt/autotools/actions/MakeTargetDialog.java: Ditto.
	* src/com/redhat/eclipse/cdt/autotools/actions/SharedPart.java: Ditto.
	* src/com/redhat/eclipse/cdt/autotools/actions/SharedPartWithButtons.java: Ditto.
	* src/com/redhat/eclipse/cdt/autotools/actions/StructuredViewerPart.java: Ditto.
	* src/com/redhat/eclipse/cdt/autotools/actions/TargetListViewerPart.java: Ditto.

	* src/com/redhat/eclipse/cdt/autotools/internal/ui/editors/autoconf/ProjectionFileUpdater.java: New file.
	* src/com/redhat/eclipse/cdt/autotools/internal/ui/preferences/AutotoolsEditorPreferenceConstants.java:
	Add new constants for Autoconf editor folding.
	* src/com/redhat/eclipse/cdt/autotools/ui/editors/IAutotoolsEditor.java: New interface.
	* src/com/redhat/eclipse/cdt/autotools/ui/editors/AutoconfEditor.java: Make class
	implement IAutotoolsEditor interface.  This allows ProjectionFileUpdater class to
	work.  Add folding support based on MakefileEditor class.

	* src/com/redhat/eclipse/cdt/autotools/ui/editors/parser/AutoconfElement.java
	(getStartOffset, setStartOffset, getEndLineNumber, setEndLineNumber): New methods.
	(getEndOffset, setEndOffset, getLastChild): Ditto.
	(AutoconfElement): New constructor which takes start offset.
	* src/com/redhat/eclipse/cdt/autotools/ui/editors/parser/AutoconfCaseElement.java:
	Add new constructor to match that of AutoconfElement.
	* src/com/redhat/eclipse/cdt/autotools/ui/editors/parser/AutoconfElifElement.java: Ditto.
	* src/com/redhat/eclipse/cdt/autotools/ui/editors/parser/AutoconfElseElement.java: Ditto.
	* src/com/redhat/eclipse/cdt/autotools/ui/editors/parser/AutoconfForElement.java: Ditto.
	* src/com/redhat/eclipse/cdt/autotools/ui/editors/parser/AutoconfIfElement.java: Ditto.
	* src/com/redhat/eclipse/cdt/autotools/ui/editors/parser/AutoconfMacroElement.java: Ditto.
	* src/com/redhat/eclipse/cdt/autotools/ui/editors/parser/AutoconfWhileElement.java: Ditto.
	* src/com/redhat/eclipse/cdt/autotools/ui/editors/parser/AutoconfParser.java:
	(AutoconfLineReader): New internal class to replace LineNumberReader class.  Change
	all internal parse routines to use this class instead of LineNumberReader.
	(parseLines): When a semicolon is found that denotes a multistatement line, update the end
	offset of the previous construct and set the start offset for the next construct to be after
	the semicolon and additional whitespace.
	(parseMacro, parseIf, parseElif, parseElse, parseCase, parseFor, parseWhile): Construct with
	start offset based on previous mark.  After processing, set the end line number for the
	element.

2007-06-01  Jeff Johnston  <jjohnstn@redhat.com>

	* src/com/redhat/eclipse/cdt/autotools/editors/automake/AutomakeEditor.java:
	Refactor AutomakeEditorPreferenceConstants to AutotoolsEditorPreferenceConstants.
	* src/com/redhat/eclipse/cdt/autotools/internal/editors/automake/ColorManager.java:  Moved from here to..
	* src/com/redhat/eclipse/cdt/autotools/internal/ui/preferences/ColorManager.java: ...here
	* src/com/redhat/eclipse/cdt/autotools/editors/automake/AutomakeEditorFactory.java:
	Changed due to movement of ColorManager class.
	* src/com/redhat/eclipse/cdt/autotools/editors/automake/AutomakefileCodeScanner.java:
	Ditto.
	* src/com/redhat/eclipse/cdt/autotools/internal/editors/automake/AbstractMakefileCodeScanner.java:
	Ditto.
	* src/com/redhat/eclipse/cdt/autotools/internal/editors/automake/MakefileCodeScanner.java: Ditto.
	* src/com/redhat/eclipse/cdt/autotools/internal/editors/automake/MakefileSourceConfiguration.java: Ditto.

	* src/com/redhat/eclipse/cdt/autotools/internal/ui/preferences/AbstractAutomakeEditorPreferencePaga.java:
	Refactored to be...
	* src/com/redhat/eclipse/cdt/autotools/internal/ui/preferences/AbstractEditorPreferencePage.java:
	...this.
	* src/com/redhat/eclipse/cdt/autotools/internal/ui/preferences/AutoconfEditorPreferencePage.java: New file.
	* src/com/redhat/eclipse/cdt/autotools/internal/ui/preferences/AutomakeEditorPreferenceConstants.java:
	Refactored to be...
	* src/com/redhat/eclipse/cdt/autotools/internal/ui/preferences/AutotoolsEditorPreferenceConstants.java:
	...this.
	* src/com/redhat/eclipse/cdt/autotools/internal/ui/preferences/AutomakePreferencesMessages.java:
	Refactored to be...
	* src/com/redhat/eclipse/cdt/autotools/internal/ui/preferences/AutotoolsPreferencesMessages.java:
	...this.
	* src/com/redhat/eclipse/cdt/autotools/internal/ui/preferences/AutomakePreferencesMessages.properties:
	Refactored to be...
	* src/com/redhat/eclipse/cdt/autotools/internal/ui/preferences/AutotoolsPreferencesMessages.properties:
	...this.
	* src/com/redhat/eclipse/cdt/autotools/internal/ui/preferences/AutomakeEditorPreferencePage.java:
	Use new refactored classes.

	* src/com/redhat/eclipse/cdt/autotools/ui/editors/AutoconfCodeScanner.java:  Add color preference
	support.
	(AutoconfCodeScanner): A color provider is no longer needed as input.
	(getToken, getTokenProperties, addToken, indexOf, affectsBehavior): New methods.
	(adaptToPreferenceChange, adaptToColorChange, adaptToStyleChange); Ditto.
	(createTextAttribute, initialize): Ditto.
	* src/com/redhat/eclipse/cdt/autotools/ui/editors/AutoconfColorProvider.java: Removed and replaced
	with ColorManager.
	* src/com/redhat/eclipse/cdt/autotools/ui/editors/AutoconfEditor.java: Change to use
	ColorManager.
	(initializeEditor): Set the preference change store and initialize the editor preferences.
	(getAutoconfCodeScanner): Changed to match new AutoconfCodeScanner constructor.
	(getPreferenceColor): New method.
	(getColorProvider): Removed.
	(handlePreferenceStoreChanged): New method.
	* src/com/redhat/eclipse/cdt/autotools/ui/editors/AutoconfSourceViewerConfiguration.java:
	Inherit from TextSourceViewerConfiguration.  Store the preference store.
	* plugin.properties: Add new internationalized string for Autoconf editor preferences.
	* plugin.xml: Add Autoconf editor preference page.

2007-05-30  Jeff Johnston  <jjohnstn@redhat.com>

	Resolves Bugzilla #241908
	* src/com/redhat/eclipse/cdt/autotools/MakeGenerator.java (addMakeTargetsToManager):
	Change builder id used to one used in plugin.xml.

2007-05-30  Jeff Johnston  <jjohnstn@redhat.com>

	Resolves Bugzilla #241782
	* src/com/redhat/eclipse/cdt/autotools/Resources.properties: Add new message
	for Autotools preference page.
	* src/com/redhat/eclipse/cdt/autotools/editors/automake/AutomakeEditor.java
	(initializeEditor): Initialize color and folding preference defaults.
	(handlePreferenceStoreChanges): Call super method to refresh editor.
	* src/com/redhat/eclipse/cdt/autotools/internal/editors/automake/ColorManager.java:
	Change constants to be in Autotools domain.
	* src/com/redhat/eclipse/cdt/autotools/internal/ui/preferences/AbstractAutomakeEditorPreferencePage.java:
	New file.
	* src/com/redhat/eclipse/cdt/autotools/internal/ui/preferences/AutomakeEditorPreferenceConstants.java:
	Ditto.
	* src/com/redhat/eclipse/cdt/autotools/internal/ui/preferences/AutomakeEditorPreferencePage.java: Ditto.
	* src/com/redhat/eclipse/cdt/autotools/internal/ui/preferences/AutomakePreferencesMessages.java: Ditto.
	* src/com/redhat/eclipse/cdt/autotools/internal/ui/preferences/AutomakePreferencesMessages.properties:
	Ditto.
	* src/com/redhat/eclipse/cdt/autotools/internal/ui/preferences/AutotoolsPreferencePage.java: Ditto.
	* src/com/redhat/eclipse/cdt/autotools/internal/ui/preferences/ColorEditor.java: Ditto.
	* src/com/redhat/eclipse/cdt/autotools/internal/ui/preferences/OverlayPreferenceStore.java: Ditto.
	* src/com/redhat/eclipse/cdt/autotools/internal/ui/preferences/StatusInfo.java: Ditto.
	* src/com/redhat/eclipse/cdt/autotools/internal/ui/preferences/TabFolderLayout.java: Ditto.

	* plugin.properties: Add new internationalized strings from plugin.xml.
	* plugin.xml: Add Autotools and Automake Editor preference pages.  Also
	clean up some extensions to use internationalized strings.

2007-05-28  Jeff Johnston  <jjohnstn@redhat.com>

	Resolves Bugzilla #241612
	* src/com/redhat/eclipse/cdt/autotools/AutotoolsPlugin.java:
	Add utility methods from MakeUIPlugin to log messages and
	issue error dialogs, etc..
	* src/com/redhat/eclipse/cdt/autotools/actions/MakeTargetDialog.java:
	Use MakeUIMessages instead of MakeUIPlugin for messages.
	* src/com/redhat/eclipse/cdt/autotools/editors/automake/AutomakeCompletionProcessor.java:
	Replace internal CDT classes with internal Autotools classes.
	* src/com/redhat/eclipse/cdt/autotools/editors/automake/AutomakeDocumentProvider.java:
	Ditto.
	* src/com/redhat/eclipse/cdt/autotools/editors/automake/AutomakeEditor.java:  Ditto.
	* src/com/redhat/eclipse/cdt/autotools/editors/automake/AutomakeEditorFactory.java:
	Ditto.
	(getPreferenceColor): New method.
	* src/com/redhat/eclipse/cdt/autotools/editors/automake/AutomakeErrorHandler.java:
	Ditto.
	* src/com/redhat/eclipse/cdt/autotools/editors/automake/Automakefile.java:	Ditto.
	* src/com/redhat/eclipse/cdt/autotools/editors/automake/AutomakefileCodeScanner.java:
	Ditto.
	* src/com/redhat/eclipse/cdt/autotools/editors/automake/AutomakefileContentOutlinePage.java:
	Ditto.
	* src/com/redhat/eclipse/cdt/autotools/editors/automake/AutomakefileReconcilingStrategy.java:
	Ditto.
	* src/com/redhat/eclipse/cdt/autotools/editors/automake/AutomakefileSourceConfiguration.java:
	Ditto.
	* src/com/redhat/eclipse/cdt/autotools/editors/automake/AutomakeIfElse.java: Ditto.
	* src/com/redhat/eclipse/cdt/autotools/editors/automake/AutomakeMacroDefinitionRule.java:
	Ditto.
	(evaluate): Remove unused local variable ch.
	* src/com/redhat/eclipse/cdt/autotools/editors/automake/AutomakeTextHover.java: Ditto.

	* src/com/redhat/eclipse/cdt/autotools/internal/editors/automake/AbstractElementListSelectionDialog.java:
	New file transported from CDT internals.
	* src/com/redhat/eclipse/cdt/autotools/internal/editors/automake/AbstractMakefile.java: Ditto.
	* src/com/redhat/eclipse/cdt/autotools/internal/editors/automake/AbstractMakefileCodeScanner.java: Ditto.
	* src/com/redhat/eclipse/cdt/autotools/internal/editors/automake/AddBuildTargetAction.java: Ditto.
	* src/com/redhat/eclipse/cdt/autotools/internal/editors/automake/ArchiveTarget.java: Ditto.
	* src/com/redhat/eclipse/cdt/autotools/internal/editors/automake/BadDirective.java: Ditto.
	* src/com/redhat/eclipse/cdt/autotools/internal/editors/automake/ColorManager.java: Ditto.
	* src/com/redhat/eclipse/cdt/autotools/internal/editors/automake/Command.java: Ditto.
	* src/com/redhat/eclipse/cdt/autotools/internal/editors/automake/Comment.java: Ditto.
	* src/com/redhat/eclipse/cdt/autotools/internal/editors/automake/CompletionProposalComparator.java:
	Ditto.
	* src/com/redhat/eclipse/cdt/autotools/internal/editors/automake/DefaultRule.java: Ditto.
	* src/com/redhat/eclipse/cdt/autotools/internal/editors/automake/Directive.java: Ditto.
	* src/com/redhat/eclipse/cdt/autotools/internal/editors/automake/EditorUtility.java: Ditto.
	* src/com/redhat/eclipse/cdt/autotools/internal/editors/automake/ElementListSelectionDialog.java: Ditto.
	* src/com/redhat/eclipse/cdt/autotools/internal/editors/automake/EmptyLine.java: Ditto.
	* src/com/redhat/eclipse/cdt/autotools/internal/editors/automake/ExternalEditorInput.java: Ditto.
	* src/com/redhat/eclipse/cdt/autotools/internal/editors/automake/ExternalEditorInputFactory: Ditto.
	* src/com/redhat/eclipse/cdt/autotools/internal/editors/automake/GNUMakefileConstants.java: Ditto.
	* src/com/redhat/eclipse/cdt/autotools/internal/editors/automake/IgnoreRule.java: Ditto.
	* src/com/redhat/eclipse/cdt/autotools/internal/editors/automake/IMakefileDocumentProvider.java: Ditto.
	* src/com/redhat/eclipse/cdt/autotools/internal/editors/automake/IMakefileEditorActionDefinitionIds.java: Ditto.
	* src/com/redhat/eclipse/cdt/autotools/internal/editors/automake/InferenceRule.java: Ditto.
	* src/com/redhat/eclipse/cdt/autotools/internal/editors/automake/IReconcilingParticipant.java: Ditto.
	* src/com/redhat/eclipse/cdt/autotools/internal/editors/automake/ISelectionValidator.java: Ditto.
	* src/com/redhat/eclipse/cdt/autotools/internal/editors/automake/ITranslationUnitEditorInput.java: Ditto.
	* src/com/redhat/eclipse/cdt/autotools/internal/editors/automake/LexicalSortingAction.java: Ditto.
	* src/com/redhat/eclipse/cdt/autotools/internal/editors/automake/MacroDefinition.java: Ditto.
	* src/com/redhat/eclipse/cdt/autotools/internal/editors/automake/MacroDefinitionRule.java: Ditto.
	* src/com/redhat/eclipse/cdt/autotools/internal/editors/automake/MacroReferenceRule.java: Ditto.
	* src/com/redhat/eclipse/cdt/autotools/internal/editors/automake/MakefileAnnotationHover.java: Ditto.
	* src/com/redhat/eclipse/cdt/autotools/internal/editors/automake/MakefileCodeScanner.java: Ditto.
	* src/com/redhat/eclipse/cdt/autotools/internal/editors/automake/MakefileCompletionProcessor.java: Ditto.
	* src/com/redhat/eclipse/cdt/autotools/internal/editors/automake/MakefileConstants.java: Ditto.
	* src/com/redhat/eclipse/cdt/autotools/internal/editors/automake/MakefileContentOutlinePage.java: Ditto.
	* src/com/redhat/eclipse/cdt/autotools/internal/editors/automake/MakefileDocumentProvider.java: Ditto.
	* src/com/redhat/eclipse/cdt/autotools/internal/editors/automake/MakefileDocumentSetupParticipant.java: Ditto.
	* src/com/redhat/eclipse/cdt/autotools/internal/editors/automake/MakefileEditor.java: Ditto.
	* src/com/redhat/eclipse/cdt/autotools/internal/editors/automake/MakefileEditorPreferenceConstants.java: Ditto.
	* src/com/redhat/eclipse/cdt/autotools/internal/editors/automake/MakefileMessages.java: Ditto.
	* src/com/redhat/eclipse/cdt/autotools/internal/editors/automake/MakefilePartitionScanner.java: Ditto.
	* src/com/redhat/eclipse/cdt/autotools/internal/editors/automake/MakefileReader.java: Ditto.
	* src/com/redhat/eclipse/cdt/autotools/internal/editors/automake/MakefileReconcilingStrategy.java: Ditto.
	* src/com/redhat/eclipse/cdt/autotools/internal/editors/automake/MakeFileResources.properties: Ditto.
	* src/com/redhat/eclipse/cdt/autotools/internal/editors/automake/MakefileSourceConfiguration.java: Ditto.
	* src/com/redhat/eclipse/cdt/autotools/internal/editors/automake/MakefileStorageDocumentProvider.java: Ditto.
	* src/com/redhat/eclipse/cdt/autotools/internal/editors/automake/MakefileTextHover.java: Ditto.
	* src/com/redhat/eclipse/cdt/autotools/internal/editors/automake/MakefileWordDetector.java: Ditto.
	* src/com/redhat/eclipse/cdt/autotools/internal/editors/automake/MessageLine.java: Ditto.
	* src/com/redhat/eclipse/cdt/autotools/internal/editors/automake/NullMakefile.java: Ditto.
	* src/com/redhat/eclipse/cdt/autotools/internal/editors/automake/OpenDeclarationAction.java: Ditto.
	* src/com/redhat/eclipse/cdt/autotools/internal/editors/automake/OpenIncludeAction.java: Ditto.
	* src/com/redhat/eclipse/cdt/autotools/internal/editors/automake/Parent.java: Ditto.
	* src/com/redhat/eclipse/cdt/autotools/internal/editors/automake/PosixMakefileUtil.java: Ditto.
	* src/com/redhat/eclipse/cdt/autotools/internal/editors/automake/PosixRule.java: Ditto.
	* src/com/redhat/eclipse/cdt/autotools/internal/editors/automake/PreciousRule.java: Ditto.
	* src/com/redhat/eclipse/cdt/autotools/internal/editors/automake/ProjectionMakefileUpdater.java: Ditto.
	* src/com/redhat/eclipse/cdt/autotools/internal/editors/automake/Rule.java: Ditto.
	* src/com/redhat/eclipse/cdt/autotools/internal/editors/automake/SccsGetRule.java: Ditto.
	* src/com/redhat/eclipse/cdt/autotools/internal/editors/automake/SelectionList.java: Ditto.
	* src/com/redhat/eclipse/cdt/autotools/internal/editors/automake/SilentRule.java: Ditto.
	* src/com/redhat/eclipse/cdt/autotools/internal/editors/automake/SpecialRule.java: Ditto.
	* src/com/redhat/eclipse/cdt/autotools/internal/editors/automake/StatusInfo.java: Ditto.
	* src/com/redhat/eclipse/cdt/autotools/internal/editors/automake/StringMatcher.java: Ditto.
	* src/com/redhat/eclipse/cdt/autotools/internal/editors/automake/SuffixesRule.java: Ditto.
	* src/com/redhat/eclipse/cdt/autotools/internal/editors/automake/Target.java: Ditto.
	* src/com/redhat/eclipse/cdt/autotools/internal/editors/automake/TargetRule.java: Ditto.
	* src/com/redhat/eclipse/cdt/autotools/internal/editors/automake/TwoArrayQuickSort.java: Ditto.
	* src/com/redhat/eclipse/cdt/autotools/internal/editors/automake/Util.java: Ditto.
	* src/com/redhat/eclipse/cdt/autotools/internal/editors/automake/VariableDefinition.java: Ditto.
	* src/com/redhat/eclipse/cdt/autotools/internal/editors/automake/WordPartDetector.java: Ditto.
	* src/com/redhat/eclipse/cdt/autotools/internal/editors/automake/WorkingCopyManager.java: Ditto.

	* src/com/redhat/eclipse/cdt/autotools/internal/ui/AutotoolsPluginImages.java: Switch to
	use new ac16 icon directory instead of etools16.
	* src/com/redhat/eclipse/cdt/autotools/internal/ui/ErrorParserBlock.java: Use
	MakeUIMessages instead of MakeUIPlugin for messages.
	* src/com/redhat/eclipse/cdt/autotools/internal/ui/MakeUIImages.java: Use
	AutotoolsPlugin for error dialogs.  Add new images.
	* src/com/redhat/eclipse/cdt/autotools/internal/ui/MakeUIMessages.java: New file.
	* src/com/redhat/eclipse/cdt/autotools/internal/ui/MakeUIPlugin.java: Removed.
	* src/com/redhat/eclipse/cdt/autotools/internal/ui/MessageLine.java: Fix typo.

	* src/com/redhat/eclipse/cdt/autotools/internal/wizards/AutotoolsWizardMessages.java:
	Fix bundle id for messages.

	* plugin.xml: Fix icon references.

	* icons/ac16: New folder containing icons that used to be in etool16.
	* icons/dlcl16/build_configs.gif: New icon.
	* icons/dlcl16/open_include.gif: Ditto.
	* icons/elcl16/build_configs.gif: Ditto.
	* icons/elcl16/open_include.gif: Ditto.
	* icons/dtool16/alphab_sort_co.gif: Ditto.
	* icons/dtool16/build_menu.gif: Ditto.
	* icons/dtool16/convert-normal.gif: Ditto.
	* icons/dtool16/make.gif: Ditto.
	* icons/dtool16/makefile.gif: Ditto.
	* icons/dtool16/newc_app.gif: Ditto.
	* icons/dtool16/newcc_app.gif: Ditto.
	* icons/dtool16/segment_edit.gif: Ditto.
	* icons/dtool16/target_add.gif: Ditto.
	* icons/dtool16/target_build.gif: Ditto.
	* icons/dtool16/target_delete.gif: Ditto.
	* icons/dtool16/target_edit.gif: Ditto.
	* icons/dtool16/update_old.gif: Ditto.
	* icons/etool16: Move autoconf editor icons to ac16 folder.
	* icons/obj16/command_obj.gif: New icon.
	* icons/obj16/define_obj.gif: Ditto.
	* icons/obj16/environment_obj.gif: Ditto.
	* icons/obj16/envvar_obj.gif: Ditto.
	* icons/obj16/error_obj.gif: Ditto.
	* icons/obj16/hfolder_obj.gif: Ditto.
	* icons/obj16/include_obj.gif: Ditto.
	* icons/obj16/irule_obj.gif: Ditto.
	* icons/obj16/lib_obj.gif: Ditto.
	* icons/obj16/macro_obj.gif: Ditto.
	* icons/obj16/relation_obj.gif: Ditto.
	* icons/obj16/target_obj.gif: Ditto.
	* icons/obj16/trule_obj.gif: Ditto.

2007-05-14  Jeff Johnston  <jjohnstn@redhat.com>

	* src/com/redhat/eclipse/cdt/autotools/MakeGenerator.java:
	(addMakeTargetsToManager): Use MakeCorePlugin to get an IMakefile
	rather than use the internal PosixMakefile class directly.

2007-05-14  Jeff Johnston  <jjohnstn@redhat.com>

	* src/com/redhat/eclipse/cdt/autotools/MakeGenerator.java:
	(initialize): Store the configuration for later usage.
	(getConfigSettingsPath): Use stored configuration instead of fetching
	it each time.
	(runCommand): Ditto.
	(addMakeTargetsToManager): Use the real MakeTargetManager to store
	targets.  Mark targets added by parsing the Makefile with special
	tag.  Delete all MakeTargets with special tag before adding the
	new targets.
	(initializeBuildConfigDirs): Use stored configuration to get the
	tool options rather than the ManagedBuildInfo.
	(getConfigArgs): Ditto.
	(addMakeTargetsToManager):

	* src/com/redhat/eclipse/cdt/autotools/AutotoolsMakefileBuilder.java:
	Inherit from CommonBuilder.
	(build): Change to fetch make target name from args map and store for
	later use.
	(getTargets): Change to get make target from stored make target name.

	* plugin.xml: Remove Build Special Targets menu item as it is no longer
	needed.  Add MakeTargetBuilder extension so we can use MakeTargets.

2007-05-11  Jeff Johnston  <jjohnstn@redhat.com>

	Resolves Bugzilla #239886
	* src/com/redhat/eclipse/cdt/autotools/actions/InvokeAclocalAction.java (run):
	Pass the CWD to TwoInputDialog and use it when executing the command.  On
	success, show a success dialog.
	* src/com/redhat/eclipse/cdt/autotools/actions/InvokeAutoconfAction.java (run):
	Ditto.
	* src/com/redhat/eclipse/cdt/autotools/actions/TwoInputDialog.java (TwoInputDialog):
	Take the CWD as a parameter.
	(createDialogArea): Add label with CWD.

	* src/com/redhat/eclipse/cdt/autotools/actions/InvokeAutomakeAction.java (run):
	* src/com/redhat/eclipse/cdt/autotools/actions/InvokeMessages.java (getString):
	Add comments.
	(getFormattedString): New method.

	* src/com/redhat/eclipse/cdt/autotools/actions/InvokeAction.java (getExecDir):
	New method to return the CWD.
	(showSuccess): New method to display a success dialog.

	* src/com/redhat/eclipse/cdt/autotools/actions/InvokeMessages.properties: Add new
	messages.

2007-05-10  Jeff Johnston  <jjohnstn@redhat.com>

	Resolves Bugzilla #238173
	* src/com/redhat/eclipse/cdt/autotools/ui/editors/AutoconfIdentifierRule.java (evaluate):
	Cast read character to char before invoking Character methods to avoid gcj bug.

2007-04-30  Jeff Johnston  <jjohnstn@redhat.com>

	Resolves Bugzilla #238493
	* src/com/redhat/eclipse/cdt/autotools/ui/editors/RecursiveSingleLineRule.java (evaluate):
	Add check for scanner column < 0 which means we are already at EOF.

2007-04-25  jjohnstn  <jjohnstn@toocool.toronto.redhat.com>

	* src/com/redhat/eclipse/cdt/autotools/wizards/NewAutotoolsProjectOptionPage.java (ManagedWizardOptionBlock.setupHelpContextIds):
	Switch to use CDTHelpContextIds for static help context id.
	* src/com/redhat/eclipse/cdt/autotools/wizards/CProjectPlatformPage.java (createControl):
	Ditto.
	* src/com/redhat/eclipse/cdt/autotools/internal/wizards/ManagedProjectOptionBlock.java (createContents):
	Ditto.

2007-04-25  Jeff Johnston  <jjohnstn@redhat.com>

	Bugzilla #182821

	2007-04-25  Mikhail Sennikovsky
	* plugin.xml: Add plugin extensions which let the CDT know that includes and
	defined symbols are supported for the Autotools tool-chain.

2007-04-12  Jeff Johnston  <jjohnstn@redhat.com>

	Resolves Bugzilla #236304
	* src/com/redhat/eclipse/cdt/autotools/MakeGenerator.java (runCommand): Use the
	job description as a message in the console.
	(regenerateMakefiles): Fix autogen.sh logic to run configure after invoking
	autogen.sh if config.status doesn't exist.  Make sure console is reused for
	2nd step.  Change some of the status messages with new ones.
	(autogenExists): Fix bug where path to autogen.sh wasn't being set on return.
	* src/com/redhat/eclipse/cdt/autotools/Resources.properties: Add new MakeGenerator messages.

2007-04-11  jjohnstn  <jjohnstn@toocool.toronto.redhat.com>

	Bugzilla #236077
	* src/com/redhat/eclipse/cdt/autotools/internal/ui/CWordFinder.java: New file.
	* src/com/redhat/eclipse/cdt/autotools/internal/text/hover/AutoconfTextHover.java: Replace
	CDT internal classes with Autotools internal classes.
	* src/com/redhat/eclipse/cdt/autotools/internal/wizards/ManagedProjectOptionBlock.java (createContents):
	Replace WorkbenchHelp reference with non-deprecated alternative.
	* src/com/redhat/eclipse/cdt/autotools/AutotoolsMakeTargetManager.java: Fix
	imports.
	* src/com/redhat/eclipse/cdt/autotools/MakeGenerator.java (runCommand): Replace
	deprecated environmental variable method being used.
	(createFile): Make protected instead of private.
	(getInvalidDirList): Remove.
	* src/com/redhat/eclipse/cdt/autotools/wizards/ConvertToAutotoolsProjectWizardPage.java (convertProject):
	* src/com/redhat/eclipse/cdt/autotools/AutotoolsPlugin.java (getWorkingCopyManager):
	Moved into AutomakeEditorFactory.
	(getAutomakefileDocumentProvider): Ditto.
	* src/com/redhat/eclipse/cdt/autotools/editors/automake/AutomakeEditorFactory.java: New file.
	* src/com/redhat/eclipse/cdt/autotools/editors/automake/AutomakeCompletionProcessor.java:
	Change all calls to getWorkingCopyManager and getAutomakefileDocumentProvider to use
	new AutomakeEditorFactory class.
	* src/com/redhat/eclipse/cdt/autotools/editors/automake/AutomakeEditor.java: Ditto.
	* src/com/redhat/eclipse/cdt/autotools/editors/automake/AutomakefileContentOutlinePage.java: Ditto.
	* src/com/redhat/eclipse/cdt/autotools/editors/automake/AutomakefileReconcilingStrategy.java: Ditto.
	* src/com/redhat/eclipse/cdt/autotools/editors/automake/AutomakeCompletionProcessor.java: Ditto.
	* src/com/redhat/eclipse/cdt/autotools/ui/editors/AutoconfEditorMessages.java (getResourceBundle):
	New method.
	* src/com/redhat/eclipse/cdt/autotools/ui/editors/AutoconfEditorMessages.properties: Add
	new messages that were formerly fetched internally from CDT.
	* src/com/redhat/eclipse/cdt/autotools/ui/editors/AutoconfEditor.java: Comment out unused
	projectSupport.
	(createActions): Use AutoconfEditorMessages.
	(InformationDispatchAction.makeAnnotationHoverFocusable): Ditto.
	(fProjectionModelUpdater): Ditto.
	* src/com/redhat/eclipse/cdt/autotools/ui/editors/AutoconfAnnotationHover.java (formatMultipleMessages):
	Use AutoconfEditorMessages instead of CUIMessages.
	* src/com/redhat/eclipse/cdt/autotools/interenal/ui/ErrorParserBlock.java: New file.
	* src/com/redhat/eclipse/cdt/autotools/wizards/CProjectPlatformPage.java (createControl): Remove
	usage of WorkbenchHelp class which is deprecated.
	* src/com/redhat/eclipse/cdt/autotools/wizards/NewAutotoolsProjectOptionPage.java (ManagedWizardOptionBlock.setupHelpContextIds):
	Ditto.
	* src/com/redhat/eclipse/cdt/autotools/wizards/ConvertToAutotoolsProjectWizardPage.java (convertProject):
	Remove unused code.  Switch to use non-deprecated interface for getting
	indexer.

2007-04-10  jjohnstn  <jjohnstn@toocool.toronto.redhat.com>

	* src/com/redhat/eclipse/cdt/autotools/wizards/NewAutotoolsProjectWizard.java:
	Removed.
	* src/com/redhat/eclipse/cdt/autotools/wizards/NewAutotoolsProjectOptionPage.java:
	Use new internal ManagedProjectOptionBlock class.
	* src/com/redhat/eclipse/cdt/autotools/wizards/CProjectPlatformPage.java:
	Switch to use new AutotoolsWizardMessages internal class.
	* src/com/redhat/eclipse/cdt/autotools/wizards/ConvertToAutotoolsProjectWizardPage.java:
	Fix imports.
	* src/com/redhat/eclipse/cdt/autotools/wizards/ConvertToAutotoolsProjectWizard.java (doRunEpilogue):
	Switch to new IRunnableWithProgress interface.
	* src/com/redhat/eclipse/cdt/autotools/internal/wizards/AutotoolsWizardMessages.java:
	New file to support old wizard code.
	* src/com/redhat/eclipse/cdt/autotools/internal/wizards/AutotoolsWizardMessages.properties:
	Ditto.
	* src/com/redhat/eclipse/cdt/autotools/internal/wizards/ConfigurationContentProvider.java:
	Ditto.
	* src/com/redhat/eclipse/cdt/autotools/internal/wizards/ConfigurationLabelProvider.java:
	Ditto.
	* src/com/redhat/eclipse/cdt/autotools/internal/wizards/ManagedProjectOptionBlock:
	Ditto.
	* src/com/redhat/eclipse/cdt/autotools/internal/ui/AutotoolsPluginImages.java:
	Add build_configs.gif for Wizard support.
	* src/com/redhat/eclipse/cdt/autotools/internal/MarkerGenerator.java (addMarker):
	New method required by IMarkerGenerator interface.
	* src/com/redhat/eclipse/cdt/autotools/MakeGenerator.java (getProject):
	New method.
	(initializeBuildConfigDirs): Change the default build directory
	for the configuration's builder.
	Add support for CDT 4.0 M6.
	* cdtpatches/*: Removed.
	* icons/eclcl16: New icon directory.
	* icons/eclcl16/build_configs.gif: New icon.
	* plugin.properties: Add new strings used in plugin.xml.
	* plugin.xml: Add buildType and buildArtefactType extensions.  Add
	toolchain to Autotools project buildDefinitions extension.

2007-04-04  Jeff Johnston  <jjohnstn@redhat.com>

	Resolves Bugzilla #235076
	* src/com/redhat/eclipse/cdt/autotools/wizards/CProjectPlatformPage.java (CProjectPlatformPage):
	Add missing NLS comment.
	* src/com/redhat/eclipse/cdt/autotools/MakeGenerator.java (makefileCvsExists): Use
	getMakefileCVSPath method.
	(configureExists): Use getConfigurePath method.
	(getConfigurePath): New method.
	(getMakefileCVSPath): New method.
	(regenerateMakefiles): Use getConfigurePath and getMakefileCVSPath to get the
	command to use when either of these is found to exist.
	(autogenExists): Change to protected method.

2007-03-30  Jeff Johnston  <jjohnstn@redhat.com>

	* src/com/redhat/eclipse/cdt/autotools/ui/editors/AutoconfMacroDamagerRepairer.java (createPresentation):
	Comment out macro parsing as this is now done by the reconciler and overall parsing.
	* src/com/redhat/eclipse/cdt/autotools/internal/text/hover/AutoconfTextHover.java (getPrototype):
	Fix so it is properly setting minimum and maximum parm counts for a macro.
	* src/com/redhat/eclipse/cdt/autotools/internal/text/hover/AutoconfPrototype.java (setMaxParms):
	Fix typo.
	* src/com/redhat/eclipse/cdt/autotools/ui/editors/parser/AutoconfParser.java (matchParentheses):
	Update logic.
	(parseMacro):  Add error checking for minimum and maximum parameters as well as unmatched
	parentheses or square-brackets.
	* src/com/redhat/eclipse/cdt/autotools/ui/editors/parser/AutoconfMacroElement.java (setParmCount):
	New method.
	(setQuoteDepth): Ditto.
	(getParmCount): Ditto.
	(getQuoteDepth): Ditto.
	(setDepth): Ditto.
	(getDepth): Ditto.
	* src/com/redhat/eclipse/cdt/autotools/ui/editors/AutoconfEditorMessages.properties: Add
	new error messages for parsing of macros.
	* src/com/redhat/eclipse/cdt/autotools/ui/editors/outline/AutoconfContentOutlinePage (update):
	Use viewer refresh instead of redraw when updating.
	(updateSelection): New method.

2007-03-19  Jeff Johnston  <jjohnstn@redhat.com>

	* src/com/redhat/eclipse/cdt/autotools/Makegenerator.java (regenerateMakefiles):
	Refine algorithm so we don't cause a reconfigure if the configuration settings
	file doesn't contain the project name.  If the configuration arguments are
	unchanged and the settings file is the old style, rewrite with project
	name.

2007-03-19  Jeff Johnston  <jjohnstn@redhat.com>

	Resolves Bugzilla #230128
	* src/com/redhat/eclipse/cdt/autotools/MakeGenerator.java (saveConfigArgs): Add
	the project name as first argument saved.
	(regenerateMakefiles): Read off first argument and verify that it matches the
	current project name.

2007-03-19  Jeff Johnston  <jjohnstn@redhat.com>

	Resolves Bugzilla #232965
	* src/com/redhat/eclipse/cdt/autotools/MakeGenerator.java (runCommand):
	Change prototype to accept a console and a boolean which when true
	means to restart the console which may possibly clear the console.
	(regenerateMakefiles): Change calls to runCommand.  For multiple
	actions (e.g. autogen.sh then configure), opt for the 2nd, 3rd, etc...
	calls to not clear the console.  Don't run config.status unless
	the top-level Makefile is missing.
	* src/com/redhat/eclipse/cdt/autotools/Resources.properties: Add new
	MakeGenerator.unsupportedConfig message.

2007-03-16  Jeff Johnston  <jjohnstn@redhat.com>

	* src/com/redhat/eclipse/cdt/autotools/MakeGenerator.java (regenerateMakefiles):
	If configuration parameters have changed, mark all Scanner Info as dirty.
	* src/com/redhat/eclipse/cdt/autotools/AutotoolsScannerInfoProvider.java (getCollectionName):
	Make synchronized to avoid concurrent access of the infoCollection.
	(getScannerInformation): Ditto.
	(setDirty): New method.

2007-03-14  Jeff Johnston  <jjohnstn@redhat.com>

	Resolves Bugzilla #230493
	* src/com/redhat/eclipse/cdt/autotools/AutotoolsScannerInfo.java (getDefinedSymbols):
	Recalculate each time if compilation string is null.
	(getIncludePaths): Ditto.
	* src/com/redhat/eclipse/cdt/autotools/AutotoolsScannerInfoProvider.java (getScannerInformation):
	Use a map of configurations to keep ScannerInfo seperate per configuration.  Use
	current configuration to fetch scanner info.

2007-02-27  Jeff Johnston  <jjohnstn@redhat.com>

	* plugin.xml: Bump up release to 0.0.8.1.

2007-02-27  Jeff Johnston  <jjohnstn@redhat.com>

	Resolves Bugzillas #230253, #205310.
	* src/com/redhat/eclipse/cdt/autotools/AutotoolsMakeTargetManager.java (addTargets):
	New method to do mass add of MakeTargets for performance improvement.
	* src/com/redhat/eclipse/cdt/autotools/MakeGenerator.java:
	(addMakeTargetsToManager): Use new AutotoolsMakeTargetManager addTargets method.
	* src/com/redhat/eclipse/cdt/autotools/wizards/NewAutotoolsProjectWizard.java (doRun):
	Set indexer to NullIndexer before applying options.
	* src/com/redhat/eclipse/cdt/autotools/wizards/ConvertToAutotoolsProjectWizardPage.java (convertProject):
	Ditto.
	* src/com/redhat/eclipse/cdt/autotools/wizards/ConvertToAutotoolsProjectWizard.java:
	Add new NULL_INDEXER_ID.
	* src/com/redhat/eclipse/cdt/autotools/internal/MakeTargetManager.java: Expose
	projectTargetMap to inheriting classes.

2007-02-23  Jeff Johnston  <jjohnstn@redhat.com>

	Fix for Bugzilla 229891.
	* src/com/redhat/eclipse/cdt/autotools/AutotoolsMakefileBuilder.java (getMakeTargets):
	Use Make Target info to find the real build target which may have been set by the
	Build Special Targets action.
	(build): Set up the IMakeBuildInfo needed to fetch Make Target from.

2007-02-22  Jeff Johnston  <jjohnstn@redhat.com>

	* src/com/redhat/eclipse/cdt/autotools/actions/InvokeMessages.properties: Fix a few
	typos.
	* src/com/redhat/eclipse/cdt/autotools/ui/editors/AutoconfDocumentSetupParticipant.java (setup):
	Use IDocumentExtension3 version of setDocumentParitioner if document is an instance of
	IDocumentExtension3.

2007-02-22  Andrew Overholt  <overholt@redhat.com>

	* icons/automake.gif: New craptacular icon for automake editor.
	* icons/autoconf.gif: Another manifestation of my poor artistic skills.
	* plugin.xml: Use new icons.

2007-02-21  Jeff Johnston  <jjohnstn@redhat.com>

	Fix for Bugzilla 229893.
	* src/com/redhat/eclipse/cdt/autotools/ui/editors/AutoconfDocumentProvider.java: Switch
	to superclass TextFileDocumentProvider instead of FileDocumentProvider so as to fix
	undo support.
	* src/com/redhat/eclipse/cdt/autotools/ui/editors/AutoconfDocumentSetupParticipant.java:
	New file.
	* src/com/redhat/eclipse/cdt/autotools/ui/editors/AutoconfEditorMessages.properties:  Fix typo.
	* plugin.xml: Add extension for document setup that ties document setup for configuration
	files to AutoconfDocumentSetupParticipant.

2007-02-20  Jeff Johnston  <jjohnstn@redhat.com>

	* src/com/redhat/eclipse/cdt/autotools/ui/editors/parser/AutoconfParser.java (findDelimeter): Ignore
	escaped character.
	* src/com/redhat/eclipse/cdt/autotools/ui/editors/AutoconfPartitionScanner.java (AutoconfPartitionScanner):
	Add escape character for # format comment and eat "\#" as character.
	* src/com/redhat/eclipse/cdt/autotools/ui/editors/AutoconfCodeScanner.java (AutoconfCodeScanner):
	Ditto.
	* plugin.xml: Update release to 0.0.8.

2007-02-20  Andrew Overholt  <overholt@redhat.com>

	Patch from Jordy Potman
	http://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=229352

	* src/com/redhat/eclipse/cdt/autotools/editors/automake/AutomakefileSourceConfiguration.java
	(AutomakefileSourceConfiguration): Update super constructor call to reflect
	change in CDT 3.1.2.
	* src/com/redhat/eclipse/cdt/autotools/editors/automake/AutomakeEditor.java
	(initializeEditor): Likewise.

2007-02-20  Jeff Johnston  <jjohnstn@redhat.com>

	* src/com/redhat/eclipse/cdt/autotools/ui/editors/parser/AutoconfElement.java: New class.
	* src/com/redhat/eclipse/cdt/autotools/ui/editors/parser/AutoconfElifElement: Ditto.
	* src/com/redhat/eclipse/cdt/autotools/ui/editors/parser/AutoconfElseElement.java: Ditto.
	* src/com/redhat/eclipse/cdt/autotools/ui/editors/parser/AutoconfOutlineErrorHandler.java: Ditto.
	* src/com/redhat/eclipse/cdt/autotools/ui/editors/parser/AutoconfMacroElement.java: Ditto.
	* src/com/redhat/eclipse/cdt/autotools/ui/editors/parser/AutoconfIfElement.java: Ditto.
	* src/com/redhat/eclipse/cdt/autotools/ui/editors/parser/AutoconfRootElement.java: Ditto.
	* src/com/redhat/eclipse/cdt/autotools/ui/editors/parser/AutoconfWhileElement.java: Ditto.
	* src/com/redhat/eclipse/cdt/autotools/ui/editors/parser/AutoconfCaseElement.java: Ditto.
	* src/com/redhat/eclipse/cdt/autotools/ui/editors/parser/AutoconfForElement.java: Ditto.
	* src/com/redhat/eclipse/cdt/autotools/ui/editors/parser/AutoconfCaseConditionElement.java: Ditto.
	* src/com/redhat/eclipse/cdt/autotools/ui/editors/AutoconfCodeScanner.java (AutoconfCodeScanner):
	* src/com/redhat/eclipse/cdt/autotools/ui/editors/parser/AutoconfParser.java: New class to
	do Autoconf file parsing and error marking.
	Add AutoconfIdentifierRule and InlineDataRule.
	* src/com/redhat/eclipse/cdt/autotools/ui/editors/AutoconfDocumentProvider.java (createDocument):
	Changed to use new AutoconfErrorHandler interface.
	(documentAboutToBeChanged): Ditto.
	* src/com/redhat/eclipse/cdt/autotools/ui/editors/AutoconfErrorHandler.java (removeExistingMarkers):
	Add verification that file exists.
	(removeAllExistingMarkers): Ditto.
	(handleError): Ditto.
	(getCharOffset): Reformatted.
	(AutoconfErrorHandler): Change constructor to take an IStorageEditorInput rather than
	an IFile.  This allows external files to be edited without error handling.
	* src/com/redhat/eclipse/cdt/autotools/editors/AutoconfEditorMessages.properties: New messages
	added for outline parsing.
	* src/com/redhat/eclipse/cdt/autotools/ui/editors/AutoconfPartitionScanner.java (AutoconfPartitionScanner):
	Use new AutoconfIdentifierRule.
	* src/com/redhat/eclipse/cdt/autotools/ui/editors/AutoconfSourceViewerConfiguration.java (getPresentationReconciler):
	Change default partition to use MultilineRuleDamagerRepairer.
	(getReconciler): New method.
	* src/com/redhat/eclipse/cdt/autotools/ui/editors/AutoconfMacroDamagerRepairer.java (createPresentation):
	Change to use new AutoconfErrorHandler constructor.
	* src/com/redhat/eclipse/cdt/autotools/ui/editors/AutoconfMacroParser.java (AutoconfMacroParser): Ditto.
	* src/com/redhat/eclipse/cdt/autotools/ui/editors/AutoconfEditor.java (doSetInput): New.
	(getInputDocument): Ditto.
	(getRootElement): Ditto.
	(getAutoconfParser): Ditto.
	(getAdapter): Ditto.
	(InformationProvider): Ditto.
	(getOutlinePage): Ditto.
	(setRootElement): Ditto.
	* src/com/redhat/eclipse/cdt/autotools/ui/editors/outline/AutoconfContentOutlinePage.java: New file.
	* src/com/redhat/eclipse/cdt/autotools/ui/editors/outline/AutoconfContentProvider.java: Ditto.
	* src/com/redhat/eclipse/cdt/autotools/ui/editors/outline/AutoconfLabelProvider.java: Ditto.
	* src/com/redhat/eclipse/cdt/autotools/ui/editors/AutoconfIdentifierRule.java: New class to
	prevent matches of other strings that happen to be inside common identifiers.
	* src/com/redhat/eclipse/cdt/autotools/ui/editors/InlineDataRule.java: New class to
	recognize inline data files.
	* src/com/redhat/eclipse/cdt/autotools/ui/editors/MultilineRuleDamagerRepairer.java: New class
	to handle damage/repair when multiline rules are used.
	* src/com/redhat/eclipse/cdt/autotools/ui/editors/AutoconfReconciliingStrategy.java: New class
	for delayed document-change parsing.
	* src/com/redhat/eclipse/cdt/autotools/internal/ui/AutotoolsPluginImages.java: New class
	to handle image repository.
	* icons/etool16/acmacro_obj.gif: New image for Autoconf outline view.
	* icons/etool16/ammacro_obj.gif: Ditto.
	* icons/etool16/case_obj.gif: Ditto.
	* icons/etool16/condition_obj.gif: Ditto.
	* icons/etool16/elif_obj.gif: Ditto.
	* icons/etool16/for_obj.gif: Ditto.
	* icons/etool16/if_obj.gif: Ditto.
	* icons/etool16/while_obj.gif: Ditto.
	* plugin.xml: Add new error marker extension for outline view.

2007-02-02  Andrew Overholt  <overholt@redhat.com>

	* cdtpatches/README: Fix CVS location of managedbuilder.

2007-02-02  Andrew Overholt  <overholt@redhat.com>

	* src/com/redhat/eclipse/cdt/autotools/editors/automake/AutomakeCompletionProcessor.java:
	New file.
	* src/com/redhat/eclipse/cdt/autotools/editors/automake/Automakefile.java (getBuiltins):
	Add $<, $@, and $?.
	* src/com/redhat/eclipse/cdt/autotools/editors/automake/AutomakefileSourceConfiguration.java
	(getContentAssistant): Make use of AutomakeCompletionProcessor.

2007-01-31  Jeff Johnston  <jjohnstn@redhat.com>

	* cdtpatches/cdt.ui.buildconsole.patch: New file that contains the
	3.1.1 version of the patch for Bugzilla 153816 which adds multiple
	build console support to CDT 4.0.
	* cdtpatches/cdt.ui.patch: Altered to remove any build console patches.
	* cdtpatches/README: Updated to include the new patch.
	* src/com/redhat/eclipse/cdt/autotools/internal/ui/CConfigureConsole.java (CConfigureConsole):
	Modified to use new CUIPlugin build console manager interface.

2007-01-31  Andrew Overholt  <overholt@redhat.com>

	* src/com/redhat/eclipse/cdt/autotools/editors/automake/AutomakeErrorHandler.java: New class.
	* src/com/redhat/eclipse/cdt/autotools/ui/editors/AutoconfDocumentProvider.java: Remove unnecessary import.
	* src/com/redhat/eclipse/cdt/autotools/editors/automake/AutomakeDocumentProvider.java
	(connect): New method.  Update error markers at document load time.
	* src/com/redhat/eclipse/cdt/autotools/editors/automake/AutomakefileReconcilingStrategy.java
	(reconcile): Update error markers.
	(AutomakefileReconcilingStrategy): Set class-wide variables.
	* src/com/redhat/eclipse/cdt/autotools/editors/automake/AutomakeEditor.java
	(getAutomakeErrorHandler): New method.

2007-01-26  Jeff Johnston  <jjohnstn@redhat.com>

	Fix for Bugzilla 224644.
	* src/com/redhat/eclipse/cdt/autotools/AutotoolsMakefileBuilder.java (getMakeTargets):
	Don't add "clean" for fullbuild anymore.  It causes unnecessary extra building to occur.
	(build): Set a flag that build was called.
	(clean): Only clean if this method is called directly and via a call to build method.
	Clean by doing a make clean rather than calling super.clean.
	* src/com/redhat/eclipse/cdt/autotools/MakeGenerator.java (runCommand): When an
	error occurs in configure, we want to set the status of the project to "needs rebuild".
	(getConfigSettingsPath): New method to generate name of config settings file.
	(saveConfigArgs): Use new getConfigSettingsPath method.
	(regenerateMakefiles): Ditto, when checking if config options have changed.
	(autogenExists): Clean up unused variables.
	(getMakefileName): Return "Makefile" instead of "makefile".

2007-01-22  Andrew Overholt  <overholt@redhat.com>

	* src/com/redhat/eclipse/cdt/autotools/editors/automake/AutomakefileCodeScanner.java:
	Update copyright.
	* src/com/redhat/eclipse/cdt/autotools/editors/automake/AutomakeDocumentProvider.java:
	Likewise.
	* src/com/redhat/eclipse/cdt/autotools/editors/automake/AutomakeIfElse.java:
	Likewise.
	* src/com/redhat/eclipse/cdt/autotools/editors/automake/AutomakefileReconcilingStrategy.java:
	Likewise.
	* src/com/redhat/eclipse/cdt/autotools/editors/automake/AutomakefileUtil.java:
	Likewise.
	* src/com/redhat/eclipse/cdt/autotools/editors/automake/Automakefile.java:
	Likewise.
	* src/com/redhat/eclipse/cdt/autotools/editors/automake/AutomakefileSourceConfiguration.java:
	Likewise.
	* src/com/redhat/eclipse/cdt/autotools/editors/automake/AutomakeEditor.java
	(getAutomakeSourceViewer): New method. Update copyright.
	* src/com/redhat/eclipse/cdt/autotools/editors/automake/AutomakefileContentOutlinePage.java:
	Update copyright.
	* src/com/redhat/eclipse/cdt/autotools/editors/automake/AutomakeTextHover.java
	(getHoverInfo): Remove debugging println. Update copyright.

2007-01-19  Jeff Johnston  <jjohnstn@redhat.com>

	Fix for Bugzilla 214624.
	* src/com/redhat/eclipse/cdt/autotools/internal/MarkerGenerator.java: New file.
	* src/com/redhat/eclipse/cdt/autotools/MakeGenerator.java (runCommand): Add check
	for return code being 0 or 1 to reveal whether command ran correctly.
	(regenerateMakefiles): Add boolean checking for runCmd calls and also quit
	if runCmd fails.  For autogen.sh cases, check if configure is run by autogen.sh
	and don't bother calling configure afterwards if true.  Add error checking to
	ensure a second command is not run if the first fails.
	(PathVar): New private class.
	(autogenExists): Fixed to take a path parameter to fill in.  It also looks for
	any file that ends in autogen.sh to handle projects like Gnome.
	* Resources.properties: Add new messages used by MakeGenerator.
	* cdtpatches/managedbuilder.core.patch: New patch to cause ManagedMake build
	to stop if an error occurs generating Makefile.
	* cdtpatches/README: Add details on how to install new patch.

2007-01-16  Jeff Johnston  <jjohnstn@redhat.com>

	* src/com/redhat/eclipse/cdt/autotools/ui/editors/AutoconfMacroParser.java: New code
	to parse an Autoconf macro.
	* src/com/redhat/eclipse/cdt/autotools/ui/editors/AutoconfMacroDamagerRepairer.java (createPresentation):
	Use new AutoconfMacroParser.parse method instead of embedding the code.  Remove
	all corresponding parse methods.
	* src/com/redhat/eclipse/cdt/autotools/ui/editors/AutoconfDocumentProvider.java (documentAboutToBeChanged):
	Add checks for whether we should remove the error markers in an autoconf_macro
	partition.

2007-01-12  Jeff Johnston  <jjohnstn@redhat.com>

	* about.html: New EPL license file.

2007-01-12  Jeff Johnston  <jjohnstn@redhat.com>

	* src/com/redhat/eclipse/cdt/autotools/ui/editors/ParseException.java: New file.
	* src/com/redhat/eclipse/cdt/autotools/ui/editors/AutoconfEditorMessages.java: Ditto.
	* src/com/redhat/eclipse/cdt/autotools/ui/editors/AutoconfErrorHandler.java: Ditto.
	* src/com/redhat/eclipse/cdt/autotools/internal/text/hover/AutoconfPrototype.java: Ditto.
	* src/com/redhat/eclipse/cdt/autotools/ui/editors/AutoconfAnnotationHover.java: Ditto.

	* src/com/redhat/eclipse/cdt/autotools/ui/editors/AutoconfCodeScanner.java: Add
	copyright info.
	* src/com/redhat/eclipse/cdt/autotools/ui/editors/AutoconfColorProvider.java: Ditto.

	* src/com/redhat/eclipse/cdt/autotools/ui/editors/AutoconfDocumentProvider.java: Ditto.
	(createDocument): New method.
	(documentChanged): Ditto.
	(documentAboutToBeChanged): Ditto.

	* src/com/redhat/eclipse/cdt/autotools/ui/editors/AutoconfEditor.java: Ditto.
	* src/com/redhat/eclipse/cdt/autotools/ui/editors/AutoconfKeywordDetector.java: Ditto.
	* src/com/redhat/eclipse/cdt/autotools/ui/editors/AutoconfM4WordDetector.java: Ditto.
	* src/com/redhat/eclipse/cdt/autotools/ui/editors/AutoconfMacroContentAssistProcessor.java: Ditto.
	* src/com/redhat/eclipse/cdt/autotools/ui/editors/AutoconfMacroDamagerRepairer.java: Ditto.

	* src/com/redhat/eclipse/cdt/autotools/ui/editors/AutoconfMacroPartitionRule.java : Ditto.
	(matchParentheses): Fix up logic.
	(evaluate):

	* src/com/redhat/eclipse/cdt/autotools/ui/editors/AutoconfMacroRule.java: Ditto.
	* src/com/redhat/eclipse/cdt/autotools/ui/editors/AutoconfMacroWordDetector.java: Ditto.
	* src/com/redhat/eclipse/cdt/autotools/ui/editors/AutoconfPartitioner.java: Ditto.
	* src/com/redhat/eclipse/cdt/autotools/ui/editors/AutoconfPartitionScanner.java: Ditto.

	* src/com/redhat/eclipse/cdt/autotools/ui/editors/AutoconfSourceViewerConfiguration.java: Ditto.
	(getPresentationReconciler): Use AutoconfMacroDamagerRepairer for macro partition.
	(getAnnotationHover): New method.

	* src/com/redhat/eclipse/cdt/autotools/ui/editors/AutoconfWhitespaceDetector.java: Ditto.
	* src/com/redhat/eclipse/cdt/autotools/ui/editors/AutoconfWordDetector.java: Ditto.
	* src/com/redhat/eclipse/cdt/autotools/ui/editors/IAutotoolEditorActionDefinitionIds.java: Ditto.
	* src/com/redhat/eclipse/cdt/autotools/ui/editors/IAutotoolHelpContextIds.java: Ditto.

	* src/com/redhat/eclipse/cdt/autotools/ui/editors/RecursiveSingleLineRule.java: Ditto.
	* src/com/redhat/eclipse/cdt/autotools/ui/LibHover.java: Ditto.
	* src/com/redhat/eclipse/cdt/autotools/popup/actions/GetDefinedSymbolsAction.java: Ditto.
	* src/com/redhat/eclipse/cdt/autotools/popup/actions/GetIncludePathAction.java: Ditto.

	* src/com/redhat/eclipse/cdt/autotools/internal/text/hover/AutoconfTextHover.java: Ditto.
	(getIndexedInfo): New method.
	(getPrototype): Ditto.

	* src/com/redhat/eclipse/cdt/autotools/internal/text/hover/HoverMessages.java: Ditto.
	* src/com/redhat/eclipse/cdt/autotools/editors/automake/AutomakeWordDetector.java: Ditto.
	* src/com/redhat/eclipse/cdt/autotools/actions/BuildSpecial.java: Ditto.
	* src/com/redhat/eclipse/cdt/autotools/actions/InvokeAclocalAction.java: Ditto.
	* src/com/redhat/eclipse/cdt/autotools/actions/InvokeAction.java: Ditto.
	* src/com/redhat/eclipse/cdt/autotools/actions/InvokeAutoconfAction.java: Ditto.
	* src/com/redhat/eclipse/cdt/autotools/actions/InvokeAutomakeAction.java: Ditto.
	* src/com/redhat/eclipse/cdt/autotools/actions/InvokeMessages.java: Ditto.
	* src/com/redhat/eclipse/cdt/autotools/actions/TwoInputDialog.java: Ditto.
	* src/com/redhat/eclipse/cdt/autotools/MakeGenerator.java: Ditto.
	* src/com/redhat/eclipse/cdt/autotools/AutotoolsScannerInfoProvider.java: Ditto.
	* src/com/redhat/eclipse/cdt/autotools/AutotoolsScannerInfo.java: Ditto.
	* src/com/redhat/eclipse/cdt/autotools/AutotoolsPlugin.java: Ditto.

2007-01-12  Andrew Overholt  <overholt@redhat.com>

	* src/com/redhat/eclipse/cdt/autotools/editors/automake/AutomakeTextHover.java: New class.  Hover help provider for automake editor.
	(getHoverControlCreator): New method.  Return null for now.
	(AutomakeTextHover): New method.
	(getHoverRegion): New method.  Return an IRegion from an offset in the document.
	(findWord): New method.  Return an IRegion of the hover region.
	(getHoverInfo): New method.  Return the hover information for a particular region.
	* src/com/redhat/eclipse/cdt/autotools/editors/automake/AutomakefileSourceConfiguration.java (getTextHover): New method.
	* src/com/redhat/eclipse/cdt/autotools/editors/automake/Automakefile.java (getDirectiveContainingLine): Likewise.
	* src/com/redhat/eclipse/cdt/autotools/editors/automake/AutomakeEditor.java (getMakefile): Likewise.

2007-01-09  Jeff Johnston  <jjohnstn@redhat.com>

	* src/com/redhat/eclipse/cdt/autotools/ui/editors/AutoconfDocumentProvider.java: Revert
	to version 1.2 prior to 2006-11-27.  This reversion is required because the previous
	fix causes a regression in autoconf partitioning.

2007-01-08  Andrew Overholt  <overholt@redhat.com>

 	* libhoverdocs/acmacros.xml: Add PKG_* macros from pkgconfig.

2007-01-05  Andrew Overholt  <overholt@redhat.com>

 	* libhoverdocs/acmacros.xml: Add AM_* macros from automake's Public-macros.html.

2007-01-05  Jeff Johnston  <jjohnstn@redhat.com>

	* src/com/redhat/eclipse/cdt/autotools/MakeGenerator.java (regenerateMakefiles):
	Add check for Makefile.cvs ahead of configure check.  Use resource strings
	for runCommand descriptions.
	(makefileCvsExists): New internal method.
	* src/com/redhat/eclipse/cdt/autotools/Resources.properties: Add new
	resource strings.

2007-01-02  Andrew Overholt  <overholt@redhat.com>

	* src/com/redhat/eclipse/cdt/autotools/editors/automake/AutomakefileCodeScanner.java
	(automaticVariables): New $<, etc. variables.
	(createRules): Add automatic variables as keywords. Also add @AC_SUBST_VAR@
	highlighting.
	(nextToken): New method.
	* src/com/redhat/eclipse/cdt/autotools/editors/automake/AutomakeDocumentProvider.java
	(getDocument): New method.
	* src/com/redhat/eclipse/cdt/autotools/editors/automake/AutomakeWordDetector.java:
	New file.

2006-12-15  Andrew Overholt  <overholt@redhat.com>

	* src/com/redhat/eclipse/cdt/autotools/editors/automake/AutomakefileSourceConfiguration.java
	(getAutomakeCodeScanner): New method.
	* src/com/redhat/eclipse/cdt/autotools/editors/automake/AutomakeEditor.java
	(getAutomakeSourceViewerConfiguration): Likewise.
	(getAutomakefileDocumentProvider): Likewise
	(initializeEditor): Set up field variables.

2006-12-12  Andrew Overholt  <overholt@redhat.com>

	* META-INF/MANIFEST.MF: Add package visibility for tests.
	* plugin.xml: Add filename associations for AutomakeEditor.

2006-12-11  Jeff Johnston  <jjohnstn@redhat.com>

	* MANIFEST.MF: Update release to 0.0.6.

2006-12-11  Kyu Lee  <klee@redhat.com>

	* src/com/redhat/eclipse/cdt/autotools/actions/TwoInputDialog.java: New class
	for getting 2 text field inputs.
	* src/com/redhat/eclipse/cdt/autotools/actions/InvokeMessages.java: New class
	for NLS strings.
	* src/com/redhat/eclipse/cdt/autotools/actions/InvokeAutomakeAction.java: New
	class for handling invoke automake.
	* src/com/redhat/eclipse/cdt/autotools/actions/InvokeAutoconfAction.java: New
	class for handling invoke autoconf.
	* src/com/redhat/eclipse/cdt/autotools/actions/InvokeAction.java: New super
	class for invoking autotools classes.
	* src/com/redhat/eclipse/cdt/autotools/actions/InvokeAclocalAction.java: New
	class for handling invoke aclocal.
	* src/com/redhat/eclipse/cdt/autotools/actions/InvokeMessages.properties:
	Property file for NLS strings.
	* plugin.xml: Added menu options for invoking autotools under project menu.

2006-12-11  Andrew Overholt  <overholt@redhat.com>

	* src/com/redhat/eclipse/cdt/autotools/AutotoolsPlugin.java
	(getWorkingCopyManager): New method.
	(getAutomakefileDocumentProvider): Likewise.
	* src/com/redhat/eclipse/cdt/autotools/editors/automake/AutomakeEditor.java
	(initializeEditor): New method.
	(getAutomakeOutlinePage): Likewise.
	(createPartControl): Likewise.
	(getAdapter): Likewise.
	* src/com/redhat/eclipse/cdt/autotools/editors/automake/AutomakeDocumentProvider.java:
	New file.
	* src/com/redhat/eclipse/cdt/autotools/editors/automake/AutomakeMacroReferenceRule.java:
	Likewise.
	* src/com/redhat/eclipse/cdt/autotools/editors/automake/AutomakeMacroDefinitionRule.java:
	Likewise.
	* src/com/redhat/eclipse/cdt/autotools/editors/automake/AutomakeIfElse.java:
	Likewise.
	* src/com/redhat/eclipse/cdt/autotools/editors/automake/AutomakefileUtil.java:
	Likewise.
	* src/com/redhat/eclipse/cdt/autotools/editors/automake/AutomakefileSourceConfiguration.java:
	Likewise.
	* src/com/redhat/eclipse/cdt/autotools/editors/automake/AutomakefileReconcilingStrategy.java:
	Likewise.
	* src/com/redhat/eclipse/cdt/autotools/editors/automake/AutomakefileContentOutlinePage.java:
	Likewise.
	* src/com/redhat/eclipse/cdt/autotools/editors/automake/Automakefile.java:
	Likewise.

2006-12-08  Jeff Johnston  <jjohnstn@redhat.com>

	* src/com/redhat/eclipse/cdt/autotools/wizards/ConvertToAutotoolsProjectWizard.java
	(setCurrentProject): Make protected to allow subclasses to use.
	* MANIFEST.MF: Export org.eclipse.linuxtools.cdt.autotools.wizards classes to the
	autotools.tests plug-in.

2006-12-01  Andrew Overholt  <overholt@redhat.com>

	* src/com/redhat/eclipse/cdt/autotools/editors/automake: New directory.
	* src/com/redhat/eclipse/cdt/autotools/editors/automake/AutomakeEditor.java: New
	file. Simple extension of MakefileEditor for now.
	* plugin.xml: Add automake editor.

2006-11-29  Jeff Johnston  <jjohnstn@redhat.com>

	* plugin.xml: Add .m4 file support to the Autoconf editor.

2006-11-27  Jeff Johnston  <jjohnstn@redhat.com>

	* src/com/redhat/eclipse/cdt/autotools/ui/editors/AutoconfEditor.java
	(performRevert): Method copied from CDT and JDT editors.
	* src/com/redhat/eclipse/cdt/autotools/ui/editors/AutoconfDocumentProvider.java:
	Change base class to be TextFileDocumentProvider. This means no longer providing
	a createDocument() method.
	(createDocument): Deleted.
	(AutoconfStorageDocumentProvider.AutoconfStorageDocumentProvider): New internal
	class based on StorageDocumentProvider.
	(AutoconfStorageDocumentProvider.setupDocument): New method of internal class.
	(AutoconfDocumentProvider): New constructor which sets up a
	TextFileDocumentProvider that takes the internal AutoconfStorageDocumentProvider
	class as parent DocumentProvider. This emulates what the CDT CEditor does and is
	done to provide proper edit reversion support.

2006-11-22  Jeff Johnston  <jjohnstn@redhat.com>

	* src/com/redhat/eclipse/cdt/autotools/ui/editors/IAutotoolHelpContextIds.java:
	Add CONTENT_ASSIST string.
	* src/com/redhat/eclipse/cdt/autotools/ui/editors/AutoconfSourceViewerConfiguration.java
	(getContentAssistant): New routine to add content assist support.
	* src/com/redhat/eclipse/cdt/autotools/ui/editors/AutoconfEditor.java
	(createActions): Add action for content assist.
	* src/com/redhat/eclipse/cdt/autotools/internal/text/hover/AutoconfTextHover.java
	(getIndexedInfo):
	(getInformationControlCreator): New method.
	(getTooltipAffordanceString): Make static.
	(init): Ditto.
	(getIndexedInfo): Ditto plus add call to init.
	* src/com/redhat/eclipse/cdt/autotools/ui/editors/AutoconfMacroContentAssistProcessor.java:
	New class for macro content assist.
	* src/com/redhat/eclipse/cdt/autotools/ui/editors/AutoconfMacroParameterListValidator.java:
	New class for content assist to help with macro call parameters.
	* src/com/redhat/eclipse/cdt/autotools/ui/editors/AutoconfMacroProposalContextInformation.java:
	New file for parameter context assist information.

2006-11-14  Jeff Johnston  <jjohnstn@redhat.com>

	* src/com/redhat/eclipse/cdt/autotools/ui/editors/AutoconfPartitionScanner.java
	(AutoconfPartitionScanner): Change partitions to be comments, macros, and
	default.
	* src/com/redhat/eclipse/cdt/autotools/ui/editors/AutoconfSourceViewerConfiguration.java
	(getPresentationReconciler): Change to match new paritioning. Use a special new
	MultiLineDamagerRepairer for macros.
	(getConfiguredContentTypes): Change to list of new partitions.
	* src/com/redhat/eclipse/cdt/autotools/ui/editors/AutoconfEditor.java
	(createPartControl): Specify new AUTOCONF_MACRO partition.
	(InformationDispatchAction.makeAnnotationHoverFocusable): Ditto.
	(InformationDispatchAction.makeTextHoverFocusable): Ditto.
	(getAutoconfInlineCodeScanner, getAutoconfStringScanner): Removed.
	* src/com/redhat/eclipse/cdt/autotools/ui/editors/AutoconfInlineCodeScanner.java:
	Removed.
	* src/com/redhat/eclipse/cdt/autotools/ui/editors/AutoconfSectionRule.java:
	Ditto.
	* src/com/redhat/eclipse/cdt/autotools/ui/editors/AutoconfStringScanner.java:
	Ditto.
	* src/com/redhat/eclipse/cdt/autotools/ui/editors/AutoconfCodeScanner.java
	(AutoconfCodeScanner): Change rules to add a recursive single line rule for
	strings and a multiline rule for inlined code. Also add a rule to discover m4
	macros.
	* src/com/redhat/eclipse.cdt/autotools/ui/editors/AutoconfM4WordDetector.java:
	New file.
	* src/com/redhat/eclipse.cdt/autotools/ui/editors/AutoconfMacroPartitionRule.java:
	Ditto.
	* src/com/redhat/eclipse.cdt/autotools/ui/editors/MultiLineDamagerRepairer.java:
	Ditto.
	* src/com/redhat/eclipse.cdt/autotools/ui/editors/RecursiveSingleLineRule.java:
	Ditto.

2006-10-31  Jeff Johnston  <jjohnstn@redhat.com>

	* src/com/redhat/eclipse/cdt/autotools/internal/text/hover/AutoconfTextHover.java
	(init): Turn off parser validation.
	* libhoverdocs/acmacros.xml: Update including m4 macros.

2006-10-30  Jeff Johnston  <jjohnstn@redhat.com>

	* src/com/redhat/eclipse/cdt/autotools/ui/editors/AutoconfDocumentProvider.java:
	Remove unneeded import.
	* src/com/redhat/eclipse/cdt/autotools/ui/LibHover.java
	(getLibHoverDocs): Specify no xml validation since there may be duplicate
	function ids due to multiple standard definitions used in glibc.
	* src/com/redhat/eclipse/cdt/autotools/ui/editors/AutoconfSourceViewerConfiguration.java
	(getTextHover): New method to add text hover for autoconf editor.
	* src/com/redhat/eclipse/cdt/autotools/ui/editors/AutoconfPartitioner.java
	(connect): Remove calls to print debug messages.
	* src/com/redhat/eclipse/cdt/autotools/ui/editors/AutoconfEditor.java
	(isFoldingEnabled):
	(InformationDispatchAction.InformationDispatchAction): New for scrollable
	tooltip support.
	(createPartControl): Ditto.
	(fProjectionModelUpdater): Ditto.
	(InformationProvider.getInformation): Ditto.
	(InformationDispatchAction): Ditto.
	(initializeKeyBindingScopes): Ditto.
	(InformationDispatchAction.makeTextHoverFocusable): Ditto.
	(InformationProvider.getInformation2): Ditto.
	(InformationProvider): Ditto.
	(InformationDispatchAction.computeOffsetAtLocation): Ditto.
	(fInformationPresenter): Ditto.
	(.createInformationControl): Ditto.
	(InformationProvider.getInformationPresenterControlCreator): Ditto.
	(createActions): Ditto.
	(InformationDispatchAction..createInformationControl): Ditto.
	(InformationDispatchAction.run): Ditto.
	(InformationDispatchAction.fTextOperationAction): Ditto.
	(InformationDispatchAction.makeAnnotationHoverFocusable): Ditto.
	(fProjectionSupport): Ditto.
	(InformationProvider.getSubject): Ditto.
	(InformationProvider.InformationProvider): Ditto.
	* src/libhoverdocs/acmacros.xml: New file containing autoconf hover help.
	* src/libhoverdocs/glibc.xml: Updated.
	* src/libhoverdocs/LIBHOVERDOCS.LICENSE: New file with licensing info.
	* src/com/redhat/eclipse/cdt/autotools/ui/editors/IAutotoolEditorActionDefinitionIds.java:
	New file.
	* src/com/redhat/eclipse/cdt/autotools/ui/editoros/IAutotoolHelpContextIds.java:
	Ditto.
	* src/com/redhat/eclipse/cdt/autotools/internal/text/hover/AutoconfTextHover.java:
	Ditto.
	* src/com/redhat/eclipse/cdt/autotools/internal/text/hover/HoverMessages.java:
	Ditto.
	* src/com/redhat/eclipse/cdt/autotools/internal/text/hover/HoverMessages.properties:
	Ditto.
	* src/com/redhat/eclipse/cdt/autotools/internal/ui/HTML2TextReader.java: Ditto.
	* src/com/redhat/eclipse/cdt/autotools/internal/ui/HTMLPrinter.java: Ditto.
	* src/com/redhat/eclipse/cdt/autotools/internal/ui/HTMLTextPresenter.java:
	Ditto.
	* src/com/redhat/eclipse/cdt/autotools/internal/ui/LineBreakingReader.java:
	Ditto.
	* src/com/redhat/eclipse/cdt/autotools/internal/ui/SingleCharReader.java: Ditto.
	* src/com/redhat/eclipse/cdt/autotools/internal/ui/SubstitutionTextReader.java:
	Ditto.
	* plugin.xml: Fix autoconf editor to look for configure.in or configure.ac. Add
	hover help for autoconf editor and set up F2 key binding for scrollable tooltips.
	* plugin.properties: Add autoconf editor strings.

2006-10-16  Jeff Johnston  <jjohnstn@redhat.com>

	* src/com/redhat/eclipse/cdt/autotools/ui/editors/AutoconfCodeScanner.java: New
	file.
	* src/com/redhat/eclipse/cdt/autotools/ui/editors/AutoconfWordDetector.java:
	Ditto.
	* src/com/redhat/eclipse/cdt/autotools/ui/editors/AutoconfWhitespaceDetector.java:
	Ditto.
	* src/com/redhat/eclipse/cdt/autotools/ui/editors/AutoconfStringScanner.java:
	Ditto.
	* src/com/redhat/eclipse/cdt/autotools/ui/editors/AutoconfSourceViewerConfiguration.java:
	Ditto.
	* src/com/redhat/eclipse/cdt/autotools/ui/editors/AutoconfSectionRule.java:
	Ditto.
	* src/com/redhat/eclipse/cdt/autotools/ui/editors/AutoconfPartitionScanner.java:
	Ditto.
	* src/com/redhat/eclipse/cdt/autotools/ui/editors/AutoconfPartitioner.java:
	Ditto.
	* src/com/redhat/eclipse/cdt/autotools/ui/editors/AutoconfMacroWordDetector.java:
	Ditto.
	* src/com/redhat/eclipse/cdt/autotools/ui/editors/AutoconfMacroRule.java: Ditto.
	* src/com/redhat/eclipse/cdt/autotools/ui/editors/AutoconfKeywordDetector.java:
	Ditto.
	* src/com/redhat/eclipse/cdt/autotools/ui/editors/AutoconfInlineCodeScanner.java:
	Ditto.
	* src/com/redhat/eclipse/cdt/autotools/ui/editors/AutoconfEditor.java: Ditto.
	* src/com/redhat/eclipse/cdt/autotools/ui/editors/AutoconfDocumentProvider.java:
	Ditto.
	* src/com/redhat/eclipse/cdt/autotools/ui/editors/AutoconfColorProvider.java:
	Ditto.
	* plugin.properties: Add Autoconf editor name.
	* plugin.xml: Add Autoconf editor.

2006-10-03  Jeff Johnston  <jjohnstn@redhat.com>

	Fix for Bugzilla 209161.
	* src/com/redhat/eclipse/cdt/autotools/MakeGenerator.java
	(initializeBuildConfigDirs): New method.
	(initialize): Call initializeBuildConfigDirs().
	(regenerateMakefiles): Ditto if configuration parameters have changed.
	(createDirectory): Return project path if input directory is empty string or
	".".

2006-09-29  Jeff Johnston  <jjohnstn@redhat.com>

	* build.properties: Update so plugin.properties built into binary.
	* build.xml: New file.

2006-09-28  Jeff Johnston  <jjohnstn@redhat.com>

	* plugin.xml: Bump up release number to 0.0.5.

2006-09-15  Jeff Johnston  <jjohnstn@redhat.com>

	Fix for Bugzilla 206719
	* plugin.xml: Comment out deprecated ManagedBuildInfo extension and replace with
	new org.eclipse.cdt.managedbuilder.core.buildDefinitions extension point.
	* plugin.properties: Add new strings from new build definition.
	* src/com/redhat/eclipse/cdt/autotools/wizards/CProjectPlatformPage.java
	(CProjectPlatformPage): Fix project type reference to refer to new project type
	id in build definition.
	* src/com/redhat/eclipse/cdt/autotools/MakeGenerator.java
	(initialize): Switch over to new option ids in new build definition.
	(getConfigArgs): Ditto.
	* src/com/redhat/eclipse/cdt/autotools/AutotoolsScannerInfo.java
	(getCompilationString): Don't bother if input resource isn't a file.
	(buildFile): Fix how build directory is fetched to work with new build
	definition.
	(AutotoolsScannerInfo): Save the original resource reference.
	* src/com/redhat/eclipse/cdt/autotools/AutotoolsMakefileBuilder.java
	(AUTOTOOLS_CONFIG_ID): Change to match new build definition.

2006-09-13  Jeff Johnston  <jjohnstn@redhat.com>

	Fix for Bugzilla 206359
	* src/com/redhat/eclipse/cdt/autotools/AutotoolsPlugin.java
	(verifyScannerInfoProvider): New method to check ScannerInfoProvider and set it
	only if necessary.
	* src/com/redhat/eclipse/cdt/autotools/AutotoolsMakefileBuilder.java
	(hasTargetBuilder): Call verifyScannerInfoProvider instead of
	setScannerInfoProvider to prevent changing the project file every time the
	hasTargetBuilder check is made.

2006-09-12  Jeff Johnston  <jjohnstn@redhat.com>

	Fix for Bugzilla 206164.
	* src/com/redhat/eclipse/cdt/autotools/AutotoolsScannerInfo.java
	(followIncludeChain): Follow the session property as far as possible. When it
	ends try looking for the new OPEN_INCLUDE_P persistent property to re-establish
	the chain.
	(createIncludeChain): Set a new persistent property OPEN_INCLUDE_P that is the
	location of the resource.

2006-09-11  Jeff Johnston  <jjohnstn@redhat.com>

	* cdtpatches/cdt.ui.patch: Update patch to include defined symbol hover help.

2006-09-11  Jeff Johnston  <jjohnstn@redhat.com>

	* src/com/redhat/eclipse/cdt/autotools/AutotoolsScannerInfo.java
	(getDefinedSymbols): Prepare code for failure to get compilation string.

2006-09-06  Jeff Johnston  <jjohnstn@redhat.com>

	* cdtpatches/README: New file to instruct how to apply patches to the CDT.
	* cdtpatches/cdt.core.patch: Patch for org.eclipse.cdt.core.
	* cdtpatches/cdt.ui.patch: Patch for org.eclipse.cdt.ui.

2006-08-28  Jeff Johnston  <jjohnstn@redhat.com>

	* plugin.xml: Replace DynamicScannerInfo extension hack with existing CDT
	ScannerInfoProvider extension. Change version to 0.0.4.
	* src/com/redhat/eclipse/cdt/autotools/internal/ui/CConfigureConsole.java
	(CConfigureConsole): Use new getSubConsoleManager method of CUIPlugin.
	* src/com/redhat/eclipse/cdt/autotools/internal/ui/ConfigureConsole.java: No
	longer needed, so removed.
	* src/com/redhat/eclipse/cdt/autotools/internal/ui/ConfigureConsoleDocument.java:
	Ditto.
	* src/com/redhat/eclipse/cdt/autotools/internal/ui/ConfigureConsoleManager.java:
	Ditto.
	* src/com/redhat/eclipse/cdt/autotools/internal/ui/ConfigureConsolePage.java:
	Ditto.
	* src/com/redhat/eclipse/cdt/autotools/internal/ui/ConfigureConsolePartition.java:
	Ditto.
	* src/com/redhat/eclipse/cdt/autotools/internal/ui/ConfigureConsolePartitioner.java:
	Ditto.
	* src/com/redhat/eclipse/cdt/autotools/internal/ui/ConfigureConsoleStream.java:
	Ditto.
	* src/com/redhat/eclipse/cdt/autotools/internal/ui/ConfigureConsoleViewer.java:
	Ditto.
	* src/com/redhat/eclipse/cdt/autotools/internal/ui/ConsoleEvent.java: Ditto.
	* src/com/redhat/eclipse/cdt/autotools/internal/ui/ConsoleOutputTextStore.java:
	Ditto.
	* src/com/redhat/eclipse/cdt/autotools/internal/ui/ScrollLockAction.java: Ditto.
	* src/com/redhat/eclipse/cdt/autotools/wizards/ConvertToAutotoolsProjectWizardPage.java
	(convertProject): Set scanner info provider for project.
	* src/com/redhat/eclipse/cdt/autotools/AutotoolsScannerInfoProvider.java: Extend
	AbstractCExtension.
	(getScannerInformation): Call AutotoolsScannerInfo.followIncludeChain method to
	get real underlying resource to get dynamic build info from.
	* src/com/redhat/eclipse/cdt/autotools/AutotoolsScannerInfo.java: Implement new
	interface IScannerInfoPlus.
	(followIncludeChain): New method to adhere to new interface.
	(createIncludeChain): New method.
	(getDefinedSymbols): Add defined symbols found by ManagedBuildManager.
	(getIncludePaths): Append include path found by ManagedBuildManager.
	* src/com/redhat/eclipse/cdt/autotools/AutotoolsPlugin.java
	(setScannerInfoProvider): New method.
	(getConsoleManager): Removed.
	* src/com/redhat/eclipse/cdt/autotools/AutotoolsMakefileBuilder.java:
	(hasTargetBuilder): Replace the default scanner provider for Managed Make
	projects with AutotoolsScannerInfoProvider.

2006-08-21  Jeff Johnston  <jjohnstn@redhat.com>

	* src/com/redhat/eclipse/cdt/autotools/actions/BuildSpecial.java
	(run): If there are no targets yet
	(i.e. no makefile), try and regenerate the makefile.* src/com/redhat/eclipse/cdt/autotools/MakeGenerator.java (getConfigArgs):
	Make sure there is an "other" string to process rather than adding an empty
	argument.

2006-08-16  Jeff Johnston  <jjohnstn@redhat.com>

	* src/com/redhat/eclipse/cdt/autotools/MakeGenerator.java
	(regenerateMakefiles): Add logic to check if the configuration arguments have
	changed since the last configuration and reconfigure if they have.
	(saveConfigArgs): New method.

2006-08-03  Jeff Johnston  <jjohnstn@redhat.com>

	* src/com/redhat/eclipse/cdt/autotools/AutotoolsMakefileBuilder.java
	(addAutotoolsBuilder): Check for ManagedMake's genmakebuilder and remove if
	found.
	(hasTargetBuilder): Look for Autotools default configuration and if found, add
	the Autotools Makefile builder.

2006-07-31  Jeff Johnston  <jjohnstn@redhat.com>

	* src/com/redhat/eclipse/cdt/autotools/ui/LibHover.java
	(getLibHoverDocs): New method which replaces buildDocPath and fetches libhover
	base data file from the plugin's jar.
	* src/com/redhat/eclipse/cdt/autotools/ui/LibHover.java
	(buildDocPath): Replaced by getLibHoverDocs. Change all callers.
	* src/com/redhat/eclipse/cdt/autotools/ui/LibHover.java
	(getDocument): Removed.

2006-07-24  Jeff Johnston  <jjohnstn@redhat.com>

	* plugin.xml: Remove unused sample extensions.
	* src/com/redhat/eclipse/cdt/autotools/editors/*: Remove all files.
	* src/com/redhat/eclipse/cdt/autotools/preferences/*: Ditto.
	* src/com/redhat/eclipse/cdt/autotools/properties/*: Ditto.
	* src/com/redhat/eclipse/cdt/autotools/views/*: Ditto.

2006-07-24  Jeff Johnston  <jjohnstn@redhat.com>

	* plugin.xml: Update release.
	* META-INF/MANIFEST.MF: Export libhoverdocs.

2006-07-13  Jeff Johnston  <jjohnstn@redhat.com>

	* plugin.xml: Update release.

2006-07-11  Jeff Johnston  <jjohnstn@redhat.com>

	* src/com/redhat/eclipse/cdt/autotools/AutotoolsMakefileBuilder.java
	(getMakeTargets): Use IMakeBuildInfo.BUILD_TARGET_INCREMENTAL instead of
	IMakeBuildInfo.BUILD_TARGET_FULL which is now obsoleted and not set by the
	MakeTargets.
	(clean): Ditto.

2006-07-10  Jeff Johnston  <jjohnstn@redhat.com>

	* plugin.xml: Add new "other" option which allows the end-user to specify any
	configuration option manually.
	* src/com/redhat/eclipse/cdt/autotools/MakeGenerator.java
	(getConfigArgs): New function to get configure arguments from preferences.
	(runCommand): Change prototype to take an argument array.
	(regenerateMakefiles): Only when running full configure, pass args to runCommand
	and get these from getConfigArgs method.

2006-07-05  Jeff Johnston  <jjohnstn@redhat.com>

	* src/com/redhat/eclipse/cdt/autotools/AutotoolsScannerInfo.java
	(getCompilationString): Don't use previous compilation string if we have marked
	the scanner info as dirty.
	(getIncludePaths): Don't continue processing if the compilation string is null.

2006-06-26  Jeff Johnston  <jjohnstn@redhat.com>

	* src/com/redhat/eclipse/cdt/autotools/popup/actions/GetDefinedSymbolsAction.java:
	New file.
	* src/com/redhat/eclipse/cdt/autotools/AutotoolsScannerInfo.java
	(getDefinedSymbols): Fill in function details to fetch flags used in dynamic
	compilation info.
	(getCompilationString): New function to get and save the actual compilation
	string from the make invocation.
	(getIncludePaths): Move logic into getCompilationString.
	(compilationString): New field to store compilation string.
	(definedSymbols): New field to store map of defined symbols.
	* plugin.xml: Add defined symbols menu item.

2006-06-20  jjohnstn  <jjohnstn@toy.toronto.redhat.com>

	* src/com/redhat/eclipse/cdt/autotools/popup/actions/GetIncludePathAction.java:
	Remove unused imports.
	* src/com/redhat/eclipse/cdt/autotools/internal/ui/MakeUIImages.java: New class
	copied from Std Make internal packages to local internal package.
	* src/com/redhat/eclipse/cdt/autotools/internal/ui/MessageLine.java: Ditto.
	* src/com/redhat/eclipse/cdt/autotools/internal/ui/MakeUIPlugin.java: Ditto.
	* src/com/redhat/eclipse/cdt/autotools/internal/ui/MakeResources.properties: New
	properties message file used by MakeUIPlugin.
	* src/com/redhat/eclipse/cdt/autotools/actions/TargetListViewerPart.java: Use
	Autotools StructureViewPart instead of internal one from Std Make plugin.
	* src/com/redhat/eclipse/cdt/autotools/actions/MakeTargetDialog.java: Use new
	Autotools internal classes rather than internal ones from Std Make plugin.
	* src/com/redhat/eclipse/cdt/autotools/actions/AbstractTargetAction.java
	(getShell): Use new AutotoolsPlugin getActiveWorkbenchShell method instead of
	the one in internal MakeUIPlugin.
	* src/com/redhat/eclipse/cdt/autotools/AutotoolsMakefileBuilder.java: Remove
	unused imports.
	* src/com/redhat/eclipse/cdt/autotools/AutotoolsPlugin.java
	(getActiveWorkbenchShell): New method.

2006-06-19  Jeff Johnston  <jjohnstn@redhat.com>

	* plugin.xml: Add dependency on org.eclipse.core.variables.
	* src/com/redhat/eclipse/cdt/autotools/internal/MakeTargetManager: New internal
	class copied from Std Make projects.
	* src/com/redhat/eclipse/cdt/autotools/internal/MakeTarget: Ditto.
	* src/com/redhat/eclipse/cdt/autotools/internal/ProjectTargets: Ditto.
	* src/com/redhat/eclipse/cdt/autotools/internal/MakeMessages: Ditto.
	* src/com/redhat/eclipse/cdt/autotools/AutotoolsMakeTargetManager: Base on local
	internal MakeTargetManager class rather than unpublished Std Make internal class.
	* src/com/redhat/eclipse/cdt/autotools/MakeGenerator: Remove reference to Std
	Make MakeMessages internal class.
	* src/com/redhat/eclipse/cdt/autotools/Resources.properties: Add new message
	about invoking make for the project.
	* src/com/redhat/eclipse/cdt/autotools/AutotoolsPlugin.java
	(getFormattedString): New method to get resource string with arguments.

2006-06-16  Jeff Johnston  <jjohnstn@redhat.com>

	* plugin.xml: Added "org.eclipse.cdt.core.DynamicScannerInfoProvider" extension.
	* src/com/redhat/eclipse/cdt/autotools/popup/actions/GetIncludePathAction.java
	(run): Altered to use new AutotoolsScannerInfo class.
	* src/com/redhat/eclipse/cdt/autotools/AutotoolsScannerInfoProvider.java: New
	class used to hook up to added extension point:
	org.eclipse.cdt.core.DynamicScannerInfoProvider.
	* src/com/redhat/eclipse/cdt/autotools/AutotoolsScannerInfo.java: New file based
	on AutotoolsMakefileMiner.java. Class implements IScannerInfo interface.
	* src/com/redhat/eclipse/cdt/autotools/AutotoolsMakefileMiner.java: Transformed
	into AutotoolsScannerInfo.java.

2006-06-14  Jeff Johnston  <jjohnstn@redhat.com>

	* src/com/redhat/eclipse/cdt/autotools/popup/actions/GetIncludePathAction.java:
	Fix up imports.

2006-06-08  Jeff Johnston  <jjohnstn@redhat.com>

	* plugin.xml: Make provider Red Hat.

2006-06-08  Jeff Johnston  <jjohnstn@redhat.com>

	* src/com/redhat/eclipse/cdt/autotools/AutotoolsMakefileMiner.java: New file.
	* src/com/redhat/eclipse/cdt/autotools/popup/actions: GetIncludePathAction.java:
	Ditto.
	* plugin.xml: Add extensions to create menu for source files that will grab the
	dynamic include path for the build and display it in a message dialog. This is
	just a temporary test.

2006-05-19  Andrew Overholt  <overholt@redhat.com>

	* src/com/redhat/eclipse/cdt/autotools/actions/BuildSpecial.java
	(run): Create our target selection dialog in-line. Make this dialog have a
	filter for selection of make target.
	* src/com/redhat/eclipse/cdt/autotools/actions/BuildTargetDialog.java: Remove:
	no longer necessary.

2006-05-18  Jeff Johnston  <jjohnstn@redhat.com>

	* src/com/redhat/eclipse/cdt/autotools/AutotoolsMakefileBuilder.java
	(clean): Overriding method to check for MakeTargets in which case we don't want
	to clean out directory.
	* plugin.xml: Remove unneeded extension.

2006-04-28  Jeff Johnston  <jjohnstn@redhat.com>

	* src/com/redhat/eclipse/cdt/autotools/ui/LibHover.java
	(getHref): Change to reference the glibc book rather than the Gnu help.

2006-04-28  Jeff Johnston  <jjohnstn@redhat.com>

	* src/com/redhat/eclipse/cdt/autotools/ui/LibHover.java: New file based on Chris
	Moller's hover help, using ICHelpProvider interface.
	* plugin.xml: Add CHelpProvider extension to supply hover help.
	* libhoverdocs/glibc.xml: Ditto.
	* src/com/redhat/eclipse/cdt/autotools/AutoconfPlugin.java: Refactored.
	* src/com/redhat/eclipse/cdt/autotools/AutotoolsPlugin.java: Refactored from
	AutoconfPlugin.
	* src/com/redhat/eclipse/cdt/autotools/internal/ui/CConfigureConsole.java:
	Refactor AutoconfPlugin to AutotoolsPlugin.
	* src/com/redhat/eclipse/cdt/autotools/wizards/CProjectPlatformPage.java: Ditto.
	* src/com/redhat/eclipse/cdt/autotools/wizards/ConvertToAutotoolsProjectWizard.java:
	Ditto.
	* src/com/redhat/eclipse/cdt/autotools/wizards/ConvertToAutotoolsProjectWizardPage.java:
	Ditto.
	* src/com/redhat/eclipse/cdt/autotools/preferences/PreferenceInitializer.java:
	Ditto.
	* src/com/redhat/eclipse/cdt/autotools/actions/TargetListViewerPart.java: Ditto.
	* src/com/redhat/eclipse/cdt/autotools/actions/MakeTargetDialog.java: Ditto.
	* src/com/redhat/eclipse/cdt/autotools/actions/MakeContentProvider.java: Ditto.
	* src/com/redhat/eclipse/cdt/autotools/actions/BuildTargetDialog.java: Ditto.
	* src/com/redhat/eclipse/cdt/autotools/actions/BuildSpecial.java: Ditto.

2006-04-18  Jeff Johnston  <jjohnstn@redhat.com>

	* plugin.xml: Remove toc extension since we have moved docs to a separate
	plug-in.
	* getdocs.sh: Moved to autotools-doc plugin.
	* doc.zip: Ditto.
	* toc.xml: Ditto.
	* testToc.xml: Removed.

2006-04-07  Jeff Johnston  <jjohnstn@redhat.com>

	* toc.xml: Add references for Gnu Tools documents.
	* doc.zip: New file containing zipped up html files for Gnu tools.
	* getdocs.sh: Shell script to get html files from the web and build doc.zip.
	* plugin.xml: Connect toc extension to toc.xml so that Gnu tools help is
	provided with Autotools plugin.

2006-03-21  Jeff Johnston  <jjohnstn@redhat.com>

	* src/com/redhat/eclipse/cdt/autotools/AutoconfPlugin.java
	(getConsoleManager): New method.
	* src/com/redhat/eclipse/cdt/autotools/MakeGenerator.java
	(runCommand): Specify the Autotools configure console to use for configuration
	output.
	* src/com/redhat/eclipse/cdt/autotools/internal/ui/CConfigureConsole.java: New
	file stodified from ManagedBuild Project internal directory.
	* src/com/redhat/eclipse/cdt/autotools/internal/ui/ConfigureConsoleDocument.java:
	Ditto.
	* src/com/redhat/eclipse/cdt/autotools/internal/ui/ConfigureConsoleManager.java:
	Ditto.
	* src/com/redhat/eclipse/cdt/autotools/internal/ui/ConfigureConsolePage.java:
	Ditto.
	* src/com/redhat/eclipse/cdt/autotools/internal/ui/ConfigureConsolePartitioner.java:
	Ditto.
	* src/com/redhat/eclipse/cdt/autotools/internal/ui/ConfigureConsolePartition.java:
	Ditto.
	* src/com/redhat/eclipse/cdt/autotools/internal/ui/ConfigureConsoleStream.java:
	Ditto.
	* src/com/redhat/eclipse/cdt/autotools/internal/ui/ConfigureConsoleViewer.java:
	Ditto.
	* src/com/redhat/eclipse/cdt/autotools/internal/ui/ConfigureConsole.java: Ditto.
	* src/com/redhat/eclipse/cdt/autotools/internal/ui/ConsoleEvent.java: Ditto.
	* src/com/redhat/eclipse/cdt/autotools/internal/ui/ConsoleMessages.java: Ditto.
	* src/com/redhat/eclipse/cdt/autotools/internal/ui/ConsoleMessages.properties:
	Ditto.
	* src/com/redhat/eclipse/cdt/autotools/internal/ui/ScrollLockAction.java: Ditto.
	* plugin.xml: Set up CBuildConsole extension to be CConfigureConsole.

2006-03-15  Andrew Overholt  <overholt@redhat.com>

	* src/com/redhat/eclipse/cdt/autotools/MakeGenerator.java
	(addMakeTargetsToManager): New method.
	(regenerateMakefiles): Call addMakeTargetsToManager after Makefile is generated.

2006-03-13  Jeff Johnston  <jjohnstn@redhat.com>

	* src/com/redhat/eclipse/cdt/autotools/wizards/NewAutotoolsProjectOptionPage.java
	(getProject): If dealing with a ConvertToAutotoolsProjectWizard, use it's
	getProject method.
	* src/com/redhat/eclipse/cdt/autotools/wizards/ConvertToAutotoolsProjectWizard.java
	(setCurrentProject): New method.
	(applyOptions): Change prototype to accept project as input. Call
	setCurrentProject method using the project variable before getting the optionPage
	to performApply.
	* src/com/redhat/eclipse/cdt/autotools/wizards/ConvertToAutotoolsProjectWizardPage.java
	(applyOptions): Add project as input variable and pass this on call.
	(convertProject): Pass project when calling applyOptions method.

2006-03-09  Jeff Johnston  <jjohnstn@redhat.com>

	* src/com/redhat/eclipse/cdt/autotools/AutotoolsMakefileBuilder.java
	(getMakeTargets): When doing a full build, we don't want to do a "clean" if the
	target is not "all".

2006-03-09  Andrew Overholt  <overholt@redhat.com>

	* .cvsignore: Initial checkin. Ignore bin.
	* src/com/redhat/eclipse/cdt/autotools/MakeGenerator.java
	(regenerateMakefiles): Rename CONFIG_STATUS_NAME to CONFIG_STATUS. Call
	autogen.sh first if configure does not exist.
	(configureExists): New method.
	(autogenExists): New method.
	(runCommand): New method. Run configure or autogen and report success.
	* plugin.properties: Change "CVS Autotools" to Autotools.
	* plugin.xml: Likewise.
	* src/com/redhat/eclipse/cdt/autotools/wizards/NewAutotoolsProjectWizard.java
	(NewAutotoolsProjectWizard): Likewise.

2006-03-08  Jeff Johnston  <jjohnstn@redhat.com>

	* plugin.xml: Set up default gcc scanner in our ManagedMakeProject target
	extension -
	org.eclipse.cdt.managedbuilder.internal.scannerconfig.DefaultGCCScannerInfoCollector.
	* src/com/redhat/eclipse/cdt/autotools/wizards/ConvertToAutotoolsProjectWizardPage.java
	(convertProject): Remove commented code about setting ScannerConfig as we now
	set the default GCC scanner collector in our ManagedMakeProject extension.

2006-03-07  Jeff Johnston  <jjohnstn@redhat.com>

	* src/com/redhat/eclipse/cdt/autotools/AutoconfPlugin.java
	(ftargetManager): New field.
	(getUniqueIdentifier): New method.
	(getTargetManager): Ditto.
	* src/com/redhat/eclipse/cdt/autotools/AutotoolsMakefileBuilder.java: New
	builder that extends ManagedMakeProject's GeneratedMakefileBuilder and allows us
	to override behavior.
	* src/com/redhat/eclipse/cdt/autotools/AutotoolsMakeTargetManager.java: New
	class that extends a Std MakeProject's MakeTargetManager and allows us to
	override behavior.
	* src/com/redhat/eclipse/cdt/autotools/Resources.properties: New strings added
	to support BuildSpecial functionality.
	* src/com/redhat/eclipse/cdt/autotools/AbstractTargetAction.java: New file based
	on Std MakeProject class.
	* src/com/redhat/eclipse/cdt/autotools/actions/BuildSpecial.java: Rewritten to
	extend AbstractTargetAction and to create a dialog rather than print out hello
	world.
	* src/com/redhat/eclipse/cdt/autotools/actions/BuildTargetDialog.java: New file
	that implements the Build Special Targets dialog. Based on a Std Make Project's
	BuildTargetDialog.
	* src/com/redhat/eclipse/cdt/autotools/actions/CheckboxTablePart.java: New file
	to support new dialogs.
	* src/com/redhat/eclipse/cdt/autotools/actions/MakeContentProvider.java: Ditto.
	* src/com/redhat/eclipse/cdt/autotools/actions/MakeTargetDialog.java: New file
	that implements the Make Target dialog allowing management of make targets. Based
	on Std Make Project's MakeTargetDialog.
	* src/com/redhat/eclipse/cdt/autotools/actions/SharedPartWithButtons.java:
	Ditto.
	* src/com/redhat/eclipse/cdt/autotools/actions/StructuredViewerPart.java: Ditto.
	* src/com/redhat/eclipse/cdt/autotools/actions/TargetListViewerPart.java: Ditto.
	* src/com/redhat/eclipse/cdt/autotools/wizards/ConvertToAutotoolsProjectWizardPage.java:
	Instead of adding a ManagedProject builder, add our new AutotoolsMakefileBuilder.
	* plugin.xml: Add our new AutotoolsMakefileBuilder as an official builder.

2006-02-24  Jeff Johnston  <jjohnstn@redhat.com>

	* src/com/redhat/eclipse/cdt/autotools/MakeGenerator.java: Remove some warnings.
	* plugin.xml: Fix duplicate target configuration options and re-add in --build
	option.

2006-02-23  Jeff Johnston  <jjohnstn@redhat.com>

	* Initial import.
